/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool MOOC Backend
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 01/04/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.mail;

import eu.europa.empl.skpt.Course;
import org.springframework.stereotype.Service;
import org.thymeleaf.TemplateEngine;
import org.thymeleaf.context.Context;

import java.util.List;

/**
 * Mail Template Builder
 *
 * @author ARHS Spikeseed
 */
@Service
public class MailTemplateBuilder {

    private final TemplateEngine templateEngine;

    /**
     * Constructor
     *
     * @param templateEngine    templateEngine
     */
    public MailTemplateBuilder(TemplateEngine templateEngine) {
        this.templateEngine = templateEngine;
    }

    /**
     * Builder of the mail
     *
     * @param courses     selected courses
     * @return a String who contains the template of the mail
     */
    public String build(List<Course> courses) {
        Context context = new Context();
        context.setVariable("courses", courses);
        return templateEngine.process("course-list-mail", context);
    }

}