package eu.europa.empl.skpt.elastic.service;

import org.elasticsearch.index.query.BoolQueryBuilder;
import org.junit.Assert;
import org.junit.Test;

import java.util.Collections;
import java.util.List;
import java.util.Set;
import java.util.function.Supplier;

public class ElasticIntegrationCoursesQueryServiceTest {

    private ElasticIntegrationCoursesQueryService queryService = new ElasticIntegrationCoursesQueryService();

    @Test
    public void getIntegrationCoursesQuery() {
        Set<String> countryLanguage = Collections.singleton("EN");
        Set<String> understoodLanguages = Collections.singleton("FR");

        List<Supplier<BoolQueryBuilder>> integrationCoursesQuery = queryService.getIntegrationCoursesQuery(countryLanguage, understoodLanguages);

        Assert.assertNotNull(integrationCoursesQuery);
        Assert.assertEquals(7, integrationCoursesQuery.size());
    }

}