package eu.europa.empl.skpt.elastic.service;

import org.elasticsearch.index.query.BoolQueryBuilder;
import org.junit.Assert;
import org.junit.Test;

import java.util.Collections;
import java.util.List;
import java.util.Set;
import java.util.function.Supplier;

public class ElasticLanguageCoursesQueryServiceTest {

    private ElasticLanguageCoursesQueryService queryService = new ElasticLanguageCoursesQueryService();

    @Test
    public void getLanguageCoursesQuery() {
        Set<String> language = Collections.singleton("EN");
        Set<String> motherTongue = Collections.singleton("FR");

        List<Supplier<BoolQueryBuilder>> integrationCoursesQuery = queryService.getLanguageCoursesQuery(language, motherTongue);

        Assert.assertNotNull(integrationCoursesQuery);
        Assert.assertEquals(4, integrationCoursesQuery.size());
    }
}