package eu.europa.empl.skpt.elastic.service;

import org.elasticsearch.index.query.BoolQueryBuilder;
import org.junit.Assert;
import org.junit.Test;

import java.util.Collections;
import java.util.List;
import java.util.Set;
import java.util.function.Supplier;

public class ElasticStudyCoursesQueryServiceTest {

    private ElasticStudyCoursesQueryService queryService = new ElasticStudyCoursesQueryService();

    @Test
    public void getStudyCoursesQuery() {
        Set<String> educationLevel = Collections.singleton("EN");
        Set<String> studyField = Collections.singleton("EN");
        Set<String> understoodLanguages = Collections.singleton("FR");

        List<Supplier<BoolQueryBuilder>> integrationCoursesQuery = queryService.getStudyCoursesQuery(educationLevel, studyField, understoodLanguages);

        Assert.assertNotNull(integrationCoursesQuery);
        Assert.assertEquals(12, integrationCoursesQuery.size());
    }
}