/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool MOOC Backend
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 20/07/2018
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.matcher;

import org.hamcrest.BaseMatcher;
import org.hamcrest.Description;
import org.hamcrest.Matcher;

import java.util.ArrayList;
import java.util.regex.Pattern;

/**
 * CustomMatchers
 *
 * @author ARHS Spikeseed
 */
public class CustomMatchers {

    public static Matcher<String> matchesRegex(final String regex) {
        return new BaseMatcher<String>() {

            public boolean matches(final Object item) {
                String string = null;

                if (item == null) {
                    string = "null";
                } else {
                    switch (item.getClass().getSimpleName()) {
                        case "String":
                            string = (String) item;
                            break;
                        case "Integer":
                            string = String.valueOf(item);
                            break;
                        case "Float":
                            string = String.valueOf(item);
                            break;
                        case "ArrayList":
                            for (String s : (ArrayList<String>) item) {
                                Pattern pattern = Pattern.compile(regex);
                                java.util.regex.Matcher matcher = pattern.matcher(s);
                                if (!matcher.find()) {
                                    return false;
                                }
                            }
                            string = ((ArrayList<String>) item).get(0);
                            break;
                        default:
                            System.err.println("Please complete eu.europa.empl.skpt.matcher.CustomMatchers.matchesRegex.matches with : "
                                    + item.getClass().getSimpleName());
                    }
                }

                Pattern pattern = Pattern.compile(regex);
                java.util.regex.Matcher matcher = pattern.matcher(string);
                return matcher.find();
            }

            public void describeTo(final Description description) {
                description.appendText("should match regex: " + regex);
            }
        };
    }

}
