/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/01/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.api;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.ServletContext;

// CLOVER:OFF

/**
 * Controller for the login page.
 *
 * @author ARHS Spikeseed
 */
@Controller
public class LoginController {

    @Autowired
    private ServletContext context;

    /**
     * Redirects to the root page.
     *
     * @param route the route to redirect to upon successful login
     * @return redirection to the root page.
     */
    @RequestMapping("/login")
    public String login(@RequestParam(required = false) String route) {
        if (StringUtils.isNotBlank(route)) {
            return "redirect:/#" + route;
        }
        return "redirect:/";
    }

}
