/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/01/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.api.config;

import org.springframework.beans.factory.annotation.Value;

import java.util.Map;

// CLOVER:OFF

/**
 * Abstract controller for the Sentry real-time error tracking configuration.
 *
 * @author ARHS Spikeseed
 */
public abstract class AbstractConfigController {

    @Value("${sentry.enabled:false}")
    protected boolean sentryEnable;

    @Value("${sentry.public.dsn:}")
    protected String sentryPublicDsn;

    @Value("${esco.api}")
    protected String escoApiEndpoint;

    @Value("${mooc.url}")
    protected String moocUrl;

    @Value("${survey.date.start}")
    protected String surveyStartDate;

    @Value("${survey.date.end}")
    protected String surveyEndDate;

    @Value("${survey.url}")
    protected String surveyUrl;

    @Value("${skpt.joinup.url}")
    protected String joinupUrl;

    /**
     * Configuration request handler.
     *
     * @return The configuration parameters.
     */
    public abstract Map<String, String> getConfig();
}
