/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/01/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.api.config;

import org.apache.commons.lang3.StringUtils;
import org.springframework.context.annotation.Profile;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

// CLOVER:OFF

/**
 * Controller for the Sentry real-time error tracking configuration.
 *
 * @author ARHS Spikeseed
 */
@RestController
@Profile({"prod"})
public class ConfigController extends AbstractConfigController {

    /**
     * Configuration request handler.
     *
     * @return The configuration parameters.
     */
    @RequestMapping("/api/config")
    public Map<String, String> getConfig() {
        Map<String, String> result = new HashMap<>();

        result.put("sentryDsn", this.sentryEnable ? this.sentryPublicDsn : StringUtils.EMPTY);
        result.put("escoApiEndpoint", this.escoApiEndpoint);
        result.put("moocUrl", this.moocUrl);
        result.put("surveyStartDate", this.surveyStartDate);
        result.put("surveyEndDate", this.surveyEndDate);
        result.put("surveyUrl", this.surveyUrl);
        result.put("joinupUrl", this.joinupUrl);

        return result;
    }

}
