/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 08/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.api.dto;

import eu.europa.empl.skpt.data.domain.attachment.Attachment;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * {@link AttachmentDto} to {@link AttachmentDto} converter
 *
 * @author ARHS Spikeseed
 */
@Component
public class AttachmentToDtoConverter implements Converter<Attachment, AttachmentDto> {

    @Override
    public AttachmentDto convert(Attachment source) {

        AttachmentDto dto = new AttachmentDto();

        dto.setId(source.getIdentifier());
        dto.setName(source.getName());
        dto.setType(source.getMediaType());
        dto.setSize(source.getSize());

        return dto;
    }
}
