/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 08/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.api.dto;

import eu.europa.empl.skpt.data.domain.nace.Nace;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

import java.util.HashMap;

/**
 * Unproxies a JPA entity, i.e. converts {@link org.hibernate.collection.spi.PersistentCollection} implementations to a collection of the
 * java.util package. This is needed in order to serialize/deserialize the object.
 *
 * @author ARHS Spikeseed
 */
@Component
public class UnproxyNaceConverter implements Converter<Nace, Nace> {

    @Override
    public Nace convert(Nace source) {
        source.setValues(new HashMap<>(source.getValues()));
        return source;
    }

}
