/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 08/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.api.dto;

import eu.europa.empl.skpt.data.domain.user.Role;
import eu.europa.empl.skpt.data.domain.user.User;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

import java.util.Set;
import java.util.stream.Collectors;

/**
 * {@link UserDto} to {@link User} converter
 *
 * @author ARHS Spikeseed
 */
@Component
public class UserDtoToEntityConverter implements Converter<UserDto, User> {

    @Override
    public User convert(UserDto source) {

        User user = new User();

        user.setId(source.getId());
        user.setUsername(source.getUsername());
        user.setFirstName(source.getFirstName());
        user.setLastName(source.getLastName());
        Set<Role> roles = source.getRoles().stream().map(Role::new).collect(Collectors.toSet());
        user.setRoles(roles);

        return user;
    }
}
