/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 08/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.api.dto;

import eu.europa.empl.skpt.data.domain.user.Role;
import eu.europa.empl.skpt.data.domain.user.User;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

import java.util.stream.Collectors;

/**
 * {@link User} to {@link UserDto} converter
 *
 * @author ARHS Spikeseed
 */
@Component
public class UserToDtoConverter implements Converter<User, UserDto> {

    @Override
    public UserDto convert(User source) {

        UserDto dto = new UserDto();

        dto.setId(source.getId());
        dto.setUsername(source.getUsername());
        dto.setFirstName(source.getFirstName());
        dto.setLastName(source.getLastName());
        dto.setRoles(source.getRoles().stream().map(Role::getRole).collect(Collectors.toSet()));

        return dto;
    }
}
