/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 05/1/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.api.exception;

import eu.europa.empl.skpt.common.Error;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

import java.util.List;

// CLOVER:OFF

/**
 * Exception thrown in controllers to return a 400 response.
 *
 * @author ARHS Spikeseed
 */
@ResponseStatus(HttpStatus.BAD_REQUEST)
public class BadRequestException extends ApiException {

    /**
     * Constructor with message argument
     *
     * @param message the message of the exception
     * @param errors  list of potential errors to be returned to the client
     */
    public BadRequestException(String message, List<Error> errors) {
        super(message, errors);
    }

    /**
     * Constructor with cause argument
     *
     * @param cause  the cause of the exception
     * @param errors list of potential errors to be returned to the client
     */
    public BadRequestException(Throwable cause, List<Error> errors) {
        super(cause, errors);
    }

}
