/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 14/4/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.api.exception;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

// CLOVER:OFF

/**
 * Represents an error returned to the client.
 *
 * @author ARHS Spikeseed
 */
public class ErrorHandlerResponseBody {

    private final int code;
    private final List<ErrorResponseBody> errors;

    /**
     * Constructor
     * @param code the HTTP status code
     * @param errors the list of potential errors
     */
    public ErrorHandlerResponseBody(int code, List<ErrorResponseBody> errors) {
        this.code = code;
        this.errors = errors != null ? new ArrayList<>(errors) : new ArrayList<>();
    }

    public int getCode() {
        return code;
    }

    public List<ErrorResponseBody> getErrors() {
        return Collections.unmodifiableList(errors);
    }
}
