/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 14/4/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.api.exception;

// CLOVER:OFF

/**
 * Represents an error returned to the client.
 *
 * @author ARHS Spikeseed
 */
public class ErrorResponseBody {

    private final String id;
    private final String description;

    /**
     * Constructor
     *
     * @param id          the unique id of the error
     * @param description the description of the error
     */
    public ErrorResponseBody(String id, String description) {
        this.id = id;
        this.description = description;
    }

    public String getId() {
        return id;
    }

    public String getDescription() {
        return description;
    }
}
