/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/6/2018
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.api.exception;

import eu.europa.empl.skpt.common.Error;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

import java.util.Collections;

// CLOVER:OFF

/**
 * Exception thrown in controllers to return a 500 response.
 *
 * @author ARHS Spikeseed
 */
@ResponseStatus(HttpStatus.INTERNAL_SERVER_ERROR)
public class ExportIOException extends ApiException {

    /**
     * Constructor
     *
     * @param message the message of the exception
     * @param error  the error to be returned to the client
     */
    public ExportIOException(String message, Error error) {
        super(message, Collections.singletonList(error));
    }
}