package eu.europa.empl.skpt.api.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * Exception thrown in controllers to return a 500 response.
 *
 * @author ARHS Spikeseed
 */
@ResponseStatus(HttpStatus.INTERNAL_SERVER_ERROR)
public class XMLValidationException extends ApiException {

    /**
     * Constructor of XMLValidationException
     *
     * @param message the message of the exception
     * @param error   the error to be returned to the client
     */
    public XMLValidationException(String message, Throwable error) {
        super(message, error);
    }
}
