package eu.europa.empl.skpt.api.stats;

import eu.europa.empl.skpt.service.stats.IProfileStatisticService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Statistic rest controller.
 */
@RestController
public class StatisticsController {

    @Autowired
    private IProfileStatisticService profileService;

    /**
     * Save profile statistic method
     * @param jsonProfile JSON representation of the profile
     * @return ResponseEntity
     */
    @RequestMapping(value = "/api/statistics", method = RequestMethod.POST)
    public ResponseEntity saveStatistics(
            @RequestBody String jsonProfile) {
        ResponseEntity res;
        try {
            profileService.sendStatistics(jsonProfile);
            res = ResponseEntity.ok().build();
        } catch (Exception e) {
            res = ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR)
                    .body("An error occurs while sending profile statistics.");
        }
        return res;
    }
}
