/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 17/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.config;

import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.filter.ShallowEtagHeaderFilter;

import javax.servlet.Filter;

// CLOVER:OFF

/**
 * Etag configuration class.
 *
 * @author ARHS Spikeseed
 */
@Configuration
public class EtagConfiguration {

    /**
     * Register filters for bean.
     *
     * @return the filters.
     */
    @Bean
    public FilterRegistrationBean filterRegistrationBean() {
        final FilterRegistrationBean registrationBean = new FilterRegistrationBean();
        final Filter allowEtagHeaderFilter = new ShallowEtagHeaderFilter();
        registrationBean.setFilter(allowEtagHeaderFilter);
        registrationBean.addUrlPatterns("/api/*");
        return registrationBean;
    }

}
