/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 03/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.autoconfigure.flyway.FlywayMigrationStrategy;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

// CLOVER:OFF

/**
 * Configuration class for flyway
 * @author ARHS Spikeseed
 */
@Configuration
public class FlywayConfiguration {

    /**
     * Migration strategy that cleans the database before migrating
     * @return the strategy that cleans the database before migrating
     */
    @Bean
    @ConditionalOnProperty(value = "spring.flyway.cleanBeforeMigrate", havingValue = "true")
    public FlywayMigrationStrategy cleanMigrateStrategy() {
        return  flyway -> {
            flyway.clean();
            flyway.migrate();
        };
    }

}
