/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 12/4/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.config;

import java.io.File;
import java.util.List;

/**
 * Holds the application properties injected by the Spring mechanism.
 *
 * @author ARHS Spikeseed
 */
public interface IApplicationProperties {

    /**
     * Returns the value of the property 'skpt.attachment.dir'
     *
     * @return the value of the property 'skpt.attachment.dir'
     */
    File getAttachmentDir();

    /**
     * Returns the value of the property 'skpt.attachment.accepted.media.types'
     *
     * @return the value of the property 'skpt.attachment.accepted.media.types'
     */
    List<String> getAttachmentAcceptedMediaTypes();

    /**
     * Returns the value of the property 'skpt.attachment.accepted.extensions'
     *
     * @return the value of the property 'skpt.attachment.accepted.extensions'
     */
    List<String> getAttachmentAcceptedExtensions();

    /**
     * Returns the value of the property 'skpt.attachment.max.size'
     *
     * @return the value of the property 'skpt.attachment.max.size'
     */
    long getAttachmentMaxSize();

    /**
     * Returns the value of the property 'skpt.attachment.window'
     *
     * @return the value of the property 'skpt.attachment.window'
     */
    long getAttachmentWindow();

}
