/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 21/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.config;

import eu.europa.empl.skpt.config.converter.CustomJaxb2CollectionHttpMessageConverter;
import eu.europa.empl.skpt.config.converter.CustomJaxb2RootElementHttpMessageConverter;
import org.springframework.context.annotation.Bean;

import javax.xml.transform.stream.StreamSource;


// CLOVER:OFF

/**
 * Configuration of web related aspects.
 *
 * @author ARHS Spikeseed
 */
//@Configuration
public class WebConfiguration {

    /**
     * Custom {@link org.springframework.http.converter.xml.Jaxb2RootElementHttpMessageConverter}
     *
     * @return custom {@link org.springframework.http.converter.xml.Jaxb2RootElementHttpMessageConverter}
     */
    @Bean
    public CustomJaxb2RootElementHttpMessageConverter jaxb2RootElementHttpMessageConverter() {
        return new CustomJaxb2RootElementHttpMessageConverter(
                new StreamSource(WebConfiguration.class.getResource("/eu/europa/empl/skpt/profile.xsd").toString()));
    }

    /**
     * Custom {@link org.springframework.http.converter.xml.Jaxb2CollectionHttpMessageConverter}
     *
     * @return custom {@link org.springframework.http.converter.xml.Jaxb2CollectionHttpMessageConverter}
     */
    @Bean
    public CustomJaxb2CollectionHttpMessageConverter jaxb2CollectionHttpMessageConverter() {
        return new CustomJaxb2CollectionHttpMessageConverter(
                new StreamSource(WebConfiguration.class.getResource("/eu/europa/empl/skpt/profile.xsd").toString()));
    }

}
