/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 12/4/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.data.domain.attachment;

import eu.europa.empl.skpt.data.domain.AbstractEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.time.Instant;

// CLOVER:OFF

/**
 * JPA entity for attachments.
 *
 * @author ARHS Spikeseed
 */
@Entity
@Table(
        name = "tb_attachment",
        indexes = {
                @Index(columnList = "identifier", unique = true)
        }
)
public class Attachment extends AbstractEntity {

    @Column(name = "identifier", nullable = false)
    private String identifier;

    @Column(name = "media_type", nullable = false)
    private String mediaType;

    @Column(name = "name", nullable = false, length = 1000, columnDefinition = "varchar(1000)")
    private String name;

    @Column(name = "path", nullable = false, length = 4000, columnDefinition = "varchar(4000)")
    private String path;

    @Column(name = "size", nullable = false)
    private long size;

    @Column(name = "upload_timestamp", nullable = false)
    private Instant uploadTimestamp;

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getMediaType() {
        return mediaType;
    }

    public void setMediaType(String mediaType) {
        this.mediaType = mediaType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public Instant getUploadTimestamp() {
        return uploadTimestamp;
    }

    public void setUploadTimestamp(Instant uploadTimestamp) {
        this.uploadTimestamp = uploadTimestamp;
    }
}
