/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/01/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.data.domain.esco;

// CLOVER:OFF

/**
 * ESCO is the multilingual classification of European Skills, Competences, Qualifications and Occupations.
 *
 * @author ARHS Spikeseed
 */
public enum EscoClassification {

    /**
     * Ability to apply knowledge and use know-how to complete tasks and solve problems.
     */
    SKILLS,

    /**
     * Ability to use knowledge, skills and personal, social and/or methodological abilities,
     * in work or study situations and in professional and personal development.
     */
    COMPETENCES,

    /**
     * Formal outcome of an assessment and validation process which is obtained when a competent body
     * determines that an individual has achieved learning outcomes to given standards.
     */
    QUALIFICATIONS,

    /**
     * A grouping of jobs involving similar tasks and which require a similar skills set
     */
    OCCUPATIONS,

    /**
     * A subset for driving skills
     */
    KSC
}
