/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/01/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.data.domain.esco;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import eu.europa.empl.skpt.data.domain.AbstractEntity;
import eu.europa.empl.skpt.data.domain.IReferenceData;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.FetchType;
import javax.persistence.MapKey;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import java.util.Collections;
import java.util.Map;

// CLOVER:OFF

/**
 * Esco concept JPA entity.
 *
 * @author ARHS Spikeseed
 */
@Entity
@Table(
        name = "tb_rfd_esco_concept"
)
public class EscoLocalConcept extends AbstractEntity implements IReferenceData<EscoValue> {

    @Column(name = "esco_id", nullable = false)
    private String escoId;

    @Enumerated(EnumType.STRING)
    @Column(name = "classification", nullable = false)
    private EscoClassification classification;

    @OneToMany(fetch = FetchType.LAZY, cascade = CascadeType.ALL, mappedBy = "concept")
    @MapKey(name = "language")
    @JsonManagedReference
    private Map<String, EscoValue> values;

    public String getEscoId() {
        return escoId;
    }

    public void setEscoId(String escoId) {
        this.escoId = escoId;
    }

    public EscoClassification getClassification() {
        return classification;
    }

    public void setClassification(EscoClassification classification) {
        this.classification = classification;
    }

    @Override
    public Map<String, EscoValue> getValues() {
        return (values == null) ? Collections.emptyMap() : values;
    }

    public void setValues(Map<String, EscoValue> values) {
        this.values = values;
    }
}
