/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/01/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.data.domain.esco;

import com.fasterxml.jackson.annotation.JsonBackReference;
import eu.europa.empl.skpt.data.domain.AbstractEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

// CLOVER:OFF


/**
 * Esco lexical value JPA entity.
 *
 * @author ARHS Spikeseed
 */
@Entity
@Table(
        name = "tb_rfd_esco_value"
)
public class EscoValue extends AbstractEntity {

    @Column(name = "language", nullable = false, length = 2)
    private String language;

    @Column(name = "value", nullable = false, length = 1000, columnDefinition = "varchar(1000)")
    private String value;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "concept_id")
    @JsonBackReference
    private EscoLocalConcept concept;

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public EscoLocalConcept getConcept() {
        return concept;
    }

    public void setConcept(EscoLocalConcept concept) {
        this.concept = concept;
    }
}
