/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.data.domain.label;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import eu.europa.empl.skpt.data.domain.AbstractEntity;
import eu.europa.empl.skpt.data.domain.IReferenceData;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.MapKey;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import java.util.Collections;
import java.util.Map;

// CLOVER:OFF

/**
 * Label JPA Entity
 *
 * @author ARHS Spikeseed
 */
@Entity
@Table(
        name = "tb_rfd_label",
        indexes = {
                @Index(columnList = "key_value", unique = true)
        }
)
public class Label extends AbstractEntity implements IReferenceData<LabelValue> {

    @Column(name = "key_value", nullable = false)
    private String key;

    @OneToMany(cascade = CascadeType.ALL, mappedBy = "label")
    @MapKey(name = "language")
    @JsonManagedReference
    private Map<String, LabelValue> values;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Map<String, LabelValue> getValues() {
        return values == null ? Collections.emptyMap() : values;
    }

    public void setValues(Map<String, LabelValue> values) {
        this.values = values;
    }
}
