/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/01/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.data.domain.label;

import com.fasterxml.jackson.annotation.JsonBackReference;
import eu.europa.empl.skpt.data.domain.AbstractEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

// CLOVER:OFF

/**
 * Label JPA entity.
 *
 * @author ARHS Spikeseed
 */
@Entity
@Table(
        name = "tb_rfd_label_value"
)
@Getter
@Setter
public class LabelValue extends AbstractEntity {

    @Column(name = "language", nullable = false, length = 2)
    private String language;

    @Column(name = "translation", nullable = false)
    private String translation;

    @ManyToOne(cascade = CascadeType.ALL)
    @JoinColumn(name =  "label_id")
    @JsonBackReference
    private Label label;

}
