/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 06/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.data.domain.user;

import eu.europa.empl.skpt.data.domain.AbstractEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Index;
import javax.persistence.ManyToMany;
import javax.persistence.Table;
import java.util.Collections;
import java.util.Set;

// CLOVER:OFF

/**
 * User JPA entity.
 *
 * @author ARHS Spikeseed
 */
@Entity
@Table(
        name = "tb_role",
        indexes = {
                @Index(columnList = "role", unique = true)
        }
)
public class Role extends AbstractEntity {

    @Column(name = "role", nullable = false)
    @Enumerated(EnumType.STRING)
    private Roles role;

    @ManyToMany(mappedBy = "roles")
    private Set<User> users;

    /**
     * Default constructor.
     */
    public Role() {
    }

    /**
     * Default constructor.
     *
     * @param role the role
     */
    public Role(Roles role) {
        this.role = role;
    }

    public Roles getRole() {
        return role;
    }

    public void setRole(Roles role) {
        this.role = role;
    }

    public Set<User> getUsers() {
        return (users != null) ? users : Collections.emptySet();
    }

    public void setUsers(Set<User> users) {
        this.users = users;
    }
}
