/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 4/04/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.data.repository.role;

import eu.europa.empl.skpt.data.domain.user.Role;
import eu.europa.empl.skpt.data.domain.user.Roles;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Optional;

/**
 * Repository retrieving {@link Role} entities
 *
 * @author ARHS Spikeseed
 */
public interface IRoleRepository extends PagingAndSortingRepository<Role, Long> {

    /**
     * Finds a role by id.
     *
     * @param id the id of the role
     * @return the role identified by the id provided
     */
    Optional<Role> findById(Long id);

    /**
     * Finds a role by name.
     *
     * @param role the name of the role
     * @return the role identified by the id provided
     */
    Optional<Role> findByRole(Roles role);

}
