/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 08/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.data.repository.user;

import eu.europa.empl.skpt.data.domain.user.User;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Optional;

/**
 * Repository retrieving {@link User} entities
 *
 * @author ARHS Spikeseed
 */
public interface IUserRepository extends PagingAndSortingRepository<User, Long> {

    /**
     * Finds a user by id
     *
     * @param id the id of the user
     * @return the user identified by the id provided
     */
    Optional<User> findById(Long id);

    /**
     * Finds a user by username
     *
     * @param username the username of the user
     * @return the user identified by the username provided
     */
    Optional<User> findByUsername(String username);

}
