/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/01/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.service.esco;

import eu.europa.empl.skpt.data.domain.esco.EscoApiConcept;

import java.util.Optional;

/**
 * Interface for the {@link eu.europa.empl.skpt.service.esco.impl.EscoApiService} service.
 *
 * @author ARHS Spikeseed
 */
public interface IEscoApiService {

    /**
     * Returns a {@link EscoApiConcept} entity by its unique identifier
     *
     * @param uri               the unique concept URI identifier of an ESCO
     * @param classification    the classification of the concept (i.e. SKILL, OCCUPATION...)
     * @return an {@link Optional} of {@link EscoApiConcept}
     */
    Optional<EscoApiConcept> findById(String uri, String classification);

}
