/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 28/01/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */

package eu.europa.empl.skpt.service.esco.impl;

import eu.europa.empl.skpt.data.domain.esco.EscoApiConcept;
import eu.europa.empl.skpt.service.esco.IEscoApiService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;
import org.springframework.web.client.RestTemplate;

import java.util.Optional;

/**
 * Implementation of the service for the {@link EscoApiConcept} entity.
 *
 * @author ARHS Spikeseed
 */
@Service
public class EscoApiService implements IEscoApiService {

    @Value("${esco.api}")
    private String escoApi;

    @Override
    public Optional<EscoApiConcept> findById(String uri, String classification) {
        Assert.notNull(uri, "'uri' cannot be null");
        Assert.notNull(classification, "'classification' cannot be null");

        RestTemplate restTemplate = new RestTemplate();
        EscoApiConcept escoApiConcept = restTemplate.getForObject(this.escoApi + "/resource/"
                + classification.toLowerCase() + "?uri=" + uri, EscoApiConcept.class);

        return Optional.of(escoApiConcept);
    }

}
