/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 19/06/2018
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.export.impl;

import com.fasterxml.jackson.databind.ObjectMapper;
import eu.europa.empl.skpt.service.export.IJsonParserService;
import eu.europa.empl.skpt.service.export.model.ParseJsonResult;
import eu.europa.empl.skpt.service.export.model.profile.Profile;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;

/**
 * Default implementation of {@link IJsonParserService}
 *
 * @author ARHS Spikeseed
 */
@Service
public class JsonParserService implements IJsonParserService {
    private final ObjectMapper objectMapper;

    /**
     * Constructor
     * @param objectMapper Object mapper
     */
    @Autowired
    public JsonParserService(ObjectMapper objectMapper) {
        this.objectMapper = objectMapper;
    }

    @Override
    public ParseJsonResult parseJson(String profileJson) {
        try {
            return new ParseJsonResult(objectMapper.readValue(profileJson, Profile.class));
        } catch (IOException e) {
            return new ParseJsonResult(e.getMessage());
        }
    }
}
