/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 27/04/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2016 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.export.model.profile;

import eu.europa.empl.skpt.service.export.model.IExcelCell;
import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.XmlType;

// CLOVER:OFF

/**
 * Date
 *
 * @author ARHS Spikeseed
 */
@XmlType(propOrder = {
        "day",
        "month",
        "year"
})
@Getter
@Setter
public class Date implements IExcelCell {

    private int day;
    private int month;
    private int year;

    @Override
    public String toExcelString(boolean isEmail) {
        return day == 0 && month == 0 && year == 0 ? "" : day + "-" + month + "-" + year;
    }

}