/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 20/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.export.model.profile;

import eu.europa.empl.skpt.service.export.model.ExcelHelper;
import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.XmlType;

// CLOVER:OFF

/**
 * Numeracy
 *
 * @author ARHS Spikeseed
 */
@XmlType(propOrder = {
        "with",
        "without"
})
@Getter
@Setter
public class NumeracySkillsCalculator {

    private Boolean with;
    private Boolean without;

    /**
     * Adapt the class to generate an excel file.
     *
     * @param excelHelper excel helper
     * @param language language
     * @return a string
     */
    public String toExcel(ExcelHelper excelHelper, String language) {
        StringBuilder stringBuilder = new StringBuilder();
        if (with != null && with) {
            stringBuilder.append(excelHelper.getTranslation("profile.skills_id.numeracy_skills.calculator.withCalculator", language));
            if (without != null && without) {
                stringBuilder.append("\n");
            }
        }
        if (without != null && without) {
            stringBuilder.append(excelHelper.getTranslation("profile.skills_id.numeracy_skills.calculator.withoutCalculator", language));
        }
        return stringBuilder.toString();
    }

}
