/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 20/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.export.model.profile;

import eu.europa.empl.skpt.service.export.model.ExcelHelper;
import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.XmlType;

// CLOVER:OFF

/**
 * Numeracy
 *
 * @author ARHS Spikeseed
 */
@XmlType(propOrder = {
        "daily",
        "university",
        "professionally"
})
@Getter
@Setter
public class NumeracySkillsUsage {

    private Boolean daily;
    private Boolean university;
    private Boolean professionally;

    /**
     * Adapt the class to generate an excel file.
     *
     * @param excelHelper excel helper
     * @param language language
     * @return a string
     */
    public String toExcel(ExcelHelper excelHelper, String language) {
        StringBuilder stringBuilder = new StringBuilder();
        if (daily != null && daily) {
            stringBuilder.append(excelHelper.getTranslation("profile.skills_id.numeracy_skills.usage.daily", language));
            if (university != null && university || professionally != null && professionally) {
                stringBuilder.append("\n");
            }
        }
        if (university != null && university) {
            stringBuilder.append(excelHelper.getTranslation("profile.skills_id.numeracy_skills.usage.university", language));
            if (professionally != null && professionally) {
                stringBuilder.append("\n");
            }
        }
        if (professionally != null && professionally) {
            stringBuilder.append(excelHelper.getTranslation("profile.skills_id.numeracy_skills.usage.professionally", language));
        }
        return stringBuilder.toString();
    }

}
