/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 17/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.export.model.profile;

import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.XmlType;
import java.util.Collections;
import java.util.List;

// CLOVER:OFF

/**
 * Contact info
 *
 * @author ARHS Spikeseed
 */
@XmlType(propOrder = {
        "address",
        "country",
        "phoneNumber",
        "phoneNumbers",
        "email"
})
@Getter
@Setter
public class OrganisationContactInfo {

    private String address;
    private String country;
    private PrefixSuffix phoneNumber;
    private List<PrefixSuffix> phoneNumbers;
    private PrefixSuffix email;

    public List<PrefixSuffix> getPhoneNumbers() {
        return phoneNumbers == null ? Collections.emptyList() : Collections.unmodifiableList(phoneNumbers);
    }

}
