/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 17/3/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.export.model.profile;

import eu.europa.empl.skpt.service.export.model.IExcelCell;
import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.XmlType;

// CLOVER:OFF

/**
 * Contact info
 *
 * @author ARHS Spikeseed
 */
@XmlType(propOrder = {
        "prefix",
        "suffix",
})
@Getter
@Setter
public class PrefixSuffix implements IExcelCell {

    private String prefix;
    private String suffix;

    @Override
    public String toExcelString(boolean isEmail) {
        return (prefix == null ? "" : prefix)
                + (isEmail && (prefix != null || suffix != null) ? "@" : "")
                + (suffix == null ? "" : suffix);
    }

}