/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 19/06/2018
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.importation;

import java.util.Optional;
import eu.europa.empl.skpt.service.export.model.profile.Profile;

/**
 * Service handling logic for the import feature.
 *
 * @author ARHS Spikeseed
 */
public interface IImportService {

    /**
     * Imports the profile from the inputStream
     *
     * @param xmlProfileFileName the name of the XML file containing the XML profile to be imported
     * @param  xmlProfileFileContent the XML file content byte array
     * @return the profile
     * @throws Exception Thrown when any issue is encountered
     */
    Optional<Profile> importProfile(String xmlProfileFileName, byte[] xmlProfileFileContent) throws Exception;
}
