/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 29/06/2018
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.importation;

import javax.xml.transform.Source;
import javax.xml.transform.TransformerException;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

/**
 * Service handling logic for the xml parsing.
 *
 * @author ARHS Spikeseed
 */
public interface IXmlTransformerService {

    /**
     * Transforms the xml based on the provided xslt
     * @param streamSource stream source
     * @param streamResult stream result
     * @param xsltSource xsltSource
     * @throws TransformerException transformer exception
     */
    void transform(StreamSource streamSource, StreamResult streamResult, Source xsltSource) throws TransformerException;
}
