/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 29/06/2018
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.importation;

import eu.europa.empl.skpt.api.exception.XMLValidationException;

/**
 * Service handling logic for the xml validation.
 *
 * @author ARHS Spikeseed
 */
public interface IXmlValidationService {

    /**
     * Validate the xml profile file in parameter
     *
     * @param xmlFileData The  byte array representation of the XML file that contains the profile to parse
     * @throws XMLValidationException XMLValidationException thrown when an error occurs when validating the XML file
     */
    void validateXml(byte[] xmlFileData) throws XMLValidationException;

}
