package eu.europa.empl.skpt.service.report.impl;

import eu.europa.empl.skpt.api.dto.ReportDto;
import org.springframework.stereotype.Service;
import org.thymeleaf.TemplateEngine;
import org.thymeleaf.context.Context;

/**
 * Report mail template builder
 *
 * @author ARHS Spikeseed
 */
@Service
public class ReportMailTemplateBuilder {

    private final TemplateEngine templateEngine;

    /**
     * Constructor
     *
     * @param templateEngine templateEngine
     */
    public ReportMailTemplateBuilder(TemplateEngine templateEngine) {
        this.templateEngine = templateEngine;
    }

    /**
     * Builder of the mail
     *
     * @param reportDto report
     * @return a String who contains the template of the mail
     */
    public String build(ReportDto reportDto) {
        Context context = new Context();
        context.setVariable("report", reportDto);
        return templateEngine.process("report-mail", context);
    }

}
