package eu.europa.empl.skpt.service.stats;

import eu.europa.empl.skpt.data.domain.stats.ProfileStatistic;
import org.elasticsearch.action.index.IndexResponse;

import java.io.IOException;

/**
 * {@link IProfileStatisticService} interface.
 *
 * @author ARHS Spikeseed.
 */
public interface IProfileStatisticService {
    /**
     * Send the profile statics to elastic search
     *
     * @param profile the JSON representation of a profile.
     * @return the {@link ProfileStatistic} DTO that have been saved.
     */
    ProfileStatistic sendStatistics(String profile);

    /**
     * The the given {@link ProfileStatistic} to the configured Elasticsearch index.
     * @param profileStatistic the profileStatistic to be sent.
     * @return the {@link IndexResponse} indexation response from Elasticsearch
     * @throws IOException thrown in case of deserialising error.
     */
    IndexResponse sendToElasticSearch(ProfileStatistic profileStatistic) throws IOException;
}
