<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:fo="http://www.w3.org/1999/XSL/Format"
        xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data"
        exclude-result-prefixes="w fo">

    <template match="skpt:educationTraining">

        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.education_training.attended.label</with-param>
                <with-param name="value" select="skpt:attended/text()"/>
            </call-template>
            <if test="skpt:attended/text()  = 'true'">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.education_training.last.label</with-param>
                    <with-param name="value" select="skpt:last/text()"/>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.education_training.full_time.label</with-param>
                    <with-param name="week" select="skpt:fullTimeWeek/text()"/>
                    <with-param name="month" select="skpt:fullTimeMonth/text()"/>
                    <with-param name="year" select="skpt:fullTimeYear/text()"/>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.education_training.part_time.label</with-param>
                    <with-param name="week" select="skpt:partTimeWeek/text()"/>
                    <with-param name="month" select="skpt:partTimeMonth/text()"/>
                    <with-param name="year" select="skpt:partTimeYear/text()"/>
                </call-template>
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.education_training.highest_level.label</with-param>
                    <with-param name="value" select="skpt:highestLevel/text()"/>
                    <with-param name="prefix">profile.skills_id.education_training.level.</with-param>
                </call-template>
                <if test="skpt:highestLevel/text() = 'other'">
                    <call-template name="displayRow">
                        <with-param name="labelKey">profile.skills_id.education_training.highest_level.otherLabel</with-param>
                        <with-param name="value" select="skpt:otherExplanation/text()"/>
                    </call-template>
                </if>
                <if test="skpt:highestLevel = '' or  skpt:highestLevel/text()  != 'primary_education'">
                    <call-template name="displayRow">
                        <with-param name="labelKey">profile.skills_id.education_training.study_field.label</with-param>
                        <with-param name="value" select="skpt:studyField/text()"/>
                        <with-param name="otherValues" select="skpt:studyFields/skpt:name"/>
                        <with-param name="type">isced</with-param>
                    </call-template>
                    <if test="skpt:otherField/text() = 'true'">
                        <call-template name="displayRow">
                            <with-param name="labelKey">profile.skills_id.education_training.study_field.checkbox</with-param>
                            <with-param name="other" select="skpt:otherStudyFields"/>
                        </call-template>
                    </if>
                    <call-template name="displayTimeDuration">
                        <with-param name="labelKey">profile.skills_id.education_training.study_field.label</with-param>
                        <with-param name="week" select="skpt:studyFieldWeek/text()"/>
                        <with-param name="month" select="skpt:studyFieldMonth/text()"/>
                        <with-param name="year" select="skpt:studyFieldYear/text()"/>
                    </call-template>
                    <call-template name="displayEducationType">
                        <with-param name="educationType" select="skpt:educationType"/>
                    </call-template>
                    <call-template name="displayRow">
                        <with-param name="labelKey">profile.skills_id.education_training.prior_learning.label</with-param>
                        <with-param name="value" select="skpt:priorLearning/text()"/>
                    </call-template>
                    <call-template name="displayRow">
                        <with-param name="labelKey">profile.skills_id.education_training.certificate.label</with-param>
                        <with-param name="value" select="skpt:certificate/text()"/>
                    </call-template>
                </if>
            </if>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.skills_id.education_training.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
        <if test="skpt:attended/text()  = 'true' and  skpt:certificate/text()  = 'true'">
            <apply-templates select="skpt:certificates"></apply-templates>
        </if>

    </template>

    <template name="displayEducationType">
        <param name="educationType"/>

        <if test="$educationType">
            <variable name="education">
                <if test="$educationType/skpt:schoolBased = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.education_training.education_type.school_based', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$educationType/skpt:workBased = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.education_training.education_type.work_based', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$educationType/skpt:apprenticeship = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.education_training.education_type.apprenticeship', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$educationType/skpt:internship = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.education_training.education_type.internship', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
            </variable>
            <if test="$education and $education != ''">
                <if test="$globalExportFormat = 'pdf'">
                    <fo:table-row>
                        <fo:table-cell xsl:use-attribute-sets="tableCellLabel">
                            <fo:block>
                                <value-of
                                        select="data:getLabel($dataService, 'profile.skills_id.education_training.education_type.label', $lang)"/>
                            </fo:block>
                        </fo:table-cell>

                        <fo:table-cell xsl:use-attribute-sets="tableCell" number-columns-spanned="3">
                            <copy-of select="$education"/>
                        </fo:table-cell>
                    </fo:table-row>
                </if>
                <if test="$globalExportFormat = 'word'">
                    <w:tr>
                        <w:tc>
                            <w:tcPr>
                                <w:tcW w:w="3085" w:type="dxa"/>
                                <w:tcBorders>
                                    <w:top w:val="nil"/>
                                    <w:left w:val="single" w:sz="36" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                    <w:bottom w:val="single" w:sz="12" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                    <w:right w:val="nil"/>
                                </w:tcBorders>
                            </w:tcPr>
                            <call-template name="displayWordParagraph">
                                <with-param name="isQuestion">true</with-param>
                                <with-param name="text">
                                    <value-of
                                            select="data:getLabel($dataService, 'profile.skills_id.education_training.education_type.label', $lang)"/>
                                </with-param>
                            </call-template>
                        </w:tc>
                        <w:tc>
                            <w:tcPr>
                                <w:tcW w:w="6157" w:type="dxa"/>
                                <w:tcBorders>
                                    <w:top w:val="nil"/>
                                    <w:left w:val="nil"/>
                                    <w:bottom w:val="single" w:sz="12" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                    <w:right w:val="single" w:sz="36" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                </w:tcBorders>
                            </w:tcPr>
                            <copy-of select="$education"/>
                        </w:tc>
                    </w:tr>
                </if>
            </if>
        </if>
    </template>

</stylesheet>