<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data">

    <template match="skpt:expectations">
        <variable name="body">
            <call-template name="displayLabelRow">
                <with-param name="labelKey">profile.expectations.do_next.label</with-param>
                <with-param name="value" select="skpt:doNext/text()"/>
                <with-param name="prefix">profile.expectations.</with-param>
                <with-param name="suffix">.label</with-param>
            </call-template>
            <if test="skpt:doNext/text() = 'improve_language'">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.expectations.improve_language.label</with-param>
                    <with-param name="value" select="skpt:language/text()"/>
                    <with-param name="otherValues" select="skpt:otherImproveLanguage"/>
                    <with-param name="type">language</with-param>
                </call-template>
            </if>
            <if test="skpt:doNext/text() = 'undertake_education'">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.expectations.undertake_education.education_type.label</with-param>
                    <with-param name="value" select="skpt:educationType/text()"/>
                    <with-param name="prefix">profile.expectations.undertake_education.education_type.</with-param>
                </call-template>
                <if test="skpt:educationType/text() ='other'">
                    <call-template name="displayRow">
                        <with-param name="labelKey">profile.expectations.undertake_education.education_type.other
                        </with-param>
                        <with-param name="value" select="skpt:otherType/text()"/>
                    </call-template>
                </if>
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.expectations.undertake_education.time_commitment.label</with-param>
                    <with-param name="value" select="skpt:undertakeEducationTimeCommitment/text()"/>
                    <with-param name="prefix">profile.expectations.</with-param>
                </call-template>


                <call-template name="displayRow">
                    <with-param name="labelKey">profile.expectations.undertake_education.study_field.label</with-param>
                    <with-param name="value" select="skpt:undertakeEducationStudyField/text()"/>
                    <with-param name="otherValues" select="skpt:otherUndertakeEducationStudyFields/skpt:name"/>
                    <with-param name="type">isced</with-param>
                </call-template>
                <if test="skpt:otherStudyField ='true'">
                    <call-template name="displayRow">
                        <with-param name="labelKey">profile.expectations.otherFieldStudy.label</with-param>
                        <with-param name="other" select="skpt:otherExpectedStudyFields"/>
                    </call-template>
                </if>
            </if>
            <if test="skpt:doNext/text() = 'find_work'">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.expectations.find_work.label</with-param>
                    <with-param name="value" select="skpt:findWork/text()"/>
                    <with-param name="prefix">profile.expectations.work.</with-param>
                </call-template>
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.expectations.undertake_education.time_commitment.label</with-param>
                    <with-param name="value" select="skpt:findWorkTimeCommitment/text()"/>
                    <with-param name="prefix">profile.expectations.</with-param>
                </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.expectations.find_work.activity_field.label</with-param>
                    <with-param name="value" select="skpt:activityField/text()"/>
                    <with-param name="otherValues" select="skpt:otherActivityFields"/>
                    <with-param name="type">nace</with-param>
                </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.expectations.find_work.occupation.label</with-param>
                    <with-param name="value" select="skpt:occupation/text()"/>
                    <with-param name="otherValues" select="skpt:otherOccupations"/>
                    <with-param name="type">esco</with-param>
                    <with-param name="classification">OCCUPATION</with-param>
                </call-template>
            </if>
            <if test="skpt:doNext/text() = 'other'">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.expectations.undertake_education.time_commitment.label</with-param>
                    <with-param name="value" select="skpt:otherTimeCommitment/text()"/>
                    <with-param name="prefix">profile.expectations.</with-param>
                </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.expectations.other.label</with-param>
                    <with-param name="value" select="skpt:other/text()"/>
                </call-template>
            </if>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.expectations.sub_section.title</with-param>
            <with-param name="body" select="$body"/>
            <with-param name="sectionIndex"><value-of select="position() -1"/></with-param>
        </call-template>
    </template>

</stylesheet>