<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data">

    <template match="skpt:experiences">

        <variable name="body">
            <call-template name="displayLabelRow">
                <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.nature.label</with-param>
                <with-param name="value" select="skpt:nature/text()"/>
                <with-param name="prefix">profile.skills_id.professional_skills.professional_experience.history.nature.</with-param>
            </call-template>
            <call-template name="displayTimeDuration">
                <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.duration.label</with-param>
                <with-param name="week" select="skpt:durationWeek/text()"/>
                <with-param name="month" select="skpt:durationMonth/text()"/>
                <with-param name="year" select="skpt:durationYear/text()"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.country.label</with-param>
                <with-param name="value" select="skpt:country/text()"/>
                <with-param name="type">country</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.language.label</with-param>
                <with-param name="value" select="skpt:language/text()"/>
                <with-param name="otherValues" select="skpt:otherLanguages"/>
                <with-param name="type">language</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.occupation.label</with-param>
                <with-param name="value" select="skpt:occupation/text()"/>
                <with-param name="type">esco</with-param>
                <with-param name="classification">OCCUPATION</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.skill.label</with-param>
                <with-param name="value" select="skpt:skill/text()"/>
                <with-param name="otherValues" select="skpt:otherSkills/skpt:name"/>
                <with-param name="type">esco</with-param>
                <with-param name="classification">SKILL</with-param>
            </call-template>
            <call-template name="displayLabelRow">
                <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.organisation.size.label</with-param>
                <with-param name="value" select="skpt:organisationSize/text()"/>
                <with-param name="prefix">profile.skills_id.professional_skills.professional_experience.history.size.</with-param>
            </call-template>
            <call-template name="displayLabelRow">
                <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.workplace.size.label</with-param>
                <with-param name="value" select="skpt:workplaceSize/text()"/>
                <with-param name="prefix">profile.skills_id.professional_skills.professional_experience.history.size.</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.proof.label</with-param>
                <with-param name="value" select="skpt:proof/text()"/>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.skills_id.professional_skills.professional_experience.history.section.name</with-param>
            <with-param name="body" select="$body"/>
            <with-param name="sectionIndex"><value-of select="position()"/></with-param>
        </call-template>
    </template>

</stylesheet>