<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data">

    <template match="skpt:languageSkills">

        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.language_skills.mother_tongue.label</with-param>
                <with-param name="value" select="skpt:motherTongue/text()"/>
                <with-param name="otherValues" select="skpt:otherMotherTongue"/>
                <with-param name="type">language</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.language_skills.host_country.label</with-param>
                <with-param name="value" select="skpt:communicateInHostCountry/text()"/>
            </call-template>
            <if test="skpt:communicateInHostCountry/text()  = 'true'">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.language_skills.language.label</with-param>
                    <with-param name="value" select="skpt:hostCountry/skpt:code/text()"/>
                    <with-param name="type">language</with-param>
                </call-template>
                <call-template name="languageDetails">
                    <with-param name="details" select="skpt:hostCountry"></with-param>
                </call-template>
            </if>
            <if test="skpt:communicateInHostCountry/text()  = 'false'">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.language_skills.preferred_general.label</with-param>
                    <with-param name="value" select="skpt:preferredGeneral/skpt:code/text()"/>
                    <with-param name="type">language</with-param>
                </call-template>
                <call-template name="languageDetails">
                    <with-param name="details" select="skpt:preferredGeneral"></with-param>
                </call-template>

                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.language_skills.preferred_professional.label</with-param>
                    <with-param name="value" select="skpt:preferredProfessional/skpt:code/text()"/>
                    <with-param name="type">language</with-param>
                </call-template>
                <call-template name="languageDetails">
                    <with-param name="details" select="skpt:preferredProfessional"></with-param>
                </call-template>
            </if>


            <for-each select="skpt:otherLanguages">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.language_skills.other.label</with-param>
                    <with-param name="value" select="./skpt:code/text()"/>
                    <with-param name="type">language</with-param>
                </call-template>
                <call-template name="languageDetails">
                    <with-param name="details" select="."></with-param>
                </call-template>
            </for-each>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.skills_id.language_skills.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

    <template name="languageDetails">
        <param name="details"></param>

        <call-template name="displayRow">
            <with-param name="labelKey">profile.skills_id.language_skills.speaking</with-param>
            <with-param name="value" select="$details/skpt:speaking/text()"/>
            <with-param name="type">languageRating</with-param>
        </call-template>
        <call-template name="displayRow">
            <with-param name="labelKey">profile.skills_id.language_skills.listening</with-param>
            <with-param name="value" select="$details/skpt:listening/text()"/>
            <with-param name="type">languageRating</with-param>
        </call-template>
        <call-template name="displayRow">
            <with-param name="labelKey">profile.skills_id.language_skills.reading</with-param>
            <with-param name="value" select="$details/skpt:reading/text()"/>
            <with-param name="type">languageRating</with-param>
        </call-template>
        <call-template name="displayRow">
            <with-param name="labelKey">profile.skills_id.language_skills.writing</with-param>
            <with-param name="value" select="$details/skpt:writing/text()"/>
            <with-param name="type">languageRating</with-param>
        </call-template>
    </template>

</stylesheet>