<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:fo="http://www.w3.org/1999/XSL/Format"
        xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data"
        exclude-result-prefixes="w fo">

    <template match="skpt:literacySkills">

        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.literacy_skills.read_regularly.label</with-param>
                <with-param name="value" select="skpt:readRegularly/text()"/>
            </call-template>
            <if test="skpt:readRegularly  = 'true'">
                <call-template name="displayReadPaperMediaType">
                    <with-param name="labelKey">profile.skills_id.literacy_skills.read_paper_media_type.label</with-param>
                    <with-param name="mediaType" select="skpt:readPaperMediaType"/>
                </call-template>
            </if>
            <if test="skpt:readRegularly  = 'true' and skpt:readPaperMediaType/skpt:other  = 'true'">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.literacy_skills.paper.other</with-param>
                    <with-param name="value" select="skpt:otherReadPaper/text()"/>
                </call-template>
            </if>
            <if test="skpt:readRegularly  = 'true'">
                <call-template name="displayReadOnlineMediaType">
                    <with-param name="labelKey">profile.skills_id.literacy_skills.read_liner_media_type.label</with-param>
                    <with-param name="mediaType" select="skpt:readLinerMediaType"/>
                </call-template>
            </if>
            <if test="skpt:readRegularly  = 'true' and skpt:readLinerMediaType/skpt:otherSocialMedia  = 'true'">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.literacy_skills.social.other</with-param>
                    <with-param name="value" select="skpt:otherReadLinerSocial/text()"/>
                </call-template>
            </if>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.literacy_skills.write_regularly.label</with-param>
                <with-param name="value" select="skpt:writeRegularly/text()"/>
            </call-template>
            <if test="skpt:writeRegularly  = 'true'">
                <call-template name="displayWriteMediaType">
                    <with-param name="labelKey">profile.skills_id.literacy_skills.write_media_type.label</with-param>
                    <with-param name="mediaType" select="skpt:writeMediaType"/>
                </call-template>
            </if>
            <if test="skpt:writeRegularly  = 'true' and skpt:writeMediaType/skpt:otherDigital  = 'true'">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.literacy_skills.digital.other</with-param>
                    <with-param name="value" select="skpt:otherWriteDigital/text()"/>
                </call-template>
            </if>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.skills_id.literacy_skills.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

    <template name="displayReadPaperMediaType">
        <param name="labelKey"/>
        <param name="mediaType"/>

        <if test="$mediaType">
            <variable name="media">
                <if test="$mediaType/skpt:letters ='true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.paper.letters', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:magazines = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.paper.magazines', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:newspapers = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.paper.newspapers', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:booksLeisure = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.paper.books.leisure', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:booksStudy = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.paper.books.study', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:other = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.paper.other', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
            </variable>
            <if test="$media and $media  != ''">
                <call-template name="displayMediaType">
                    <with-param name="labelKey" select="$labelKey"/>
                    <with-param name="media" select="$media"/>
                </call-template>
            </if>
        </if>
    </template>

    <template name="displayReadOnlineMediaType">
        <param name="labelKey"/>
        <param name="mediaType"/>

        <if test="$mediaType">
            <variable name="media">
                <if test="$mediaType/skpt:facebook = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.social.facebook', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:linkedin = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.social.linkedin', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:whatsapp = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.social.whatsapp', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:twitter = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.social.twitter', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:otherSocialMedia = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.social.other', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:newspapers = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.digital.newspapers', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
            </variable>
            <if test="$media and $media  != ''">
                <call-template name="displayMediaType">
                    <with-param name="labelKey" select="$labelKey"/>
                    <with-param name="media" select="$media"/>
                </call-template>
            </if>
        </if>
    </template>

    <template name="displayWriteMediaType">
        <param name="labelKey"/>
        <param name="mediaType"/>

        <if test="$mediaType">
            <variable name="media">
                <if test="$mediaType/skpt:socialMedia  = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.digital.social_media', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:mails  = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.digital.mails', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:letters  = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.digital.letters', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:notes  = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.digital.notes', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:reports  = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.digital.reports', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:memos  = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.digital.memos', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:forms   = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.digital.forms', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
                <if test="$mediaType/skpt:otherDigital  = 'true'">
                    <call-template name="displayParagraph">
                        <with-param name="text">
                            <value-of
                                    select="data:getLabel($dataService, 'profile.skills_id.literacy_skills.digital.other', $lang)"/>
                        </with-param>
                    </call-template>
                </if>
            </variable>
            <if test="$media and $media  != ''">
                <call-template name="displayMediaType">
                    <with-param name="labelKey" select="$labelKey"/>
                    <with-param name="media" select="$media"/>
                </call-template>
            </if>
        </if>
    </template>

    <template name="displayMediaType">
        <param name="media"/>
        <param name="labelKey"/>
        <if test="$globalExportFormat = 'pdf'">
            <fo:table-row>
                <fo:table-cell xsl:use-attribute-sets="tableCellLabel">
                    <fo:block>
                        <value-of select="data:getLabel($dataService, $labelKey, $lang)"/>
                    </fo:block>
                </fo:table-cell>
                <if test="$media and $media != ''">
                    <fo:table-cell number-columns-spanned="3" xsl:use-attribute-sets="tableCell">
                        <copy-of select="$media"/>
                    </fo:table-cell>
                </if>
            </fo:table-row>
        </if>
        <if test="$globalExportFormat = 'word'">
            <w:tr>
                <w:tc>
                    <w:tcPr>
                        <w:tcW w:w="3085" w:type="dxa"/>
                        <w:tcBorders>
                            <w:top w:val="nil"/>
                            <w:left w:val="single" w:sz="36" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                            <w:bottom w:val="single" w:sz="12" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                            <w:right w:val="nil"/>
                        </w:tcBorders>
                    </w:tcPr>
                    <call-template name="displayWordParagraph">
                        <with-param name="isQuestion">true</with-param>
                        <with-param name="text">
                            <value-of select="data:getLabel($dataService, $labelKey, $lang)"/>
                        </with-param>
                    </call-template>
                </w:tc>
                <if test="$media and $media != ''">
                    <w:tc>
                        <w:tcPr>
                            <w:tcW w:w="6157" w:type="dxa"/>
                            <w:tcBorders>
                                <w:top w:val="nil"/>
                                <w:left w:val="nil"/>
                                <w:bottom w:val="single" w:sz="12" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                <w:right w:val="single" w:sz="36" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                            </w:tcBorders>
                        </w:tcPr>
                        <copy-of select="$media"/>
                    </w:tc>
                </if>
            </w:tr>
        </if>
    </template>

</stylesheet>
