<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:fo="http://www.w3.org/1999/XSL/Format"
        xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data"
        exclude-result-prefixes="w fo">

    <template match="skpt:numeracySkills">

        <variable name="body">
            <call-template name="numeracyDetails">
                <with-param name="label">profile.skills_id.numeracy_skills.measuring.label</with-param>
                <with-param name="details" select="skpt:measuring"></with-param>
            </call-template>
            <call-template name="numeracyDetails">
                <with-param name="label">profile.skills_id.numeracy_skills.calculation.whole_numbers.label</with-param>
                <with-param name="details" select="skpt:calculationWholeNumbers"></with-param>
            </call-template>
            <call-template name="numeracyDetails">
                <with-param name="label">profile.skills_id.numeracy_skills.calculation.factions.label</with-param>
                <with-param name="details" select="skpt:calculationFractions"></with-param>
            </call-template>
            <call-template name="numeracyDetails">
                <with-param name="label">profile.skills_id.numeracy_skills.calculation.percentage.label</with-param>
                <with-param name="details" select="skpt:calculationPercentage"></with-param>
            </call-template>
            <call-template name="numeracyDetails">
                <with-param name="label">profile.skills_id.numeracy_skills.geometry.label</with-param>
                <with-param name="details" select="skpt:geometry"></with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.numeracy_skills.charts.label</with-param>
                <with-param name="value" select="skpt:charts/text()"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <call-template name="numeracyDetails">
                <with-param name="label">profile.skills_id.numeracy_skills.complex.label</with-param>
                <with-param name="details" select="skpt:complex"></with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.numeracy_skills.metric.label</with-param>
                <with-param name="value" select="skpt:metric/text()"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.skills_id.numeracy_skills.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

    <template name="numeracyDetails">
        <param name="label"></param>
        <param name="details"></param>

        <if test="$details">
            <call-template name="displayRow">
                <with-param name="labelKey" select="$label"/>
                <with-param name="value" select="$details/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="$details/skpt:rate > 0">
                <if test="$details/skpt:calculator/skpt:with or $details/skpt:calculator/skpt:without">
                    <variable name="calculatorDetails">
                        <if test="$details/skpt:calculator/skpt:with = 'true'">
                            <call-template name="displayParagraph">
                                <with-param name="text">
                                    <value-of
                                            select="data:getLabel($dataService, 'profile.skills_id.numeracy_skills.calculator.withCalculator', $lang)"/>
                                </with-param>
                            </call-template>
                        </if>
                        <if test="$details/skpt:calculator/skpt:without = 'true'">
                            <call-template name="displayParagraph">
                                <with-param name="text">
                                    <value-of
                                            select="data:getLabel($dataService, 'profile.skills_id.numeracy_skills.calculator.withoutCalculator', $lang)"/>
                                </with-param>
                            </call-template>
                        </if>
                    </variable>
                    <if test="$globalExportFormat = 'pdf'">
                        <if test="$calculatorDetails and $calculatorDetails != ''">
                            <fo:table-row>
                                <fo:table-cell xsl:use-attribute-sets="tableCellLabel">
                                    <fo:block>
                                        <value-of
                                                select="data:getLabel($dataService,'profile.skills_id.numeracy_skills.calculator.label' , $lang)"/>
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell number-columns-spanned="3" xsl:use-attribute-sets="tableCell">
                                    <copy-of select="$calculatorDetails"/>
                                </fo:table-cell>
                            </fo:table-row>
                        </if>
                    </if>
                    <if test="$globalExportFormat = 'word'">
                        <if test="$calculatorDetails and $calculatorDetails != ''">
                            <w:tr>
                                <w:tc>
                                    <w:tcPr>
                                        <w:tcW w:w="3085" w:type="dxa"/>
                                        <w:tcBorders>
                                            <w:top w:val="nil"/>
                                            <w:left w:val="single" w:sz="36" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                            <w:bottom w:val="single" w:sz="12" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                            <w:right w:val="nil"/>
                                        </w:tcBorders>
                                    </w:tcPr>
                                    <call-template name="displayWordParagraph">
                                        <with-param name="isQuestion">true</with-param>
                                        <with-param name="text">
                                            <value-of select="data:getLabel($dataService, 'profile.skills_id.numeracy_skills.calculator.label', $lang)"/>
                                        </with-param>
                                    </call-template>
                                </w:tc>
                                <w:tc>
                                    <w:tcPr>
                                        <w:tcW w:w="6157" w:type="dxa"/>
                                        <w:tcBorders>
                                            <w:top w:val="nil"/>
                                            <w:left w:val="nil"/>
                                            <w:bottom w:val="single" w:sz="12" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                            <w:right w:val="single" w:sz="36" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                        </w:tcBorders>
                                    </w:tcPr>
                                    <copy-of select="$calculatorDetails"/>
                                </w:tc>
                            </w:tr>
                        </if>
                    </if>
                </if>
                <if test="$details/skpt:usage/skpt:daily or $details/skpt:usage/skpt:university or $details/skpt:usage/skpt:professionally">
                    <variable name="usageDetails">
                        <if test="$details/skpt:usage/skpt:daily = 'true'">
                            <call-template name="displayParagraph">
                                <with-param name="text">
                                    <value-of
                                            select="data:getLabel($dataService, 'profile.skills_id.numeracy_skills.usage.daily', $lang)"/>
                                </with-param>
                            </call-template>
                        </if>
                        <if test="$details/skpt:usage/skpt:university ='true'">
                            <call-template name="displayParagraph">
                                <with-param name="text">
                                    <value-of
                                            select="data:getLabel($dataService, 'profile.skills_id.numeracy_skills.usage.university', $lang)"/>
                                </with-param>
                            </call-template>
                        </if>
                        <if test="$details/skpt:usage/skpt:professionally = 'true'">
                            <call-template name="displayParagraph">
                                <with-param name="text">
                                    <value-of
                                            select="data:getLabel($dataService, 'profile.skills_id.numeracy_skills.usage.professionally', $lang)"/>
                                </with-param>
                            </call-template>
                        </if>
                    </variable>
                    <if test="$globalExportFormat = 'pdf'">
                        <if test="$usageDetails and $usageDetails != ''">
                            <fo:table-row>
                                <fo:table-cell xsl:use-attribute-sets="tableCellLabel">
                                    <fo:block>
                                        <value-of
                                                select="data:getLabel($dataService, 'profile.skills_id.numeracy_skills.usage.label', $lang)"/>
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell number-columns-spanned="3" xsl:use-attribute-sets="tableCell">
                                    <copy-of select="$usageDetails"/>
                                </fo:table-cell>
                            </fo:table-row>
                        </if>
                    </if>
                    <if test="$globalExportFormat = 'word'">
                        <if test="$usageDetails and $usageDetails != ''">
                            <w:tr>
                                <w:tc>
                                    <w:tcPr>
                                        <w:tcW w:w="3085" w:type="dxa"/>
                                        <w:tcBorders>
                                            <w:top w:val="nil"/>
                                            <w:left w:val="single" w:sz="36" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                            <w:bottom w:val="single" w:sz="12" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                            <w:right w:val="nil"/>
                                        </w:tcBorders>
                                    </w:tcPr>
                                    <call-template name="displayWordParagraph">
                                        <with-param name="isQuestion">true</with-param>
                                        <with-param name="text">
                                            <value-of select="data:getLabel($dataService, 'profile.skills_id.numeracy_skills.usage.label', $lang)"/>
                                        </with-param>
                                    </call-template>
                                </w:tc>
                                <w:tc>
                                    <w:tcPr>
                                        <w:tcW w:w="6157" w:type="dxa"/>
                                        <w:tcBorders>
                                            <w:top w:val="nil"/>
                                            <w:left w:val="nil"/>
                                            <w:bottom w:val="single" w:sz="12" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                            <w:right w:val="single" w:sz="36" w:space="0" w:color="BFBFBF" w:themeColor="background1" w:themeShade="BF"/>
                                        </w:tcBorders>
                                    </w:tcPr>
                                    <copy-of select="$usageDetails"/>
                                </w:tc>
                            </w:tr>
                        </if>
                    </if>
                </if>
            </if>
        </if>
    </template>

</stylesheet>