<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data">

    <template match="skpt:organisations">

        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.details_issuing_organisation.data_of_issuance</with-param>
                <with-param name="value" select="skpt:dateOfIssuance"/>
                <with-param name="type">date</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.details_issuing_organisation.place_of_issuance</with-param>
                <with-param name="value" select="skpt:placeOfIssuance"/>
            </call-template>
            <call-template name="displayLabelRow">
                <with-param name="labelKey">profile.outcome.details_issuing_organisation.type.label</with-param>
                <with-param name="value" select="skpt:type"/>
                <with-param name="prefix">profile.outcome.details_issuing_organisation.type.</with-param>
                <with-param name="other" select="skpt:otherType"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.organisation.label</with-param>
                <with-param name="value" select="skpt:organisation"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.details_issuing_organisation.responsible_officer</with-param>
                <with-param name="value" select="skpt:responsibleOfficer"/>
            </call-template>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.contact.address</with-param>
                <with-param name="value" select="skpt:organisationContactInfo/skpt:address/text()"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.contact.country</with-param>
                <with-param name="value" select="skpt:organisationContactInfo/skpt:country"/>
                <with-param name="type">country</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.contact.phone</with-param>
                <with-param name="value" select="skpt:organisationContactInfo/skpt:phoneNumber"/>
                <with-param name="otherValues" select="skpt:organisationContactInfo/skpt:phoneNumbers"/>
                <with-param name="type">phone</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.contact.email</with-param>
                <with-param name="value" select="skpt:organisationContactInfo/skpt:email"/>
                <with-param name="otherValues" select="skpt:organisationContactInfo/skpt:emails"/>
                <with-param name="type">mail</with-param>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.outcome.organisation.sub_section_title</with-param>
            <with-param name="body" select="$body"/>
        </call-template>

    </template>

</stylesheet>