<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data">

    <template match="skpt:outcome">
        <variable name="body">
            <call-template name="skpt:strength"></call-template>
            <call-template name="skpt:recognition"></call-template>
            <call-template name="skpt:validation"></call-template>
            <call-template name="skpt:training"></call-template>
            <call-template name="skpt:work"></call-template>
            <call-template name="skpt:guidance"></call-template>
            <apply-templates select="skpt:organisations"></apply-templates>
        </variable>

        <if test="$body != ''">
            <call-template name="mainSection">
                <with-param name="sectionName">
                    <value-of select="data:getLabel($dataService, 'step.outcome', $lang)"/>
                </with-param>
            </call-template>

            <copy-of select="$body"/>
        </if>
    </template>

    <template name="skpt:strength">
        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.key_skills.conclusion.label</with-param>
                <with-param name="value" select="skpt:keySkills/text()"/>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.outcome.key_skills.title</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

    <template name="skpt:training">
        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.education_or_training.label_1.label</with-param>
                <with-param name="value" select="skpt:educationOrTrainingAdvice/text()"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.education_or_training.label_2.label</with-param>
                <with-param name="value" select="skpt:educationOrTrainingReferral/text()"/>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.outcome.education-or-training.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

    <template name="skpt:guidance">
        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.guidance.other_organisation.label</with-param>
                <with-param name="value" select="skpt:guidanceOtherOrganisations/text()"/>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.outcome.further-information.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

    <template name="skpt:recognition">
        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.recognition.label_1.label</with-param>
                <with-param name="value" select="skpt:recognitionRecommendation/text()"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.recognition.label_2.label</with-param>
                <with-param name="value" select="skpt:recognitionReferral/text()"/>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.outcome.recognition.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

    <template name="skpt:validation">
        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.validation.label_1.label</with-param>
                <with-param name="value" select="skpt:validationRecommendation/text()"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.validation.label_2.label</with-param>
                <with-param name="value" select="skpt:validationReferral/text()"/>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.outcome.validation.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

    <template name="skpt:work">
        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.outcome.employment_business.label</with-param>
                <with-param name="value" select="skpt:employmentBusiness/text()"/>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.outcome.employment-business.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

</stylesheet>