<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data">

    <template match="skpt:outsideSkills">

        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.caring_children.label</with-param>
                <with-param name="value" select="skpt:caringChildren/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:caringChildren/skpt:rate > 0">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_many.label</with-param>
                    <with-param name="value" select="skpt:caringChildren/skpt:total/text()"/>
                </call-template>
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:caringChildren/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:caringChildren/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:caringChildren/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.caring_elderly_people.label</with-param>
                <with-param name="value" select="skpt:caringElderlyPeople/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:caringElderlyPeople/skpt:rate > 0">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_many.label</with-param>
                    <with-param name="value" select="skpt:caringElderlyPeople/skpt:total/text()"/>
                </call-template>
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:caringElderlyPeople/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:caringElderlyPeople/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:caringElderlyPeople/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.caring_sick_people.label</with-param>
                <with-param name="value" select="skpt:caringSickPeople/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:caringSickPeople/skpt:rate > 0">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_many.label</with-param>
                    <with-param name="value" select="skpt:caringSickPeople/skpt:total/text()"/>
                </call-template>
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:caringSickPeople/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:caringSickPeople/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:caringSickPeople/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.making_clothing.label</with-param>
                <with-param name="value" select="skpt:makingClothing/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:makingClothing/skpt:rate > 0">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:makingClothing/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:makingClothing/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:makingClothing/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.preparing_meals.label</with-param>
                <with-param name="value" select="skpt:preparingMeals/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:preparingMeals/skpt:rate > 0">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.preparing_meals.people.label</with-param>
                    <with-param name="value" select="skpt:preparingMeals/skpt:people/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.preparing_meals.people.</with-param>
                </call-template>
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:preparingMeals/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.preparing_meals.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:preparingMeals/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:preparingMeals/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.cultivating_crops.label</with-param>
                <with-param name="value" select="skpt:cultivatingCrops/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:cultivatingCrops/skpt:rate > 0">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:cultivatingCrops/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:cultivatingCrops/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:cultivatingCrops/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.livestock.label</with-param>
                <with-param name="value" select="skpt:livestock/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:livestock/skpt:rate > 0">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_many.label</with-param>
                    <with-param name="value" select="skpt:livestock/skpt:total/text()"/>
                </call-template>
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:livestock/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:livestock/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:livestock/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.making_pottery.label</with-param>
                <with-param name="value" select="skpt:makingPottery/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:makingPottery/skpt:rate > 0">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:makingPottery/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:makingPottery/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:makingPottery/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.selling_trading_products.label</with-param>
                <with-param name="value" select="skpt:sellingTradingProducts/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:sellingTradingProducts/skpt:rate > 0">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:sellingTradingProducts/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:sellingTradingProducts/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:sellingTradingProducts/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.making_furniture.label</with-param>
                <with-param name="value" select="skpt:makingFurniture/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:makingFurniture/skpt:rate > 0">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:makingFurniture/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:makingFurniture/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:makingFurniture/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.house_construction.label</with-param>
                <with-param name="value" select="skpt:houseConstruction/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:houseConstruction/skpt:rate > 0">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:houseConstruction/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:houseConstruction/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:houseConstruction/skpt:durationYear/text()"/>
                </call-template>
            </if>

            <call-template name="displayRow">
                <with-param name="labelKey">profile.skills_id.outside_skills.coaching_teaching.label</with-param>
                <with-param name="value" select="skpt:coachingTeaching/skpt:rate"/>
                <with-param name="type">digitalRating</with-param>
            </call-template>
            <if test="skpt:coachingTeaching/skpt:rate > 0">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_often.label</with-param>
                    <with-param name="value" select="skpt:coachingTeaching/skpt:frequency/text()"/>
                    <with-param name="prefix">profile.skills_id.outside_skills.making_clothing.frequency.</with-param>
                </call-template>
                <call-template name="displayTimeDuration">
                    <with-param name="labelKey">profile.skills_id.outside_skills.how_long.label</with-param>
                    <with-param name="month" select="skpt:coachingTeaching/skpt:durationMonth/text()"/>
                    <with-param name="year" select="skpt:coachingTeaching/skpt:durationYear/text()"/>
                </call-template>
            </if>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.skills_id.outside_skills.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

</stylesheet>