<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data">

    <template match="skpt:personalInfo">
        <call-template name="mainSection">
            <with-param name="sectionName">
                <value-of select="data:getLabel($dataService, 'step.personal', $lang)"/>
            </with-param>
        </call-template>

        <call-template name="skpt:generalInfo"></call-template>
        <if test="skpt:contactInfo != ''">
            <call-template name="skpt:contactInformation"></call-template>
        </if>
        <call-template name="skpt:migrationInfo"></call-template>
    </template>

    <template name="skpt:generalInfo">

        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.name.family</with-param>
                <with-param name="value" select="skpt:familyName/text()"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.name.first</with-param>
                <with-param name="value" select="skpt:firstName/text()"/>
                <with-param name="otherValues" select="skpt:firstNames"/>
            </call-template>
            <call-template name="displayLabelRow">
                <with-param name="labelKey">profile.general.gender.label</with-param>
                <with-param name="value" select="skpt:gender/text()"/>
                <with-param name="prefix">profile.general.gender.</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.birth.date</with-param>
                <with-param name="value" select="skpt:birthDate"/>
                <with-param name="type">date</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.birth.country</with-param>
                <with-param name="value" select="skpt:countryOfBirth/text()"/>
                <with-param name="type">country</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.nationality</with-param>
                <with-param name="value" select="skpt:nationality/text()"/>
                <with-param name="type">country</with-param>
                <with-param name="otherValues" select="skpt:nationalities"/>
            </call-template>
            <call-template name="displayLabelRow">
                <with-param name="labelKey">profile.general.marital.status</with-param>
                <with-param name="value" select="skpt:maritalStatus/text()"/>
                <with-param name="prefix">profile.general.marital.</with-param>
            </call-template>
            <if test="skpt:maritalStatus/text() = 'other'">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.general.marital.statuses</with-param>
                    <with-param name="other" select="skpt:otherMaritalStatuses"/>
                </call-template>
            </if>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.general.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>

        <for-each select="skpt:identificationDocuments">
            <variable name="body">
                <call-template name="displayLabelRow">
                    <with-param name="labelKey">profile.personal.general.identification.document.choose</with-param>
                    <with-param name="value" select="skpt:name/text()"/>
                    <with-param name="prefix">profile.personal.general.identification.document.</with-param>
                </call-template>
                <if test="skpt:name/text() ='other'">
                    <call-template name="displayRow">
                        <with-param name="labelKey">profile.personal.general.identification.document.type</with-param>
                        <with-param name="value" select="skpt:type/text()"/>
                    </call-template>
                </if>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.personal.general.identification.document.number</with-param>
                    <with-param name="value" select="skpt:number/text()"/>
                </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.personal.general.identification.document.country</with-param>
                    <with-param name="value" select="skpt:country/text()"/>
                    <with-param name="type">country</with-param>
                </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.personal.general.identification.document.valid</with-param>
                    <with-param name="value" select="skpt:expirationDate"/>
                    <with-param name="type">date</with-param>
                </call-template>
            </variable>

            <call-template name="displayTable">
                <with-param name="labelKey">profile.personal.general.identification.document.sub_section_title</with-param>
                <with-param name="body" select="$body"/>
            </call-template>
        </for-each>
    </template>

    <template name="skpt:contactInformation">
        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.contact.address</with-param>
                <with-param name="value" select="skpt:contactInfo/skpt:address/text()"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.contact.postCode</with-param>
                <with-param name="value" select="skpt:contactInfo/skpt:postalCode/text()"/>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.contact.country</with-param>
                <with-param name="value" select="skpt:contactInfo/skpt:country"/>
                <with-param name="type">country</with-param>
            </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.general.contact.phone</with-param>
                    <with-param name="value" select="skpt:contactInfo/skpt:phoneNumber"/>
                    <with-param name="type">phone</with-param>
                    <with-param name="otherValues" select="skpt:contactInfo/skpt:phoneNumbers"/>
                </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.contact.email</with-param>
                <with-param name="value" select="skpt:contactInfo/skpt:email"/>
                <with-param name="type">mail</with-param>
                <with-param name="otherValues" select="skpt:contactInfo/skpt:emails"/>
            </call-template>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.contact.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>
    </template>

    <template name="skpt:migrationInfo">

        <variable name="body">
            <call-template name="displayRow">
                <with-param name="labelKey">profile.general.country.reception_arrival_date</with-param>
                <with-param name="value" select="skpt:dateOfArrival"/>
                <with-param name="type">date</with-param>
            </call-template>
            <call-template name="displayLabelRow">
                <with-param name="labelKey">profile.general.residence.status</with-param>
                <with-param name="value" select="skpt:residentialStatus/text()"/>
                <with-param name="prefix">profile.general.residence.statuses.</with-param>
                <with-param name="other" select="skpt:otherResidencyStatuses"/>
            </call-template>
            <call-template name="displayLabelRow">
                <with-param name="labelKey">profile.general.work.permit.label</with-param>
                <with-param name="value" select="skpt:workPermitStatus/text()"/>
                <with-param name="prefix">profile.general.work.permit.</with-param>
            </call-template>
            <call-template name="displayRow">
                <with-param name="labelKey">profile.personal.migration.travelling.label</with-param>
                <with-param name="value" select="skpt:travelling/text()"/>
            </call-template>
            <if test="skpt:travelling/text()  = 'true'">
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.personal.migration.travelling.minor_15</with-param>
                    <with-param name="value" select="skpt:minor15/text()"/>
                </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.personal.migration.travelling.minor_16_to_18</with-param>
                    <with-param name="value" select="skpt:minor16To18/text()"/>
                </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.personal.migration.travelling.adult</with-param>
                    <with-param name="value" select="skpt:adult/text()"/>
                </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.personal.migration.travelling.elderly</with-param>
                    <with-param name="value" select="skpt:elderly/text()"/>
                </call-template>
                <call-template name="displayRow">
                    <with-param name="labelKey">profile.personal.migration.travelling.sick</with-param>
                    <with-param name="value" select="skpt:sick/text()"/>
                </call-template>
            </if>
        </variable>

        <call-template name="displayTable">
            <with-param name="labelKey">profile.migration.section.name</with-param>
            <with-param name="body" select="$body"/>
        </call-template>

        <if test="count(../skpt:expectations) > 0">
            <call-template name="mainSection">
                <with-param name="sectionName">
                    <value-of select="data:getLabel($dataService, 'profile.expectations.section.name', $lang)"/>
                </with-param>
            </call-template>
        </if>
    </template>

</stylesheet>