<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        extension-element-prefixes="data">

    <template match="skpt:skillsIdentification">
        <variable name="body">
            <apply-templates select="skpt:languageSkills"></apply-templates>
            <apply-templates select="skpt:educationTraining"></apply-templates>
            <if test="string-length(skpt:educationTraining/skpt:highestLevel/text()) = 0 or skpt:educationTraining/skpt:attended/text()  = 'false' or skpt:educationTraining/skpt:highestLevel  = 'primary_education'">
                <apply-templates select="skpt:literacySkills"></apply-templates>
            </if>
            <apply-templates select="skpt:numeracySkills"></apply-templates>
            <apply-templates select="skpt:digitalSkills"></apply-templates>
            <apply-templates select="skpt:professionalSkills"></apply-templates>
            <apply-templates select="skpt:outsideSkills"></apply-templates>
            <apply-templates select="skpt:otherBasicTransversalSkills"></apply-templates>
            <apply-templates select="skpt:drivingSkills"></apply-templates>
        </variable>

        <if test="$body != ''">
            <call-template name="mainSection">
                <with-param name="sectionName">
                    <value-of select="data:getLabel($dataService, 'step.skills', $lang)"/>
                </with-param>
            </call-template>

            <copy-of select="$body"/>
        </if>

    </template>

</stylesheet>