<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<stylesheet
        version="1.0"
        xmlns="http://www.w3.org/1999/XSL/Transform"
        xmlns:skpt="http://skpt.europa.eu"
        xmlns:data="xalan://eu.europa.empl.skpt.service.export.XslDataService"
        xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
        xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
        xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
        xmlns:wp14="http://schemas.microsoft.com/office/word/2010/wordprocessingDrawing"
        extension-element-prefixes="data">

    <variable name="globalExportFormat" select="'word'"/>

    <include href="commons.xsl"/>

    <param name="dataService"></param>
    <param name="lang"></param>

    <template match="skpt:profile">

        <w:document xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
                    xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
                    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
                    xmlns:o="urn:schemas-microsoft-com:office:office"
                    xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
                    xmlns:v="urn:schemas-microsoft-com:vml"
                    xmlns:w10="urn:schemas-microsoft-com:office:word"
                    xmlns:w14="http://schemas.microsoft.com/office/word/2010/wordml"
                    xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml"
                    xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
                    xmlns:wp14="http://schemas.microsoft.com/office/word/2010/wordprocessingDrawing"
                    xmlns:wpc="http://schemas.microsoft.com/office/word/2010/wordprocessingCanvas"
                    xmlns:wpg="http://schemas.microsoft.com/office/word/2010/wordprocessingGroup"
                    xmlns:wpi="http://schemas.microsoft.com/office/word/2010/wordprocessingInk"
                    xmlns:wps="http://schemas.microsoft.com/office/word/2010/wordprocessingShape"
                    mc:Ignorable="w14 wp14">
            <w:body>
                <w:tbl>
                    <w:tblPr>
                        <w:tblStyle w:val="TableGrid"/>
                        <w:tblW w:w="0" w:type="auto"/>
                        <w:tblLook w:val="04A0" w:firstRow="1" w:lastRow="0" w:firstColumn="1" w:lastColumn="0" w:noHBand="0" w:noVBand="1"/>
                    </w:tblPr>
                    <w:tblGrid>
                        <w:gridCol w:w="3085"/>
                        <w:gridCol w:w="6157"/>
                    </w:tblGrid>
                    <call-template name="header"/>
                    <apply-templates select="*"/>
                </w:tbl>
            </w:body>
        </w:document>

    </template>

    <template name="header">

        <w:tr w:rsidTr="006B754D">
            <w:tc>
                <w:tcPr>
                    <w:tcW w:w="9242" w:type="dxa"/>
                    <w:gridSpan w:val="2"/>
                    <w:tcBorders>
                        <w:top w:val="nil"/>
                        <w:left w:val="single" w:sz="36" w:space="0" w:color="074A8B"/>
                        <w:bottom w:val="nil"/>
                        <w:right w:val="single" w:sz="36" w:space="0" w:color="074A8B"/>
                    </w:tcBorders>
                    <w:shd w:val="clear" w:color="auto" w:fill="074A8B"/>
                </w:tcPr>
                <w:p w:rsidRPr="00F107F4" w:rsidRDefault="00E20AB5">
                    <w:pPr>
                        <w:spacing w:before="120" w:line="360" w:lineRule="auto"/>
                        <w:jc w:val="center"/>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:color w:val="FFFFFF" w:themeColor="background1"/>
                            <w:sz w:val="36"/>
                            <w:szCs w:val="36"/>
                        </w:rPr>
                    </w:pPr>
                    <w:r w:rsidRPr="00F107F4">
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:color w:val="FFFFFF" w:themeColor="background1"/>
                            <w:sz w:val="36"/>
                            <w:szCs w:val="36"/>
                        </w:rPr>
                        <w:t>
                            <value-of select="data:getLabel($dataService, 'skills.profile.tool.label', $lang)"/>
                        </w:t>
                    </w:r>
                </w:p>
            </w:tc>
        </w:tr>
        <call-template name="identificationHeader"/>
    </template>

    <template name="identificationHeader">
        <variable name="type" select="skpt:personalInfo/skpt:attachment/skpt:type"/>
        <variable name="id" select="skpt:personalInfo/skpt:attachment/skpt:id"/>
        <w:tr w:rsidTr="006B754D">
            <w:tc>
                <w:tcPr>
                    <w:tcW w:w="9242" w:type="dxa"/>
                    <w:gridSpan w:val="2"/>
                    <w:tcBorders>
                        <w:top w:val="nil"/>
                        <w:left w:val="single" w:sz="36" w:space="0" w:color="F2F2F2" w:themeColor="background1" w:themeShade="F2"/>
                        <w:bottom w:val="nil"/>
                        <w:right w:val="single" w:sz="36" w:space="0" w:color="F4F4F4"/>
                    </w:tcBorders>
                    <w:shd w:val="clear" w:color="auto" w:fill="F4F4F4"/>
                </w:tcPr>
                <w:p>
                    <w:pPr>
                        <w:spacing w:before="120" w:line="360" w:lineRule="auto"/>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="32"/>
                            <w:szCs w:val="32"/>
                        </w:rPr>
                    </w:pPr>
                        <w:r>
                            <w:rPr>
                                <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                                <w:b/>
                                <w:noProof/>
                                <w:sz w:val="32"/>
                                <w:szCs w:val="32"/>
                                <w:lang w:eastAsia="en-GB"/>
                            </w:rPr>
                            <w:drawing>
                                <wp:anchor distT="0" distB="0" distL="114300" distR="114300" simplePos="0"
                                           relativeHeight="251658240" behindDoc="0" locked="0" layoutInCell="1"
                                           allowOverlap="1">
                                    <wp:simplePos x="0" y="0"/>
                                    <wp:positionH relativeFrom="column">
                                        <wp:posOffset>1270</wp:posOffset>
                                    </wp:positionH>
                                    <wp:positionV relativeFrom="paragraph">
                                        <wp:posOffset>78105</wp:posOffset>
                                    </wp:positionV>
                                    <wp:extent cx="974725" cy="974725"/>
                                    <wp:effectExtent l="0" t="0" r="0" b="0"/>
                                    <wp:wrapSquare wrapText="bothSides"/>
                                    <wp:docPr id="1" name="Picture 1"/>
                                    <wp:cNvGraphicFramePr>
                                        <a:graphicFrameLocks
                                                xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main"
                                                noChangeAspect="1"/>
                                    </wp:cNvGraphicFramePr>
                                    <a:graphic xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main">
                                        <a:graphicData uri="http://schemas.openxmlformats.org/drawingml/2006/picture">
                                            <pic:pic
                                                    xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture">
                                                <pic:nvPicPr>
                                                    <pic:cNvPr id="0" name="wallpaper2you_347858.jpg"/>
                                                    <pic:cNvPicPr/>
                                                </pic:nvPicPr>
                                                <pic:blipFill>
                                                    <a:blip r:embed="rId8">
                                                        <a:extLst>
                                                            <a:ext uri="">
                                                                <a14:useLocalDpi
                                                                        xmlns:a14="http://schemas.microsoft.com/office/drawing/2010/main"
                                                                        val="0"/>
                                                            </a:ext>
                                                        </a:extLst>
                                                    </a:blip>
                                                    <a:stretch>
                                                        <a:fillRect/>
                                                    </a:stretch>
                                                </pic:blipFill>
                                                <pic:spPr bwMode="auto">
                                                    <a:xfrm>
                                                        <a:off x="0" y="0"/>
                                                        <a:ext cx="974725" cy="974725"/>
                                                    </a:xfrm>
                                                    <a:prstGeom prst="rect">
                                                        <a:avLst/>
                                                    </a:prstGeom>
                                                    <a:ln>
                                                        <a:noFill/>
                                                    </a:ln>
                                                    <a:extLst>
                                                        <a:ext uri="{53640926-AAD7-44D8-BBD7-CCE9431645EC}">
                                                            <a14:shadowObscured
                                                                    xmlns:a14="http://schemas.microsoft.com/office/drawing/2010/main"/>
                                                        </a:ext>
                                                    </a:extLst>
                                                </pic:spPr>
                                            </pic:pic>
                                        </a:graphicData>
                                    </a:graphic>
                                    <wp14:sizeRelH relativeFrom="page">
                                        <wp14:pctWidth>0</wp14:pctWidth>
                                    </wp14:sizeRelH>
                                    <wp14:sizeRelV relativeFrom="page">
                                        <wp14:pctHeight>0</wp14:pctHeight>
                                    </wp14:sizeRelV>
                                </wp:anchor>
                            </w:drawing>
                        </w:r>
                    <w:prooferr w:type="spellStart"/>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="32"/>
                            <w:szCs w:val="32"/>
                        </w:rPr>
                        <w:t>
                            <call-template name="displayValue">
                                <with-param name="value" select="skpt:personalInfo/skpt:familyName/text()"/>
                            </call-template>
                        </w:t>
                    </w:r>
                    <w:proofErr w:type="spellEnd"/>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="32"/>
                            <w:szCs w:val="32"/>
                        </w:rPr>
                        <w:t xml:space="preserve"> </w:t>
                    </w:r>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="32"/>
                            <w:szCs w:val="32"/>
                        </w:rPr>
                        <w:br/>
                    </w:r>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="32"/>
                            <w:szCs w:val="32"/>
                        </w:rPr>
                        <w:t>
                            <call-template name="displayValue">
                                <with-param name="value" select="skpt:personalInfo/skpt:firstName/text()"/>
                            </call-template>
                        </w:t>
                    </w:r>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="32"/>
                            <w:szCs w:val="32"/>
                        </w:rPr>
                        <w:br/>
                    </w:r>
                    <w:bookmarkStart w:id="0" w:name="_GoBack"/>
                    <w:bookmarkEnd w:id="0"/>
                </w:p>
            </w:tc>
        </w:tr>
    </template>

    <include href="fragments/personalInfo.xsl"/>

    <include href="fragments/expectations.xsl"/>

    <include href="fragments/skillsIdentification.xsl"/>

    <include href="fragments/languageSkills.xsl"/>

    <include href="fragments/educationTraining.xsl"/>

    <include href="fragments/certificates.xsl"/>

    <include href="fragments/literacySkills.xsl"/>

    <include href="fragments/numeracySkills.xsl"/>

    <include href="fragments/digitalSkills.xsl"/>

    <include href="fragments/professionalSkills.xsl"/>

    <include href="fragments/experiences.xsl"/>

    <include href="fragments/outsideSkills.xsl"/>

    <include href="fragments/otherBasicTransversalSkills.xsl"/>

    <include href="fragments/drivingSkills.xsl"/>

    <include href="fragments/outcome.xsl"/>

    <include href="fragments/organisations.xsl"/>
</stylesheet>