/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 * 
 *  CREATED BY : ARHS Spikeseed
 *          ON : 23/2/2017
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.data.domain;

import org.hibernate.boot.MetadataSources;
import org.hibernate.boot.registry.StandardServiceRegistryBuilder;
import org.hibernate.boot.spi.MetadataImplementor;
import org.hibernate.dialect.HSQLDialect;
import org.hibernate.tool.hbm2ddl.SchemaExport;
import org.hibernate.tool.schema.TargetType;
import org.junit.Ignore;
import org.junit.Test;
import org.reflections.Reflections;

import javax.persistence.Entity;
import javax.persistence.MappedSuperclass;
import java.util.EnumSet;
import java.util.Set;

/**
 * Generates SQL schema
 * @author ARHS Spikeseed
 */
public class DdlGeneration {

    @Test
    @Ignore
    public void generateDdlScripts() {

        Reflections reflections = new Reflections(DdlGeneration.class.getPackage().getName());

        Set<Class<?>> classes = reflections.getTypesAnnotatedWith(Entity.class);
        classes.addAll(reflections.getTypesAnnotatedWith(MappedSuperclass.class));

        MetadataSources metadata = new MetadataSources(
                new StandardServiceRegistryBuilder()
                        .applySetting("hibernate.dialect", HSQLDialect.class.getName())
                        .build());

        for (Class<?> clazz : classes) {
            metadata.addAnnotatedClass(clazz);
        }

        new SchemaExport()
                .setDelimiter(";")
                .setOutputFile("temp/ddl/ddlScript.sql")
                .setFormat(true)
                .create(EnumSet.of(TargetType.DATABASE), metadata.buildMetadata());
    }

}
