/* ----------------------------------------------------------------------------
 *     PROJECT : Skills Profile Tool
 *
 *  CREATED BY : ARHS Spikeseed
 *          ON : 15/06/2018
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2015 European Commission – DG Employment, Social Affairs & Inclusion
 * ----------------------------------------------------------------------------
 */
package eu.europa.empl.skpt.service.export.impl;

import org.junit.Assert;
import org.junit.Test;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.net.URISyntaxException;
import java.net.URL;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class ZipDocumentServiceTest {

    private ZipDocumentService zipDocumentService = new ZipDocumentService();

    @Test
    public void zipDocument() throws IOException, URISyntaxException {
        URL resource = getClass().getResource("/word");
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        Path pathToWordFolder = Paths.get(resource.toURI());

        zipDocumentService.zipDocument(byteArrayOutputStream, pathToWordFolder);

        String docxToString = byteArrayOutputStream.toString();
        Assert.assertFalse(docxToString.isEmpty());

        ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(byteArrayOutputStream.toByteArray());
        ZipInputStream zipInputStream = new ZipInputStream(byteArrayInputStream);

        List entries = new ArrayList();
        ZipEntry zipEntry = null;
        while ((zipEntry = zipInputStream.getNextEntry()) != null) {
            entries.add(zipEntry.getName());
        }

        Assert.assertEquals(16, entries.size());
    }
}