package eu.europa.empl.skpt.service.importation.impl;

import javax.xml.bind.Marshaller;
import javax.xml.transform.Source;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.junit.MockitoJUnitRunner;
import eu.europa.empl.skpt.service.export.XslDataService;
import eu.europa.empl.skpt.service.export.impl.TransformerService;
import static org.mockito.ArgumentMatchers.any;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.verify;

@RunWith(MockitoJUnitRunner.class)
public class XmlTransformerServiceTest {

    @Mock
    private TransformerFactory transformerFactory;
    @Mock
    private XslDataService xslDataService;
    @Mock
    private Marshaller marshaller;

    private TransformerService xmlTransformerService;

    @Before
    public void init() {
        xmlTransformerService = new TransformerService(transformerFactory, xslDataService, marshaller);
    }

    @Test
    public void transformXml() throws TransformerException {
        Source xsltSource = mock(Source.class);
        StreamSource streamSource = mock(StreamSource.class);
        StreamResult streamResult = mock(StreamResult.class);

        Transformer transformer = mock(Transformer.class);

        Mockito.when(transformerFactory.newTransformer(xsltSource)).thenReturn(transformer);

        xmlTransformerService.transform(streamSource, streamResult, xsltSource);

        verify(transformer).setParameter("dataService", xslDataService);
        verify(transformer).transform(streamSource, streamResult);
    }
}