package eu.europa.empl.skpt.service.importation.impl;

import org.junit.Before;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.xml.sax.SAXException;

import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;
import javax.xml.validation.Schema;
import javax.xml.validation.Validator;
import java.io.IOException;

import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.verify;

//@RunWith(MockitoJUnitRunner.class)
public class XmlValidationServiceTest {
    @Mock
    private Schema schema;

    private XmlValidationService xmlValidationService;

    @Before
    public void init() {
        xmlValidationService = new XmlValidationService(schema);
    }

//    @Test
    public void validateXml() throws IOException, SAXException {
        Validator validator = mock(Validator.class);
        Mockito.when(schema.newValidator()).thenReturn(validator);

        StreamSource streamSource = mock(StreamSource.class);
        StreamResult streamResult = mock(StreamResult.class);
      ///  xmlValidationService.validateXml(streamSource, streamResult);

        verify(validator).validate(streamSource, streamResult);
        verify(validator).setErrorHandler(Mockito.any(CustomErrorHandler.class));
    }

//    @Test(expected = SAXException.class)
    public void validateXmlWithSaxException() throws IOException, SAXException {
        Validator validator = mock(Validator.class);
        Mockito.when(schema.newValidator()).thenReturn(validator);

        StreamSource streamSource = mock(StreamSource.class);
        StreamResult streamResult = mock(StreamResult.class);

        Mockito.doThrow(new SAXException()).when(validator).validate(streamSource, streamResult);

       // xmlValidationService.validateXml(streamSource, streamResult);
    }
}