-- Countries
-- https://www.iso.org/obp/ui/#search/code/

-- When this propery is set true, all VARCHAR declarations in CREATE TABLE and other statements
-- are assigned an Upper Case Comparison collation, SQL_TEXT_UCC.
-- This is designed for compatibility with some databases that use case-insensitive comparison.
SET DATABASE COLLATION SQL_TEXT_UCC;

DELETE FROM TB_RFD_COUNTRY_VALUE;
DELETE FROM TB_RFD_COUNTRY;

INSERT INTO TB_RFD_COUNTRY (ALPHA_CODE_3, CREATED_DATE) VALUES ('AFG', current_timestamp);
INSERT INTO TB_RFD_COUNTRY (ALPHA_CODE_3, CREATED_DATE) VALUES ('ALA', current_timestamp);
INSERT INTO TB_RFD_COUNTRY (ALPHA_CODE_3, CREATED_DATE) VALUES ('ALB', current_timestamp);
INSERT INTO TB_RFD_COUNTRY (ALPHA_CODE_3, CREATED_DATE) VALUES ('DZA', current_timestamp);
INSERT INTO TB_RFD_COUNTRY (ALPHA_CODE_3, CREATED_DATE) VALUES ('ASM', current_timestamp);
INSERT INTO TB_RFD_COUNTRY (ALPHA_CODE_3, CREATED_DATE) VALUES ('AND', current_timestamp);
INSERT INTO TB_RFD_COUNTRY (ALPHA_CODE_3, CREATED_DATE) VALUES ('AGO', current_timestamp);
INSERT INTO TB_RFD_COUNTRY (ALPHA_CODE_3, CREATED_DATE) VALUES ('AIA', current_timestamp);


INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'en', 'Afghanistan', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'AFG';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'en', 'Åland Islands', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'ALA';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'en', 'Albania', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'ALB';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'en', 'Algeria', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'DZA';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'en', 'American Samoa', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'ASM';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'en', 'Andorra', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'AND';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'en', 'Angola', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'AGO';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'en', 'Anguilla', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'AIA';

INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'fr', 'Afghanistan (l'')', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'AFG';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'fr', 'Åland(les Îles)', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'ALA';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'fr', 'Albanie (l'')', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'ALB';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'fr', 'Algérie (l'')', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'DZA';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'fr', 'Samoa américaines (les)', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'ASM';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'fr', 'Andorre (l'')', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'AND';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'fr', 'Angola (l'')', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'AGO';
INSERT INTO TB_RFD_COUNTRY_VALUE (LANGUAGE, VALUE, COUNTRY_ID, CREATED_DATE) SELECT 'fr', 'Anguilla', id, current_timestamp FROM TB_RFD_COUNTRY WHERE ALPHA_CODE_3 = 'AIA';


