
-- When this propery is set true, all VARCHAR declarations in CREATE TABLE and other statements
-- are assigned an Upper Case Comparison collation, SQL_TEXT_UCC.
-- This is designed for compatibility with some databases that use case-insensitive comparison.
SET DATABASE COLLATION SQL_TEXT_UCC;

DELETE FROM TB_RFD_ESCO_VALUE;
DELETE FROM TB_RFD_ESCO_CONCEPT;

INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:1', 'OCCUPATIONS', current_timestamp);
INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:2', 'OCCUPATIONS', current_timestamp);
INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:3', 'OCCUPATIONS', current_timestamp);
INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:4', 'OCCUPATIONS', current_timestamp);
INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:5', 'OCCUPATIONS', current_timestamp);
INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:6', 'OCCUPATIONS', current_timestamp);
INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:7', 'OCCUPATIONS', current_timestamp);
INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:8', 'OCCUPATIONS', current_timestamp);
INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:9', 'OCCUPATIONS', current_timestamp);
INSERT INTO TB_RFD_ESCO_CONCEPT (ESCO_ID, CLASSIFICATION, CREATED_DATE) VALUES ('ESCO ITM:10', 'OCCUPATIONS', current_timestamp);

INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Aquaculture workers', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:1';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Health services managers', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:2';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Economists', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:3';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Printers', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:4';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Mixed crop and animal producers', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:5';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Engineering professionals not elsewhere classified', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:6';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Dancers and choreographers', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:7';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Street vendors (excluding food)', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:8';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Handicraft workers not elsewhere classified', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:9';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'en', 'Armed forces occupations, other ranks', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:10';

INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Aquaculteurs et ouvriers de l''aquaculture', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:1';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Cadres de direction, services de santé', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:2';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Économistes', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:3';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Imprimeurs', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:4';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Agriculteurs et ouvriers qualifiés des cultures et de l''élevage à but commercial', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:5';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Spécialistes, sciences techniques non classés ailleurs', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:6';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Danseurs et chorégraphes', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:7';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Vendeurs ambulants (à l''exception de l''alimentation)', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:8';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Métiers de l''artisanat non classés ailleurs', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:9';
INSERT INTO TB_RFD_ESCO_VALUE (CONCEPT_ID, LANGUAGE, VALUE, CREATED_DATE) SELECT id, 'fr', 'Autres membres des forces armées', current_timestamp FROM TB_RFD_ESCO_CONCEPT WHERE ESCO_ID =  'ESCO ITM:10';
