
-- When this propery is set true, all VARCHAR declarations in CREATE TABLE and other statements
-- are assigned an Upper Case Comparison collation, SQL_TEXT_UCC.
-- This is designed for compatibility with some databases that use case-insensitive comparison.
SET DATABASE COLLATION SQL_TEXT_UCC;

DELETE FROM TB_RFD_ISCED_VALUE;
DELETE FROM TB_RFD_ISCED;

INSERT INTO TB_RFD_ISCED (ID, KEY_VALUE, CREATED_DATE) VALUES (1, '0011', current_timestamp);
INSERT INTO TB_RFD_ISCED (ID, KEY_VALUE, CREATED_DATE) VALUES (2, '0021', current_timestamp);
INSERT INTO TB_RFD_ISCED (ID, KEY_VALUE, CREATED_DATE) VALUES (3, '0031', current_timestamp);
INSERT INTO TB_RFD_ISCED (ID, KEY_VALUE, CREATED_DATE) VALUES (4, '0111', current_timestamp);
INSERT INTO TB_RFD_ISCED (ID, KEY_VALUE, CREATED_DATE) VALUES (5, '0417', current_timestamp);

INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'en', 'Basic programmes and qualifications',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0011';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'fr', 'Programmes et certifications de base',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0011';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'ar', 'البرامج والمؤهالت األساسية',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0011';

INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'en', 'Literacy and numeracy',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0021';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'fr', 'Alphabétisation et apprentissage du calcul',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0021';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'ar', 'اإللمام بالقراءة والكتابة والحساب',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0021';

INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'en', 'Personal skills and development',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0031';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'fr', 'Compétences et développement personnels',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0031';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'ar', 'تنمية المهارات والتنمية الشخصية',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0031';

INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'en', 'Education science',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0111';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'fr', 'Sciences de l’éducation',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0111';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'ar', 'علم التربية',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0111';

INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'en', 'Work skills',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0417';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'fr', 'Compétences professionnelles',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0417';
INSERT INTO TB_RFD_ISCED_VALUE (LANGUAGE, VALUE, ISCED_ID, CREATED_DATE) SELECT 'ar', 'مهارات العمل',	id, current_timestamp FROM TB_RFD_ISCED WHERE KEY_VALUE = '0417';
