
-- When this propery is set true, all VARCHAR declarations in CREATE TABLE and other statements
-- are assigned an Upper Case Comparison collation, SQL_TEXT_UCC.
-- This is designed for compatibility with some databases that use case-insensitive comparison.
SET DATABASE COLLATION SQL_TEXT_UCC;

INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('aa', 'aar', 'aar', 'Afaraf', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ab', 'abk', 'abk', 'Аҧсуа', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ae', 'ave', 'ave', 'Avesta', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('af', 'afr', 'afr', 'Afrikaans', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ak', 'aka', 'aka', 'Akan', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('am', 'amh', 'amh', 'አማርኛ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('an', 'arg', 'arg', 'Aragonés', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ar', 'ara', 'ara', 'العربية', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('as', 'asm', 'asm', 'অসমীয়া', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('av', 'ava', 'ava', 'авар мацӀ ; магӀарул мацӀ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ay', 'aym', 'aym', 'Aymar aru', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('az', 'aze', 'aze', 'Azərbaycan dili', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ba', 'bak', 'bak', 'башҡорт теле', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('be', 'bel', 'bel', 'Беларуская', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('bg', 'bul', 'bul', 'български език', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('bh', 'bih', '', 'भोजपुरी', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('bi', 'bis', 'bis', 'Bislama', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('bm', 'bam', 'bam', 'Bamanankan', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('bn', 'ben', 'ben', 'বাংলা', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('bo', 'bod', 'bod', 'བོད་ཡིག', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('br', 'bre', 'bre', 'Brezhoneg', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('bs', 'bos', 'bos', 'Bosanski jezik', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ca', 'cat', 'cat', 'Català', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ce', 'che', 'che', 'нохчийн мотт', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ch', 'cha', 'cha', 'Chamoru', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('co', 'cos', 'cos', 'Corsu ; lingua corsa', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('cr', 'cre', 'cre', 'ᓀᐦᐃᔭᐍᐏᐣ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('cs', 'ces', 'ces', 'Česky ; čeština', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('cu', 'chu', 'chu', 'Словѣньскъ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('cv', 'chv', 'chv', 'чӑваш чӗлхи', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('cy', 'cym', 'cym', 'Cymraeg', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('da', 'dan', 'dan', 'Dansk', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('de', 'deu', 'deu', 'Deutsch', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('dv', 'div', 'div', '‫ދިވެހި', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('dz', 'dzo', 'dzo', 'རྫོང་ཁ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ee', 'ewe', 'ewe', 'Ɛʋɛgbɛ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('el', 'ell', 'ell', 'Ελληνικά', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('en', 'eng', 'eng', 'English', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('eo', 'epo', 'epo', 'Esperanto', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('es', 'spa', 'spa', 'Español; castellano', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('et', 'est', 'est', 'Eesti keel', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('eu', 'eus', 'eus', 'Euskara', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('fa', 'fas', 'fas', 'فارسی', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ff', 'ful', 'ful', 'Fulfulde', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('fi', 'fin', 'fin', 'Suomen kieli', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('fj', 'fij', 'fij', 'Vosa Vakaviti', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('fo', 'fao', 'fao', 'Føroyskt', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('fr', 'fra', 'fra', 'Français ; langue française', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('fy', 'fry', 'fry', 'Frysk', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ga', 'gle', 'gle', 'Gaeilge', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('gd', 'gla', 'gla', 'Gàidhlig', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('gl', 'glg', 'glg', 'Galego', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('gn', 'grn', 'grn', 'Avañe''ẽ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('gu', 'guj', 'guj', 'ગુજરાતી', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('gv', 'glv', 'glv', 'Ghaelg', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ha', 'hau', 'hau', 'هَوُسَ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('he', 'heb', 'heb', 'עברית', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('hi', 'hin', 'hin', 'हिन्दी ; हिंदी', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ho', 'hmo', 'hmo', 'Hiri Motu', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('hr', 'hrv', 'hrv', 'Hrvatski', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ht', 'hat', 'hat', 'Kreyòl ayisyen', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('hu', 'hun', 'hun', 'magyar', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('hy', 'hye', 'hye', 'Հայերեն', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('hz', 'her', 'her', 'Otjiherero', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ia', 'ina', 'ina', 'Interlingua', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('id', 'ind', 'ind', 'Bahasa Indonesia', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ie', 'ile', 'ile', 'Interlingue', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ig', 'ibo', 'ibo', 'Igbo', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ii', 'iii', 'iii', 'ꆇꉙ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ik', 'ipk', 'ipk', 'Iñupiaq ; Iñupiatun', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('io', 'ido', 'ido', 'Ido', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('is', 'isl', 'isl', 'Íslenska', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('it', 'ita', 'ita', 'Italiano', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('iu', 'iku', 'iku', 'ᐃᓄᒃᑎᑐᑦ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ja', 'jpn', 'jpn', '日本語 (にほんご)', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('jv', 'jav', 'jav', 'Basa Jawa', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ka', 'kat', 'kat', 'ქართული', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('kg', 'kon', 'kon', 'KiKongo', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ki', 'kik', 'kik', 'Gĩkũyũ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('kj', 'kua', 'kua', 'Kuanyama', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('kk', 'kaz', 'kaz', 'Қазақ тілі', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('kl', 'kal', 'kal', 'Kalaallisut ; kalaallit oqaasii', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('km', 'khm', 'khm', 'ភាសាខ្មែរ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('kn', 'kan', 'kan', 'ಕನ್ನಡ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ko', 'kor', 'kor', '한국어 (韓國語) ; 조선말 (朝鮮語)', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('kr', 'kau', 'kau', 'Kanuri', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ks', 'kas', 'kas', 'कश्मीरी ; كشميري', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ku', 'kur', 'kur', 'Kurdî ; كوردی', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('kv', 'kom', 'kom', 'коми кыв', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('kw', 'cor', 'cor', 'Kernewek', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ky', 'kir', 'kir', 'кыргыз тили', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('la', 'lat', 'lat', 'Latine ; lingua latina', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('lb', 'ltz', 'ltz', 'Lëtzebuergesch', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('lg', 'lug', 'lug', 'Luganda', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('li', 'lim', 'lim', 'Limburgs', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ln', 'lin', 'lin', 'Lingála', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('lo', 'lao', 'lao', 'ພາສາລາວ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('lt', 'lit', 'lit', 'Lietuvių kalba', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('lu', 'lub', 'lub', 'kiluba', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('lv', 'lav', 'lav', 'Latviešu valoda', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('mg', 'mlg', 'mlg', 'Fiteny malagasy', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('mh', 'mah', 'mah', 'Kajin M̧ajeļ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('mi', 'mri', 'mri', 'Te reo Māori', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('mk', 'mkd', 'mkd', 'македонски јазик', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ml', 'mal', 'mal', 'മലയാളം', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('mn', 'mon', 'mon', 'Монгол', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('mo', 'mol', 'mol', 'лимба молдовеняскэ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('mr', 'mar', 'mar', 'मराठी', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ms', 'msa', 'msa', 'Bahasa Melayu ; بهاس ملايو', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('mt', 'mlt', 'mlt', 'Malti', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('my', 'mya', 'mya', 'ဗမာစာ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('na', 'nau', 'nau', 'Ekakairũ Naoero', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('nb', 'nob', 'nob', 'Norsk bokmål', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('nd', 'nde', 'nde', 'isiNdebele', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ne', 'nep', 'nep', 'नेपाली', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ng', 'ndo', 'ndo', 'Owambo', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('nl', 'nld', 'nld', 'Nederlands', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('nn', 'nno', 'nno', 'Norsk nynorsk', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('no', 'nor', 'nor', 'Norsk', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('nr', 'nbl', 'nbl', 'Ndébélé', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('nv', 'nav', 'nav', 'Diné bizaad ; Dinékʼehǰí', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ny', 'nya', 'nya', 'ChiCheŵa ; chinyanja', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('oc', 'oci', 'oci', 'Occitan', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('oj', 'oji', 'oji', 'ᐊᓂᔑᓈᐯᒧᐎᓐ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('om', 'orm', 'orm', 'Afaan Oromoo', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('or', 'ori', 'ori', 'ଓଡ଼ିଆ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('os', 'oss', 'oss', 'Ирон æвзаг', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('pa', 'pan', 'pan', 'ਪੰਜਾਬੀ ; پنجابی', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('pi', 'pli', 'pli', 'पािऴ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('pl', 'pol', 'pol', 'Polski', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ps', 'pus', 'pus', '‫پښتو', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('pt', 'por', 'por', 'Português', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('qu', 'que', 'que', 'Runa Simi ; Kichwa', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('rc', 'rcf', 'rcf', 'Kréol Rénioné', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('rm', 'roh', 'roh', 'Rumantsch grischun', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('rn', 'run', 'run', 'kiRundi', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ro', 'ron', 'ron', 'Română', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ru', 'rus', 'rus', 'русский язык', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('rw', 'kin', 'kin', 'Kinyarwanda', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sa', 'san', 'san', 'संस्कृतम्', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sc', 'srd', 'srd', 'sardu', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sd', 'snd', 'snd', 'सिन्धी ; ‫سنڌي، سندھی', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('se', 'sme', 'sme', 'Davvisámegiella', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sg', 'sag', 'sag', 'Yângâ tî sängö', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sh', '', '', '', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('si', 'sin', 'sin', 'සිංහල', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sk', 'slk', 'slk', 'Slovenčina', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sl', 'slv', 'slv', 'Slovenščina', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sm', 'smo', 'smo', 'Gagana fa''a Samoa', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sn', 'sna', 'sna', 'chiShona', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('so', 'som', 'som', 'Soomaaliga ; af Soomaali', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sq', 'sqi', 'sqi', 'Shqip', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sr', 'srp', 'srp', 'српски језик', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ss', 'ssw', 'ssw', 'SiSwati', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('st', 'sot', 'sot', 'seSotho', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('su', 'sun', 'sun', 'Basa Sunda', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sv', 'swe', 'swe', 'Svenska', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('sw', 'swa', 'swa', 'Kiswahili', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ta', 'tam', 'tam', 'தமிழ்', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('te', 'tel', 'tel', 'తెలుగు', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('tg', 'tgk', 'tgk', 'тоҷикӣ ; toğikī ; ‫تاجیکی', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('th', 'tha', 'tha', 'ไทย', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ti', 'tir', 'tir', 'ትግርኛ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('tk', 'tuk', 'tuk', 'Türkmen ; Түркмен', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('tl', 'tgl', 'tgl', 'Tagalog', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('tn', 'tsn', 'tsn', 'seTswana', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('to', 'ton', 'ton', 'faka Tonga', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('tr', 'tur', 'tur', 'Türkçe', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ts', 'tso', 'tso', 'xiTsonga', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('tt', 'tat', 'tat', 'татарча ; tatarça ; ‫تاتارچا', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('tw', 'twi', 'twi', 'Twi', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ty', 'tah', 'tah', 'Reo Mā`ohi', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ug', 'uig', 'uig', 'Uyƣurqə ; ‫ئۇيغۇرچ', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('uk', 'ukr', 'ukr', 'українська мова', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ur', 'urd', 'urd', '‫اردو', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('uz', 'uzb', 'uzb', 'O''zbek ; Ўзбек ; أۇزبېك', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('ve', 'ven', 'ven', 'tshiVenḓa', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('vi', 'vie', 'vie', 'Tiếng Việt', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('vo', 'vol', 'vol', 'Volapük', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('wa', 'wln', 'wln', 'Walon', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('wo', 'wol', 'wol', 'Wollof', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('xh', 'xho', 'xho', 'isiXhosa', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('yi', 'yid', 'yid', '‫ייִדיש', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('yo', 'yor', 'yor', 'Yorùbá', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('za', 'zha', 'zha', 'Saɯ cueŋƅ ; Saw cuengh', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('zh', 'zho', 'zho', '中文, 汉语, 漢語', current_timestamp);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE) VALUES ('zu', 'zul', 'zul', 'isiZulu', current_timestamp);

INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE, PRIMARY_SUPPORTED, SECONDARY_SUPPORTED) VALUES ('zz', 'zz', 'zzz', 'FirstLanguage', current_timestamp, 1, 1);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE, PRIMARY_SUPPORTED, SECONDARY_SUPPORTED) VALUES ('zx', 'bb', 'bbb', 'SecondLanguage', current_timestamp, 1, 1);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE, PRIMARY_SUPPORTED, SECONDARY_SUPPORTED) VALUES ('zy', 'cc', 'ccc', 'ThirdLanguage', current_timestamp, 1, 1);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE, PRIMARY_SUPPORTED, SECONDARY_SUPPORTED) VALUES ('zw', 'dd', 'ddd', 'FourthLanguage', current_timestamp, 1, 1);
INSERT INTO TB_RFD_LANGUAGE (ISO_CODE_1, ISO_CODE_2, ISO_CODE_3, NATIVE_VALUE, CREATED_DATE, PRIMARY_SUPPORTED, SECONDARY_SUPPORTED) VALUES ('wz', 'dd', 'ddd', 'FourthLanguage', current_timestamp, 1, 1);

INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Afar', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'aa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Abkhazian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ab';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Avestan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ae';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Afrikaans', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'af';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Akan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ak';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Amharic', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'am';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Aragonese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'an';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Arabic', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ar';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Assamese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'as';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Avaric', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'av';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Aymara', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ay';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Azerbaijani', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'az';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Bashkir', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ba';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Belarusian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'be';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Bulgarian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Bihari', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bh';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Bislama', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Bambara', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bm';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Bengali', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tibetan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Breton', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'br';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Bosnian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bs';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Catalan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ca';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Chechen', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ce';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Chamorro', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ch';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Corsican', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'co';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Cree', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Czech', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cs';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Old Church Slavonic', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Chuvash', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Welsh', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cy';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Danish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'da';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'German', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'de';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Divehi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'dv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Dzongkha', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'dz';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Ewe', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ee';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Greek', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'el';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'English', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'en';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Esperanto', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'eo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Spanish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'es';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Estonian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'et';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Basque', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'eu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Persian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Fulah', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ff';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Finnish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Fijian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fj';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Faroese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'French', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Western Frisian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fy';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Irish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ga';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Scottish Gaelic', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gd';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Galician', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Guarani', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Gujarati', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Manx', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Hausa', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ha';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Hebrew', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'he';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Hindi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Hiri Motu', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ho';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Croatian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Haitian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ht';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Hungarian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Armenian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hy';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Herero', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hz';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Interlingua', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ia';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Indonesian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'id';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Interlingue', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ie';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Igbo', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ig';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Sichuan Yi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ii';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Inupiaq', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ik';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Ido', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'io';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Icelandic', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'is';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Italian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'it';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Inuktitut', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'iu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Japanese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ja';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Javanese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'jv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Georgian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ka';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kongo', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kikuyu', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ki';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kwanyama', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kj';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kazakh', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kalaallisut', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Khmer', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'km';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kannada', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Korean', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ko';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kanuri', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kashmiri', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ks';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kurdish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ku';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Komi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Cornish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kw';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kirghiz', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ky';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Latin', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'la';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Luxembourgish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lb';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Ganda', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Limburgish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'li';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Lingala', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ln';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Lao', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Lithuanian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lt';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Luba-Katanga', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Latvian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Malagasy', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Marshallese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mh';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Māori', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Macedonian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Malayalam', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ml';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Mongolian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Moldavian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Marathi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Malay', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ms';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Maltese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mt';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Burmese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'my';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Nauru', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'na';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Norwegian Bokmål', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nb';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'North Ndebele', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nd';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Nepali', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ne';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Ndonga', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ng';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Dutch', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Norwegian Nynorsk', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Norwegian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'no';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'South Ndebele', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Navajo', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Chichewa', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ny';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Occitan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'oc';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Ojibwa', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'oj';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Oromo', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'om';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Oriya', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'or';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Ossetian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'os';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Panjabi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'pa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Pāli', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'pi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Polish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'pl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Pashto', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ps';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Portuguese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'pt';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Quechua', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'qu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Reunionese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'rc';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Romansh', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'rm';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kirundi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'rn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Romanian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ro';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Russian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ru';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Kinyarwanda', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'rw';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Sanskrit', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Sardinian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sc';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Sindhi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sd';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Northern Sami', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'se';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Sango', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Sinhalese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'si';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Slovak', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Slovene', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Samoan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sm';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Shona', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Somali', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'so';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Albanian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sq';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Serbian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Swati', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ss';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Sotho', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'st';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Sundanese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'su';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Swedish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Swahili', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sw';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tamil', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ta';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Telugu', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'te';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tajik', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Thai', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'th';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tigrinya', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ti';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Turkmen', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tagalog', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tswana', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tonga', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'to';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Turkish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tsonga', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ts';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tatar', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tt';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Twi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tw';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Tahitian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ty';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Uighur', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ug';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Ukrainian', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'uk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Urdu', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ur';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Uzbek', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'uz';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Venda', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 've';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Viêt Namese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'vi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Volapük', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'vo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Walloon', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'wa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Wolof', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'wo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Xhosa', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'xh';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Yiddish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'yi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Yoruba', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'yo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Zhuang', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'za';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Chinese', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'zh';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'en', 'Zulu', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'zu';

INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Afar', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'aa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Abkhaze', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ab';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Avestique', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ae';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Afrikaans', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'af';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Akan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ak';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Amharique', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'am';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Aragonais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'an';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Arabe', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ar';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Assamais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'as';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Avar', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'av';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Aymara', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ay';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Azéri', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'az';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Bachkir', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ba';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Biélorusse', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'be';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Bulgare', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Bihari', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bh';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Bichelamar', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Bambara', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bm';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Bengali', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tibétain', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Breton', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'br';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Bosnien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'bs';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Catalan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ca';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tchétchène', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ce';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Chamorro', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ch';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Corse', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'co';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Cri', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tchèque', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cs';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Vieux-slave', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tchouvache', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Gallois', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'cy';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Danois', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'da';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Allemand', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'de';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Maldivien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'dv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Dzongkha', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'dz';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ewe', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ee';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Grec moderne', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'el';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Anglais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'en';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Espéranto', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'eo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Espagnol', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'es';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Estonien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'et';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Basque', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'eu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Persan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Peul', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ff';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Finnois', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Fidjien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fj';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Féroïen', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Français', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Frison', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'fy';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Irlandais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ga';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Écossais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gd';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Galicien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Guarani', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Gujarati', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Mannois', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'gv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Haoussa', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ha';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Hébreu', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'he';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Hindi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Hiri motu', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ho';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Croate', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Créole haïtien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ht';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Hongrois', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Arménien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hy';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Héréro', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'hz';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Interlingua', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ia';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Indonésien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'id';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Occidental', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ie';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Igbo', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ig';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Yi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ii';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Inupiak', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ik';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ido', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'io';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Islandais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'is';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Italien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'it';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Inuktitut', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'iu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Japonais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ja';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Javanais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'jv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Géorgien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ka';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kikongo', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kikuyu', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ki';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kuanyama', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kj';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kazakh', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Groenlandais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Khmer', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'km';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kannada', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Coréen', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ko';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kanouri', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Cachemiri', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ks';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kurde', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ku';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Komi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Cornique', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'kw';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kirghiz', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ky';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Latin', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'la';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Luxembourgeois', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lb';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ganda', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Limbourgeois', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'li';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Lingala', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ln';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Lao', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Lituanien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lt';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Luba-katanga', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Letton', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'lv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Malgache', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Marshallais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mh';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Maori de Nouvelle-Zélande', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Macédonien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Malayalam', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ml';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Mongol', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Moldave', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Marathi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Malais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ms';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Maltais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'mt';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Birman', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'my';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Nauruan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'na';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Norvégien Bokmål', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nb';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Sindebele', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nd';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Népalais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ne';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ndonga', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ng';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Néerlandais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Norvégien Nynorsk', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Norvégien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'no';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Nrebele', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Navajo', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'nv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Chichewa', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ny';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Occitan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'oc';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ojibwé', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'oj';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Oromo', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'om';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Oriya', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'or';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ossète', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'os';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Pendjabi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'pa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Pali', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'pi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Polonais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'pl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Pachto', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ps';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Portugais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'pt';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Quechua', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'qu';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Créole Réunionnais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'rc';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Romanche', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'rm';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kirundi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'rn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Roumain', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ro';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Russe', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ru';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Kinyarwanda', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'rw';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Sanskrit', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Sarde', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sc';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Sindhi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sd';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Same du Nord', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'se';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Sango', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Serbo-croate', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = '';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Cingalais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'si';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Slovaque', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Slovène', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Samoan', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sm';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Shona', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Somali', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'so';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Albanais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sq';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Serbe', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Swati', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ss';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Sotho du Sud', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'st';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Soundanais', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'su';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Suédois', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sv';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Swahili', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'sw';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tamoul', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ta';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Télougou', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'te';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tadjik', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tg';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Thaï', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'th';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tigrigna', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ti';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Turkmène', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tagalog', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tl';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tswana', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tn';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tongien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'to';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Turc', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tr';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tsonga', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ts';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tatar', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tt';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Twi', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'tw';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Tahitien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ty';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ouïghour', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ug';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ukrainien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'uk';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ourdou', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'ur';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Ouzbek', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'uz';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Venda', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 've';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Vietnamien', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'vi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Volapük', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'vo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Wallon', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'wa';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Wolof', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'wo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Xhosa', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'xh';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Yiddish', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'yi';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Yoruba', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'yo';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Zhuang', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'za';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Chinois', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'zh';
INSERT INTO TB_RFD_LANGUAGE_VALUE (LANGUAGE, VALUE, LANGUAGE_ID, CREATED_DATE) SELECT 'fr', 'Zoulou', id, current_timestamp FROM TB_RFD_LANGUAGE WHERE ISO_CODE_1 = 'zu';