
-- When this propery is set true, all VARCHAR declarations in CREATE TABLE and other statements
-- are assigned an Upper Case Comparison collation, SQL_TEXT_UCC.
-- This is designed for compatibility with some databases that use case-insensitive comparison.
SET DATABASE COLLATION SQL_TEXT_UCC;

DELETE FROM TB_RFD_NACE_VALUE;
DELETE FROM TB_RFD_NACE;

INSERT INTO TB_RFD_NACE (ID, KEY_VALUE, CREATED_DATE) VALUES (1, 'A', current_timestamp);
INSERT INTO TB_RFD_NACE (ID, KEY_VALUE, CREATED_DATE) VALUES (2, 'B', current_timestamp);
INSERT INTO TB_RFD_NACE (ID, KEY_VALUE, CREATED_DATE) VALUES (3, 'C', current_timestamp);

INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'bg', 'СЕЛСКО, ГОРСКО И РИБНО СТОПАНСТВО',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'cz', 'ZEMĚDĚLSTVÍ, LESNICTVÍ A RYBÁŘSTVÍ',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'da', 'LANDBRUG, JAGT, SKOVBRUG OG FISKERI',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'de', 'LAND- UND FORSTWIRTSCHAFT, FISCHEREI',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'ee', 'PÕLLUMAJANDUS, METSAMAJANDUS JA KALAPÜÜK',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'el', 'ΓΕΩΡΓΙΑ, ΔΑΣΟΚΟΜΙΑ ΚΑΙ ΑΛΙΕΙΑ',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'en', 'AGRICULTURE, FORESTRY AND FISHING',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'es', 'AGRICULTURA, GANADERÍA, SILVICULTURA Y PESCA',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'fi', 'MAATALOUS, METSÄTALOUS JA KALATALOUS',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'fr', 'AGRICULTURE, SYLVICULTURE ET PÊCHE',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'hr', 'POLJOPRIVREDA, ŠUMARSTVO I RIBARSTVO',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'hu', 'MEZŐGAZDASÁG, ERDŐGAZDÁLKODÁS, HALÁSZAT',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'it', 'AGRICOLTURA, SILVICOLTURA E PESCA',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'lt', 'ŽEMĖS ŪKIS, MIŠKININKYSTĖ IR ŽUVININKYSTĖ ',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'lv', 'LAUKSAIMNIECĪBA, MEŽSAIMNIECĪBA UN ZIVSAIMNIECĪBA',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'mt', 'AGRIKOLTURA, FORESTRIJA U SAJD',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'nl', 'LANDBOUW, BOSBOUW EN VISSERIJ',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'no', 'JORDBRUK, SKOGBRUK OG FISKE',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'pl', 'ROLNICTWO, LEŚNICTWO I RYBACTWO',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'pt', 'AGRICULTURA, FLORESTA E PESCA',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'ro', 'AGRICULTURĂ, SILVICULTURĂ ŞI PESCUIT',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'ru', 'СЕЛЬСКОЕ, ЛЕСНОЕ И РЫБНОЕ ХОЗЯЙСТВО',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'si', 'KMETIJSTVO IN LOV, GOZDARSTVO, RIBIŠTVO',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'sk', 'POĽNOHOSPODÁRSTVO, LESNÍCTVO A RYBOLOV',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'sv', 'JORDBRUK, SKOGSBRUK OCH FISKE',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'tr', 'TARIM, ORMANCILIK VE BALIKÇILIK',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'A';

INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'bg', 'ДОБИВНА ПРОМИШЛЕНОСТ',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'B';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'cz', 'TĚŽBA A DOBÝVÁNÍ',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'B';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'da', 'RÅSTOFINDVINDING',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'B';

INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'bg', 'ПРЕРАБОТВАЩА ПРОМИШЛЕНОСТ',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'C';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'cz', 'ZPRACOVATELSKÝ PRŮMYSL',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'C';
INSERT INTO TB_RFD_NACE_VALUE (LANGUAGE, VALUE, NACE_ID, CREATED_DATE) SELECT 'da', 'FREMSTILLINGSVIRKSOMHED',	id, current_timestamp FROM TB_RFD_NACE WHERE KEY_VALUE = 'C';