import {browser, by, element, ElementFinder} from 'protractor';
import {By} from 'selenium-webdriver';
import {PersonalInfoGeneralPage} from './personal-info.general.po';

export abstract class AbstractPage {

  scrollTo(elementFinder: ElementFinder) {
    if (elementFinder && elementFinder.isDisplayed()) {
      browser.executeScript(
        `
          arguments[0].scrollIntoView();
          window.scrollTo(0, $(document).scrollTop() - $('.title-bar-fixed').innerHeight());
        `,
        elementFinder.getWebElement()
      );
    }
  }

  getFirstSection() {
    return 'http://localhost:4200/#/profile/personal-info/general';
  }

  getById(id: string) {
    const elm = element(by.id(id));
    this.scrollTo(elm);
    return elm;
  }

  getAllById(id: string) {
    return element.all(by.id(id));
  }

  getByCss(css: string) {
    const elm = element(By.css(css));
    this.scrollTo(elm);
    return elm;
  }

  getByClassName(classname: string) {
    const elm = element(by.className(classname));
    this.scrollTo(elm);
    return elm;
  }

  getAllByClassName(classname: string) {
    return element.all(by.className(classname));
  }

  getAllByName(name: string) {
    return element.all(by.name(name));
  }

  getAllbyTagName(tagName: string) {
    return element.all(by.tagName(tagName));
  }

  abstract url(): string;

  navigateTo() {
    return browser.get(this.url());
  }

  isPresent(element: string) {
    return this.getAllById(element).count().then(function (count) {
      return count !== 0;
    });
  }

}
