import {AbstractPage} from './abstract.po';

export class HeaderPage extends AbstractPage {

  url() {
    return '#';
  }

  getLanguageDropDownOption(value: string) {
    return this.getById('app-language').$('[value="' + value + '"]');
  }

  getChangeLanguageButton() {
    return this.getById('primary-language-selector');
  }

  getChangeSecondaryLanguageDropDownOption(value: string) {
    return this.getById('second-lang-sel').$('[value="' + value + '"]');
  }

  getConfigurationButton() {
    return this.getById('configuration');
  }

  getNextButton() {
    return this.getById('header-next-button');
  }

  isNextButtonPresent() {
    return this.isPresent('header-next-button');
  }

  getPreviousButton() {
    return this.getById('header-previous-button');
  }

  isPreviousButtonPresent() {
    return this.isPresent('header-previous-button');
  }

  getClearProfileButton() {
    return this.getById('clear-profile');
  }

  getUploadProfilePhotoButton() {
    return this.getById('upload-photo-profile');
  }

  getImageProfile() {
    return this.getById('photo-profile');
  }

  // ----- ----- ----- ----- ----- ----- personal information
  getPersonalInformationButton() {
    return this.getById('personal-info');
  }

  getGeneralInformationTabButton() {
    return this.getById('general');
  }

  getContactInformationTabButton() {
    return this.getById('contact');
  }

  getMigrationTabButton() {
    return this.getById('migration');
  }

  // ----- ----- ----- ----- ----- ----- expectations

  getExpectationsButton() {
    return this.getById('expectations');
  }

  // ----- ----- ----- ----- ----- ----- skills identification
  getSkillsIdentificationButton() {
    return this.getById('skills-identification');
  }

  getLanguagesTabButton() {
    return this.getById('languages');
  }

  getEducationAndTrainingTabButton() {
    return this.getById('education-and-training');
  }

  getLiteracySkillsTabButton() {
    return this.getById('literacy');
  }

  getNumeracySkillsTabButton() {
    return this.getById('numeracy');
  }

  getDigitalSkillsTabButton() {
    return this.getById('digital');
  }

  getProfessionalSkillsTabButton() {
    return this.getById('professional');
  }

  getSkillsAcquiredOutsideTabButton() {
    return this.getById('acquired-outside');
  }

  getOtherBasicAndTransversalSkillsTabButton() {
    return this.getById('other-basic-transversal');
  }

  getDrivingSkillsTabButton() {
    return this.getById('driving');
  }

  // ----- ----- ----- ----- ----- ----- overall appraisal and recommended next steps
  getOutcomeButton() {
    return this.getById('outcome');
  }

  getStrengthsTabButton() {
    return this.getById('key-skills');
  }

  getRecognitionTabButton() {
    return this.getById('recognition');
  }

  getValidationTabButton() {
    return this.getById('validation');
  }

  getTrainingTabButton() {
    return this.getById('education-or-training');
  }

  getWorkTabButton() {
    return this.getById('employment-business');
  }

  getGuidanceTabButton() {
    return this.getById('further-information');
  }

  getOrganisationTabButton() {
    return this.getById('issuing-organisation');
  }

  getCoursesTabButton() {
    return this.getById('mooc-search');
  }

  getRecommendationsTabButton() {
    return this.getById('mooc-recommended');
  }

  // ----- ----- ----- ----- ----- ----- summary
  getSummaryButton() {
    return this.getById('summary');
  }

}
