import {AbstractPage} from './abstract.po';

export class OutcomeCoursesPage extends AbstractPage {

  url() {
    return '#/profile/outcome/mooc-search';
  }

  getTagsEmailsSelect(index) {
    return this.getAllById('tag-value-' + index);
  }

  getFirstRemoveTagEmailSelect() {
    return this.getAllByClassName('ecl-tag__icon remove-selected').first();
  }

  getEmailsInput(index: number) {
    return this.getById('mooc-input-email-' + index);
  }

  getTagsEmailsSelectByName(name: string) {
    return this.getById(name);
  }

  getLanguagesOfTheTrainingFilterInput() {
    return this.getInputByIndex(0);
  }

  getFieldsOfStudyFilterInput() {
    return this.getInputByIndex(1);
  }

  getAllFilterTags() {
    return this.getAllByClassName('ecl-tag');
  }

  getRefreshFiltersButton() {
    return this.getById('refresh-filters-button');
  }

  getLanguagesChoice() {
    return this.getChoiceByIndex(0);
  }

  getSubtitlesChoice() {
    return this.getChoiceByIndex(1);
  }

  getFieldOfStudyChoice() {
    return this.getRenderedChoiceByIndex(2);
  }

  getEducationLevelChoice() {
    return this.getRenderedChoiceByIndex(3);
  }

  getCourseTopicChoice() {
    return this.getRenderedChoiceByIndex(4);
  }

  getProviderChoice() {
    return this.getRenderedChoiceByIndex(5);
  }

  private getInputByIndex(index: number) {
    let el = this.getAllByClassName('select2-search__field').get(index);
    this.scrollTo(el);
    return el;
  }

  private getChoiceByIndex(index: number) {
    let el = this.getAllByClassName('select2-selection__choice').get(index);
    this.scrollTo(el);
    return el;
  }

  private getRenderedChoiceByIndex(index: number) {
    let el = this.getAllByClassName('select2-selection__rendered').get(index);
    this.scrollTo(el);
    return el;
  }

}
