import {AbstractPage} from './abstract.po';

export class PersonalInfoContactPage extends AbstractPage {

  url() {
    return '#/profile/personal-info/contact';
  }

  getPrincipalPhoneNumberPrefixInput() {
    return this.getById('contact-info-phone-prefix');
  }

  getPrincipalPhoneNumberSuffixInput() {
    return this.getById('contact-info-phone-suffix');
  }

  getAddPhoneNumberButton() {
    return this.getById('add-phone-number');
  }

  getAllMultiPhoneNumberPrefixInput() {
    return this.getAllById('multi-phone-number-prefix');
  }

  getAllMultiPhoneNumberSuffixInput() {
    return this.getAllById('multi-phone-number-suffix');
  }

  getRemovePhoneNumberButton(index: number) {
    return this.getById('remove-phone-number-' + index);
  }

  getPrincipalEmailPrefixInput() {
    return this.getById('contact-info-email-prefix');
  }

  getPrincipalEmailSuffixInput() {
    return this.getById('contact-info-email-suffix');
  }

  getAllPrefixMailErrorLabel() {
    return this.getAllById('prefix-address-mail-error');
  }

  getAllSuffixMailErrorLabel() {
    return this.getAllById('suffix-address-mail-error');
  }

  getAddMailButton() {
    return this.getById('add-mail');
  }

  getAllMultiMailPrefixInput() {
    return this.getAllById('multi-mail-prefix');
  }

  getAllMultiMailSuffixInput() {
    return this.getAllById('multi-mail-suffix');
  }

  getRemoveMailButton(index: number) {
    return this.getById('remove-mail-' + index);
  }

}
