import {AbstractPage} from './abstract.po';

export class PersonalInfoGeneralPage extends AbstractPage {

  url() {
    return '#/profile/personal-info/general';
  }

  getFamilyAndFirstName() {
    return this.getById('familyAndFirstName');
  }

  getFamilyNameInput() {
    return this.getById('family-name');
  }

  getFirstNameInput() {
    return this.getById('first-name');
  }

  getAddFirstNameButton() {
    return this.getById('add-first-names');
  }

  getOtherFirstNameInput(index: number) {
    return this.getById('selection-first-names-' + index);
  }

  getRemoveFirstNameButton(index: number) {
    return this.getById('remove-selection-first-names-' + index);
  }

  getRadioGenderInput() {
    const elm = this.getAllById('gender');
    this.scrollTo(elm.first());
    return elm;
  }

  getBirthDateDatePickerInput() {
    return this.getById('birth-date-picker');
  }

  getCountryOfBirthDropDown() {
    const elm = this.getAllByClassName('select2').get(0);
    this.scrollTo(elm);
    return elm;
  }

  getCountryOfNationalityDropDown() {
    const elm = this.getAllByClassName('select2').get(1);
    this.scrollTo(elm);
    return elm;
  }

  getCountryInput() {
    const elm = this.getAllByClassName('select2-search__field').last();
    this.scrollTo(elm);
    return elm;
  }

  getAddOtherCountryButton() {
    return this.getById('add-other-country');
  }

  getOtherCountryOfNationalityDropDown() {
    const elm = this.getAllByClassName('select2').get(2);
    this.scrollTo(elm);
    return elm;
  }

  getRemoveOtherCountryButton(index: number) {
    return this.getById('remove-selection-other-country-' + index);
  }

  getMaritalStatusDropDownOption(value: string) {
    return this.getById('marital-status').$('[value="' + value + '"]');
  }

  getAddIdentificationDocumentButton() {
    return this.getById('add-identification-document');
  }

  getRemoveIdentificationDocumentButton(index: number) {
    return this.getById('remove-selection-' + index);
  }

  getPersonalIdendificationDropDown(index: number, value: string) {
    return this.getById('personal-identification-document-' + index).$('[value="' + value + '"]');
  }

  getDocumentNumberInput(index: number) {
    return this.getById('document-number-' + index);
  }

  getCountryOfIssue0DropDown() {
    const elm = this.getAllByClassName('select2').get(2);
    this.scrollTo(elm);
    return elm;
  }

  getDocumentValidityDatePickerInput(index: number) {
    return this.getById('document-validity-date-picker-' + index);
  }

  getDocumentTypeInput(index: number) {
    return this.getById('document-type-' + index);
  }

  getDocumentAttachmentFileReaderImput() {
    return this.getByCss('input[type="file"]');
  }

  isDocumentAttachmentFilePresent(index: number) {
    return this.isPresent('personal-identification-document-attachment-' + index + '-file');
  }

}
