import {AbstractPage} from '../../abstract.po';

export class SummaryExpectationsPage extends AbstractPage {

  private idFirstDoNext = 'summary-expectation-do-next-';

  private idImproveLanguageSkills = 'summary-expectation-language';

  private idTypeOfEducation = 'summary-expectation-undertake-education-type-';
  private idTimeCommitment = 'summary-expectation-undertake-education-time-';
  private idFieldsOfStudy = 'summary-expectation-undertake-education-study-field';
  private idOtherFieldsOfStudy = 'summary-expectation-undertake-education-other-study-field';

  private idFindWork = 'summary-expectation-find-work-';
  private idFindWorkTime = 'summary-expectation-find-work-time-';
  private idBestFittingActivity = 'summary-expectation-find-work-activity-field-';
  private idBestFittingOccupation = 'summary-expectation-find-work-occupation-';

  url() {
    return '#/profile/summary';
  }

  // ----- ----- ----- ----- ----- ----- expectations

  getDoNext(index: number) {
    return this.getById(this.idFirstDoNext + index);
  }

  isDoNextPresent(index: number) {
    return this.isPresent(this.idFirstDoNext + index);
  }

  // ----- ----- ----- ----- improve language skills

  getImproveLanguageSkills() {
    return this.getAllById(this.idImproveLanguageSkills);
  }

  isImproveLanguageSkillsPresent() {
    return this.isPresent(this.idImproveLanguageSkills);
  }

  // ----- ----- ----- ----- undertake education and / or training

  getTypeOfEducation(index: number) {
    return this.getById(this.idTypeOfEducation + index);
  }

  isTypeOfEducationPresent(index: number) {
    return this.isPresent(this.idTypeOfEducation + index);
  }

  getTimeCommitment(index: number) {
    return this.getById(this.idTimeCommitment + index);
  }

  isTimeCommitmentPresent(index: number) {
    return this.isPresent(this.idTimeCommitment + index);
  }

  getFieldsOfStudy() {
    return this.getAllById(this.idFieldsOfStudy);
  }

  isFieldsOfStudyPresent() {
    return this.isPresent(this.idFieldsOfStudy);
  }

  getOtherFieldsOfStudy(index: number) {
    return this.getAllById(this.idOtherFieldsOfStudy + '-' + index);
  }

  isOtherFieldsOfStudyPresent(index: number) {
    return this.isPresent(this.idOtherFieldsOfStudy + '-' + index);
  }

  isOtherFieldsOfStudyTitlePresent() {
    return this.isPresent('expectation-undertake-education-other-study-field-title');
  }

  // ----- ----- ----- ----- find work

  getFindWork(index: number) {
    return this.getById(this.idFindWork + index);
  }

  isFindWorkPresent(index: number) {
    return this.isPresent(this.idFindWork + index);
  }

  getFindWorkTime(index: number) {
    return this.getById(this.idFindWorkTime + index);
  }

  isFindWorkTimePresent(index: number) {
    return this.isPresent(this.idFindWorkTime + index);
  }

  getBestFittingActivity(index: number) {
    return this.getAllById(this.idBestFittingActivity + index);
  }

  isBestFittingActivityPresent(index: number) {
    return this.isPresent(this.idBestFittingActivity + index);
  }

  getBestFittingOccupation(index: number) {
    return this.getAllById(this.idBestFittingOccupation + index);
  }

  isBestFittingOccupationPresent(index: number) {
    return this.isPresent(this.idBestFittingOccupation + index);
  }


}
