import {AbstractPage} from '../../abstract.po';

export class SummaryOrganisationPage extends AbstractPage {

  private dateOfIssuance = 'summary-organisation-issuance-date-';
  private placeOfIssuance = 'summary-organisation-issuance-place-';
  private typeOfOrganisation = 'summary-organisation-type-';
  private nameOfOrganisation = 'summary-organisation-name-';
  private responsibleOfficer = 'summary-organisation-responsible-officer-';
  private address = 'summary-organisation-issuance-address-';
  private country = 'summary-organisation-country-';
  private telephoneNumber = 'summary-organisation-phone-number-';
  private otherTelephoneNumber = 'organisation-other-phone-number-';
  private emailAddress = 'summary-organisation-email-address-';

  url() {
    return '#/profile/summary';
  }

  getDateOfIssuance(index: number) {
    return this.getById(this.dateOfIssuance + index);
  }

  isDateOfIssuancePresent(index: number) {
    return this.isPresent(this.dateOfIssuance + index);
  }

  getPlaceOfIssuance(index: number) {
    return this.getById(this.placeOfIssuance + index);
  }

  isPlaceOfIssuancePresent(index: number) {
    return this.isPresent(this.placeOfIssuance + index);
  }

  getTypeOfOrganisation(index: number) {
    return this.getById(this.typeOfOrganisation + index);
  }

  isTypeOfOrganisationPresent(index: number) {
    return this.isPresent(this.typeOfOrganisation + index);
  }

  getNameOfOrganisation(index: number) {
    return this.getById(this.nameOfOrganisation + index);
  }

  isNameOfOrganisationPresent(index: number) {
    return this.isPresent(this.nameOfOrganisation + index);
  }

  getResponsibleOfficer(index: number) {
    return this.getById(this.responsibleOfficer + index);
  }

  isResponsibleOfficerPresent(index: number) {
    return this.isPresent(this.responsibleOfficer + index);
  }

  getAddress(index: number) {
    return this.getById(this.address + index);
  }

  isAddressPresent(index: number) {
    return this.isPresent(this.address + index);
  }

  getCountry(index: number) {
    return this.getById(this.country + index);
  }

  isCountryPresent(index: number) {
    return this.isPresent(this.country + index);
  }

  getTelephoneNumber(index: number) {
    return this.getById(this.telephoneNumber + index);
  }

  isTelephoneNumberPresent(index: number) {
    return this.isPresent(this.telephoneNumber + index);
  }

  getOtherTelephoneNumber(organisationIndex: number, otherPhoneIndex: number) {
    return this.getById(this.otherTelephoneNumber + organisationIndex + '-' + otherPhoneIndex);
  }

  isOtherTelephoneNumberPresent(organisationIndex: number, otherPhoneIndex: number) {
    return this.isPresent(this.otherTelephoneNumber + organisationIndex + '-' + otherPhoneIndex);
  }

  isOtherTelephoneNumberTitlePresent() {
    return this.isPresent('organisation-other-phone-number-title');
  }

  getEmailAddress(index: number) {
    return this.getById(this.emailAddress + index);
  }

  isEmailAddressPresent(index: number) {
    return this.isPresent(this.emailAddress + index);
  }

}
