import {AbstractPage} from '../../abstract.po';

export class SummaryOutcomePage extends AbstractPage {
  private strenghts = 'summary-outcome-strengths';
  private recommandationRecognition = 'summary-outcome-recognition-recommendation';
  private referralRecognition = 'summary-outcome-recognition-referral';
  private recommandationValidation = 'summary-outcome-validation-recommendation';
  private referralValidation = 'summary-outcome-validation-referral';
  private trainingAdvice = 'summary-outcome-training-advice';
  private trainingReferral = 'summary-outcome-training-referral';
  private work = 'summary-outcome-work';
  private guidance = 'summary-outcome-guidance';

  url(): string {
    return '#/profile/summary';
  }

  getStrenghts() {
    return this.getById(this.strenghts);
  }

  getRecognitionRecommandation() {
    return this.getById(this.recommandationRecognition);
  }

  getRecognitionReferral() {
    return this.getById(this.referralRecognition);
  }

  getValidationRecommandation() {
    return this.getById(this.recommandationValidation);
  }

  getValidationReferral() {
    return this.getById(this.referralValidation);
  }


  getTrainingAdvice() {
    return this.getById(this.trainingAdvice);
  }

  getTrainingReferral() {
    return this.getById(this.trainingReferral);
  }

  getEmploymentBusiness() {
    return this.getById(this.work);
  }

  getGuidance() {
    return this.getById(this.guidance);
  }


  isStrenghtsPresent() {
    return this.isPresent(this.strenghts);
  }

  isRecognitionRecommandationPresent() {
    return this.isPresent(this.recommandationRecognition);
  }

  isRecognitionReferralPresent() {
    return this.isPresent(this.referralRecognition);
  }

  isValidationRecommandationPresent() {
    return this.isPresent(this.recommandationValidation);
  }

  isValidationReferralPresent() {
    return this.isPresent(this.referralValidation);
  }

  isTrainingAdvicePresent() {
    return this.isPresent(this.trainingAdvice);
  }

  isTrainingReferralPresent() {
    return this.isPresent(this.trainingReferral);
  }

  isEmploymentBusinessPresent() {
    return this.isPresent(this.work);
  }

  isGuidancePresent() {
    return this.isPresent(this.guidance);
  }
}
