import {AbstractPage} from '../../abstract.po';

export class SummaryContactInformationPage extends AbstractPage {

  private idAddress = 'contact-address';
  private idPostalCode = 'contact-postal-code';
  private idCountry = 'contact-country';
  private idTelephoneNumber = 'contact-phone-number';
  private idOtherTelephoneNumber = 'contact-other-phone-number';
  private idEmailAddress = 'contact-email';
  private idOtherEmailAddress = 'contact-other-email';

  url() {
    return '#/profile/summary';
  }

  getAddress() {
    return this.getById(this.idAddress);
  }

  isAddressPresent() {
    return this.isPresent(this.idAddress);
  }

  getPostalCode() {
    return this.getById(this.idPostalCode);
  }

  isPostalCodePresent() {
    return this.isPresent(this.idPostalCode);
  }

  getCountry() {
    return this.getById(this.idCountry);
  }

  isCountryPresent() {
    return this.isPresent(this.idCountry);
  }

  getTelephoneNumber() {
    return this.getById(this.idTelephoneNumber);
  }

  isTelephoneNumberPresent() {
    return this.isPresent(this.idTelephoneNumber);
  }

  getOtherTelephoneNumber(index: number) {
    return this.getAllById(this.idOtherTelephoneNumber + '-' + index);
  }

  isOtherTelephoneNumberPresent(index: number) {
    return this.isPresent(this.idOtherTelephoneNumber + '-' + index);
  }

  isOtherTelephoneNumberTitlePresent() {
    return this.isPresent('contact-other-phone-number-title');
  }

  getEmailAddress() {
    return this.getById(this.idEmailAddress);
  }

  isEmailAddressPresent() {
    return this.isPresent(this.idEmailAddress);
  }

  getOtherEmailAddress(index: number) {
    return this.getAllById(this.idOtherEmailAddress + '-' + index);
  }

  isOtherEmailAddressPresent(index: number) {
    return this.isPresent(this.idOtherEmailAddress + '-' + index);
  }

  isOtherEmailAddressTitlePresent() {
    return this.isPresent('other-email-address-row-title');
  }

}
