import {AbstractPage} from '../../abstract.po';

export class SummaryGeneralInformationPage extends AbstractPage {

  private idFamilyName = 'summary-family-name';
  private idFirstName = 'summary-first-name';
  private idOtherFirstNames = 'other-first-names';
  private idGender = 'summary-gender';
  private idDateOfBirth = 'summary-birth-date';
  private idCountryOfBirth = 'summary-birth-country';
  private idCountryOfNationality = 'summary-nationality';
  private idMaritalStatus = 'summary-marital-status';
  private idOtherMaritalStatuses = 'other-marital-statuses';
  private idDocumentTitle = 'identification-document-title';
  private idDocumentName = 'identification-document-name';
  private idCountryOfIssue = 'country-of-issue';
  private idDocumentNumber = 'identification-document-number';
  private idDocumentValidity = 'identification-document-ValidUntil';
  private idDocumentOtherType = 'identification-document-otherType';

  url() {
    return '#/profile/summary';
  }

  getFamilyName() {
    return this.getById(this.idFamilyName);
  }

  isFamilyNamePresent() {
    return this.isPresent(this.idFamilyName);
  }

  getFirstName() {
    return this.getById(this.idFirstName);
  }

  isFirstNamePresent() {
    return this.isPresent(this.idFirstName);
  }

  getOtherFirstNames(index) {
    return this.getById(this.idOtherFirstNames + '-' + index);
  }

  isOtherFirstNamesPresent(index) {
    return this.isPresent(this.idOtherFirstNames + '-' + index);
  }

  isOtherFirstNamesTitlePresent() {
    return this.isPresent('general-other-first-names-title');
  }

  getGender() {
    return this.getById(this.idGender);
  }

  isGenderPresent() {
    return this.isPresent(this.idGender);
  }

  getDateOfBirth() {
    return this.getById(this.idDateOfBirth);
  }

  isDateOfBirthPresent() {
    return this.isPresent(this.idDateOfBirth);
  }

  getCountryOfBirth() {
    return this.getById(this.idCountryOfBirth);
  }

  isCountryOfBirthPresent() {
    return this.isPresent(this.idCountryOfBirth);
  }

  getCountryOfNationality() {
    return this.getById(this.idCountryOfNationality);
  }

  isCountryOfNationalityPresent() {
    return this.isPresent(this.idCountryOfNationality);
  }

  getOtherNationalities() {
    return this.getAllById('other-nationalities');
  }

  isOtherNationalitiesTitlePresent() {
    return this.isPresent('contact-other-nationalities-title');
  }

  getMaritalStatus() {
    return this.getById(this.idMaritalStatus);
  }

  isMaritalStatusPresent() {
    return this.isPresent(this.idMaritalStatus);
  }

  getOtherMaritalStatuses(index) {
    return this.getById(this.idOtherMaritalStatuses + '-' + index);
  }

  isOtherMaritalStatusesPresent(index) {
    return this.isPresent(this.idOtherMaritalStatuses + '-' + index);
  }

  getAllIdentificationDocumentTitle() {
    return this.getAllById(this.idDocumentTitle);
  }

  getType() {
    return this.getById(this.idDocumentName);
  }

  getNumber() {
    return this.getById(this.idDocumentNumber);
  }

  getCountryOfIssue() {
    return this.getById(this.idCountryOfIssue);
  }

  getExpirationDate() {
    return this.getById(this.idDocumentValidity);
  }

  getIdentificationDocumentOtherType() {
    return this.getById(this.idDocumentOtherType);
  }

  isTypePresent() {
    return this.isPresent(this.idDocumentName);
  }

  isNumberPresent() {
    return this.isPresent(this.idDocumentNumber);
  }

  isCountryOfIssuePresent() {
    return this.isPresent(this.idCountryOfIssue);
  }

  isExpirationDate() {
    return this.isPresent(this.idDocumentValidity);
  }

  identificationDocumentOtherTypePresent() {
    return this.isPresent(this.idDocumentOtherType);
  }
}
