import {AbstractPage} from '../../abstract.po';

export class SummaryMigrationInformationPage extends AbstractPage {
  private dateOfArrival = 'date-of-arrival';
  private residentialStatus = 'residence-status';
  private workPermitStatus = 'work-permit';
  private travellingWithDependants = 'travelling-with-dependants';
  private minorUnder15 = 'minor-15-or-under-travelling';
  private minor16To18 = 'minor-16-to-18-travelling';
  private adult = 'adult-travelling';
  private elderly = 'elderly-travelling';
  private sickOrDisabled = 'sick-travelling';
  private otherResidencyStatus = 'other-residency-status';

  url() {
    return '#/profile/summary';
  }

  getDateOfArrival() {
    return this.getById(this.dateOfArrival);
  }

  isDateOfArrivalPresent() {
    return this.isPresent(this.dateOfArrival);
  }

  getResidentialStatus() {
    return this.getById(this.residentialStatus);
  }

  isResidentialStatusPresent() {
    return this.isPresent(this.residentialStatus);
  }

  getOtherResidencyStatuses() {
    return this.getAllByClassName(this.otherResidencyStatus);
  }

  getWorkPermitStatus() {
    return this.getById(this.workPermitStatus);
  }

  isWorkPermitStatusPresent() {
    return this.isPresent(this.workPermitStatus);
  }

  getTravellingWithDependants() {
    return this.getById(this.travellingWithDependants);
  }

  isTravellingWithDependantsPresent() {
    return this.isPresent(this.travellingWithDependants);
  }

  getMinorUnder15() {
    return this.getById(this.minorUnder15);
  }

  isMinorUnder15Present() {
    return this.isPresent(this.minorUnder15);
  }

  getMinor16To18() {
    return this.getById(this.minor16To18);
  }

  isMinor16To18Present() {
    return this.isPresent(this.minor16To18);
  }

  getAdult() {
    return this.getById(this.adult);
  }

  isAdultPresent() {
    return this.isPresent(this.adult);
  }

  getElderly() {
    return this.getById(this.elderly);
  }

  isElderlyPresent() {
    return this.isPresent(this.elderly);
  }

  getSickOrDisabled() {
    return this.getById(this.sickOrDisabled);
  }

  isSickOrDisabledPresent() {
    return this.isPresent(this.sickOrDisabled);
  }
}
