import {AbstractPage} from '../../abstract.po';

export class SummaryDigitalPage extends AbstractPage {
  private smartphoneOrTablet = 'summary-digital-using-smartphone-textValue';
  private laptop = 'summary-digital-using-laptop-textValue';
  private managingFilesAndFolders = 'summary-digital-managing-files-textValue';
  private textDocuments = 'summary-digital-create-text-textValue';
  private spreadSheets = 'summary-digital-create-spread-textValue';
  private presentations = 'summary-digital-create-presentations-textValue';
  private emails = 'summary-digital-emails-textValue';
  private findingAndManagingInformationOnInternet = 'summary-digital-find-info-textValue';
  private internetCalls = 'summary-digital-telephoning-textValue';
  private purchasingGoodsAndServicesOnline = 'summary-digital-purchase-online-textValue';
  private learningOnline = 'summary-digital-learning-online-textValue';
  private producingGraphic= 'summary-digital-making-graphic-designs-textValue';
  private otherDigitalSkills = 'summary-digital-other-skills-';

  url() {
    return '#/profile/skills-identification/digital';
  }

  getSmartphoneOrTablet() {
    return this.getById(this.smartphoneOrTablet);
  }

  isSmartphoneOrTabletPresent() {
    return this.isPresent(this.smartphoneOrTablet);
  }

  getLaptop() {
    return this.getById(this.laptop);
  }

  isLaptopPresent() {
    return this.isPresent(this.laptop);
  }

  getManagingFilesAndFolders() {
    return this.getById(this.managingFilesAndFolders);
  }

  isManagingFilesAndFoldersPresent() {
    return this.isPresent(this.managingFilesAndFolders);
  }

  getTextDocuments() {
    return this.getById(this.textDocuments);
  }

  isTextDocumentsPresent() {
    return this.isPresent(this.textDocuments);
  }

  getSpreadSheets() {
    return this.getById(this.spreadSheets);
  }

  isSpreadSheetsPresent() {
    return this.isPresent(this.spreadSheets);
  }

  getPresentations() {
    return this.getById(this.presentations);
  }

  isPresentationsPresent() {
    return this.isPresent(this.presentations);
  }

  getEmails() {
    return this.getById(this.emails);
  }

  isEmailsPresent() {
    return this.isPresent(this.emails);
  }

  getFindingAndManagingInformationOnInternet() {
    return this.getById(this.findingAndManagingInformationOnInternet);
  }

  isFindingAndManagingInformationOnInternetPresent() {
    return this.isPresent(this.findingAndManagingInformationOnInternet);
  }

  getInternetCalls() {
    return this.getById(this.internetCalls);
  }

  isInternetCallsPresent() {
    return this.isPresent(this.internetCalls);
  }

  getPurchasingGoodsAndServicesOnline() {
    return this.getById(this.purchasingGoodsAndServicesOnline);
  }

  isPurchasingGoodsAndServicesOnlinePresent() {
    return this.isPresent(this.purchasingGoodsAndServicesOnline);
  }

  getLearningOnline() {
    return this.getById(this.learningOnline);
  }

  isLearningOnlinePresent() {
    return this.isPresent(this.learningOnline);
  }

  getProducingGraphic() {
    return this.getById(this.producingGraphic);
  }

  isProducingGraphicPresent() {
    return this.isPresent(this.producingGraphic);
  }

  getOtherDigitalSkills(index?: number) {
    if (index !== undefined) {
      return this.getById(this.otherDigitalSkills + index);
    } else {
      return this.getById(this.otherDigitalSkills.slice(0, -1));
    }
  }

  isOtherDigitalSkillsPresent(index?: number) {
    if (index) {
      return this.isPresent(this.otherDigitalSkills + index);
    } else {
      return this.isPresent(this.otherDigitalSkills.slice(0, -1));
    }
  }

  isOtherDigitalSkillsTitlePresent() {
    return this.isPresent('skills-other-digital-title');
  }

}
