import {AbstractPage} from '../../abstract.po';

export class SummaryEducationTrainingPage extends AbstractPage {
  private attented = 'summary-education-training-attended';
  private lastIn = 'summary-education-training-last';
  private fullWeek = 'summary-education-training-full-week';
  private fullMonth = 'summary-education-training-full-month';
  private fullYear = 'summary-education-training-full-year';
  private partWeek = 'summary-education-training-part-week';
  private partMonth = 'summary-education-training-part-month';
  private partYear = 'summary-education-training-part-year';
  private highestLevel = 'summary-education-training-highest-level';
  private studyField = 'summary-education-training-study-field';
  private otherStudyFields = 'summary-education-training-other-study-fields';
  private otherFieldWeek = 'summary-education-training-other-study-field-week';
  private otherFieldMonth = 'summary-education-training-other-study-field-month';
  private otherFieldYear = 'summary-education-training-other-study-field-year';
  private typesOfEducation = 'summary-education-training-education-type';
  private priorLearning = 'summary-education-training-prior-learning';
  private certificateOrDiploma = 'summary-education-training-certificate';

  url() {
    return '#/profile/summary';
  }

  getAttented() {
    return this.getById(this.attented);
  }

  getLastIn() {
    return this.getById(this.lastIn);
  }

  getFullTimeWeek() {
    return this.getById(this.fullWeek);
  }

  getFullTimeMonth() {
    return this.getById(this.fullMonth);
  }

  getFullTimeYear() {
    return this.getById(this.fullYear);
  }

  getPartTimeWeek() {
    return this.getById(this.partWeek);
  }

  getPartTimeMonth() {
    return this.getById(this.partMonth);
  }

  getPartTimeYear() {
    return this.getById(this.partYear);
  }

  getHighestLevel() {
    return this.getById(this.highestLevel);
  }

  getStudyFields() {
    return this.getAllById(this.studyField);
  }

  getOtherStudyFields() {
    return this.getAllByClassName(this.otherStudyFields);
  }

  getOtherFieldsOfStudyWeek() {
    return this.getById(this.otherFieldWeek);
  }

  getOtherFieldsOfStudyMonth() {
    return this.getById(this.otherFieldMonth);
  }

  getOtherFieldsOfStudyYear() {
    return this.getById(this.otherFieldYear);
  }

  getAllTypesOfEducation() {
    return this.getAllById(this.typesOfEducation);
  }

  getPriorLearning() {
    return this.getById(this.priorLearning);
  }

  getCertificateOrDiploma() {
    return this.getById(this.certificateOrDiploma);
  }

  isAttentedPresent() {
    return this.isPresent(this.attented);
  }

  isLastInPresent() {
    return this.isPresent(this.lastIn);
  }

  isFullTimeWeekPresent() {
    return this.isPresent(this.fullWeek);
  }

  isFullTimeMonthPresent() {
    return this.isPresent(this.fullMonth);
  }

  isFullTimeYearPresent() {
    return this.isPresent(this.fullYear);
  }

  isPartTimeWeekPresent() {
    return this.isPresent(this.partWeek);
  }

  isPartTimeMonthPresent() {
    return this.isPresent(this.partMonth);
  }

  isPartTimeYearPresent() {
    return this.isPresent(this.partYear);
  }

  isHighestLevelPresent() {
    return this.isPresent(this.highestLevel);
  }

  isStudyFieldsPresent() {
    return this.isPresent(this.studyField);
  }

  isOtherFieldWeekPresent() {
    return this.isPresent(this.otherFieldWeek);
  }

  isOtherFieldMonthPresent() {
    return this.isPresent(this.otherFieldMonth);
  }

  isOtherFieldYearPresent() {
    return this.isPresent(this.otherFieldYear);
  }

  isTypesOfEducationPresent() {
    return this.isPresent(this.typesOfEducation);
  }

  isPriorLearningPresent() {
    return this.isPresent(this.priorLearning);
  }

  isCertificateOrDiplomaPresent() {
    return this.isPresent(this.certificateOrDiploma);
  }
}
