import {AbstractPage} from '../../abstract.po';

export class SummaryProfessionalSkillsPage extends AbstractPage {

  private doYouHaveAnyProfessionalExperience = 'summary-professional-skills-experience';
  private forHowLongWeeks = 'summary-professional-skills-week';
  private forHowLongMonths = 'summary-professional-skills-month';
  private forHowLongYears = 'summary-professional-skills-year';
  private whenWereYouLastInProfessionalExperience = 'summary-professional-skills-last';

  private experienceSectionTitle = 'summary-professional-skills-sub-experience';
  private pleaseDescribeTheNatureOfYouProfessionalExperience = 'summary-professional-skills-nature-';
  private howLongDidThisExperienceLastWeeks = 'summary-professional-skills-how-long-last-experience-';
  private howLongDidThisExperienceLastMonths = 'summary-professional-skills-how-long-last-experience-';
  private howLongDidThisExperienceLastYears = 'summary-professional-skills-how-long-last-experience-';
  private inWhichCountryWasThisExperience = 'summary-professional-skills-country-';
  private whichLanguageDidYouMainlyUse = 'summary-professional-skills-language-';
  private pleaseIndicateTheOccupationFromTheListThatBestFitsTheTypeOfWorkYouCarriedOut = 'summary-professional-skills-occupation-';
  private whichSkillsDidYouNeedToDoYourJobWell = 'summary-professional-skills-skill-';
  private whatWasTheSizeOfTheOrganisation = 'summary-professional-skills-organisation-size-';
  private whatWasTheSizeOfTheWorkplace = 'summary-professional-skills-workplace-size-';
  private doYouHaveAnyProofOfThisProfessionalExperienceWithYou = 'summary-professional-skills-proof-';

  url() {
    return '#/profile/summary';
  }

  getDoYouHaveAnyProfessionalExperience() {
    return this.getById(this.doYouHaveAnyProfessionalExperience);
  }

  isDoYouHaveAnyProfessionalExperiencePresent() {
    return this.isPresent(this.doYouHaveAnyProfessionalExperience);
  }

  getForHowLongWeeks() {
    return this.getById(this.forHowLongWeeks);
  }

  isForHowLongWeeksPresent() {
    return this.isPresent(this.forHowLongWeeks);
  }

  getForHowLongMonths() {
    return this.getById(this.forHowLongMonths);
  }

  isForHowLongMonthsPresent() {
    return this.isPresent(this.forHowLongMonths);
  }

  getForHowLongYears() {
    return this.getById(this.forHowLongYears);
  }

  isForHowLongYearsPresent() {
    return this.isPresent(this.forHowLongYears);
  }

  getWhenWereYouLastInProfessionalExperience() {
    return this.getById(this.whenWereYouLastInProfessionalExperience);
  }

  isWhenWereYouLastInProfessionalExperiencePresent() {
    return this.isPresent(this.whenWereYouLastInProfessionalExperience);
  }

  getAllExperienceSectionTitle() {
    return this.getAllById(this.experienceSectionTitle);
  }

  isExperienceSectionTitlePresent() {
    return this.isPresent(this.experienceSectionTitle);
  }

  getPleaseDescribeTheNatureOfYouProfessionalExperience(index: number) {
    return this.getById(this.pleaseDescribeTheNatureOfYouProfessionalExperience + index);
  }

  isPleaseDescribeTheNatureOfYouProfessionalExperiencePresent(index: number) {
    return this.isPresent(this.pleaseDescribeTheNatureOfYouProfessionalExperience + index);
  }

  gethowLongDidThisExperienceLastWeeks(index: number) {
    return this.getById(this.howLongDidThisExperienceLastWeeks + index + '-week');
  }

  isHowLongDidThisExperienceLastWeeksPresent(index: number) {
    return this.isPresent(this.howLongDidThisExperienceLastWeeks + index + '-week');
  }

  getHowLongDidThisExperienceLastMonths(index: number) {
    return this.getById(this.howLongDidThisExperienceLastMonths + index + '-month');
  }

  isHowLongDidThisExperienceLastMonthsPresent(index: number) {
    return this.isPresent(this.howLongDidThisExperienceLastMonths + index + '-month');
  }

  getHowLongDidThisExperienceLastYears(index: number) {
    return this.getById(this.howLongDidThisExperienceLastYears + index + '-year');
  }

  isHowLongDidThisExperienceLastYearsPresent(index: number) {
    return this.isPresent(this.howLongDidThisExperienceLastYears + index + '-year');
  }

  getInWhichCountryWasThisExperience(index: number) {
    return this.getById(this.inWhichCountryWasThisExperience + index);
  }

  isInWhichCountryWasThisExperiencePresent(index: number) {
    return this.isPresent(this.inWhichCountryWasThisExperience + index);
  }

  getAllWhichLanguageDidYouMainlyUse(index: number) {
    return this.getAllById(this.whichLanguageDidYouMainlyUse + index);
  }

  isWhichLanguageDidYouMainlyUsePresent(index: number) {
    return this.isPresent(this.whichLanguageDidYouMainlyUse + index);
  }

  getOccupationFromTheListThatBestFitsTheTypeOfWorkYouCarriedOut(index: number) {
    return this.getById(this.pleaseIndicateTheOccupationFromTheListThatBestFitsTheTypeOfWorkYouCarriedOut + index);
  }

  isPleaseIndicateTheOccupationFromTheListThatBestFitsTheTypeOfWorkYouCarriedOutPresent(index: number) {
    return this.isPresent(this.pleaseIndicateTheOccupationFromTheListThatBestFitsTheTypeOfWorkYouCarriedOut + index);
  }

  getAllWhichSkillsDidYouNeedToDoYourJobWell(index: number) {
    return this.getAllById(this.whichSkillsDidYouNeedToDoYourJobWell + index);
  }

  isWhichSkillsDidYouNeedToDoYourJobWellPresent(index: number) {
    return this.isPresent(this.whichSkillsDidYouNeedToDoYourJobWell + index);
  }

  getWhatWasTheSizeOfTheOrganisation(index: number) {
    return this.getById(this.whatWasTheSizeOfTheOrganisation + index);
  }

  isWhatWasTheSizeOfTheOrganisationPresent(index: number) {
    return this.isPresent(this.whatWasTheSizeOfTheOrganisation + index);
  }

  getWhatWasTheSizeOfTheWorkplace(index: number) {
    return this.getById(this.whatWasTheSizeOfTheWorkplace + index);
  }

  isWhatWasTheSizeOfTheWorkplacePresent(index: number) {
    return this.isPresent(this.whatWasTheSizeOfTheWorkplace + index);
  }

  getDoYouHaveAnyProofOfThisProfessionalExperienceWithYou(index: number) {
    return this.getById(this.doYouHaveAnyProofOfThisProfessionalExperienceWithYou + index);
  }

  isDoYouHaveAnyProofOfThisProfessionalExperienceWithYouPresent(index: number) {
    return this.isPresent(this.doYouHaveAnyProofOfThisProfessionalExperienceWithYou + index);
  }

}
