import {PersonalInfoGeneralPage} from '../pages/personal-info.general.po';
import {FooterPage} from '../pages/footer.po';
import {ConsentPage} from '../pages/consent.po';
import {browser} from 'protractor';
import {HomePage} from '../pages/home.po';
import * as path from 'path';

describe('A user', function() {

  let homePage: HomePage;
  let footerPage: FooterPage;
  let personalInfoGeneralPage: PersonalInfoGeneralPage;
  let consentPage: ConsentPage;

  beforeEach(() => {
    homePage = new HomePage();
    footerPage = new FooterPage();
    personalInfoGeneralPage = new PersonalInfoGeneralPage();
    consentPage = new ConsentPage();

    personalInfoGeneralPage.navigateTo();
  });

  it('must not be able to see the consent page on his second profile export.', () => {
    homePage.navigateTo();

    // path of the file
    const fileToUpload = '../resources/profile.xml';
    const absolutePath = path.resolve(__dirname, fileToUpload);

    // unhide input (not working in firefox otherwise)
    browser.executeScript(
      'document.getElementById("file-reader").style.visibility = "visible"; document.getElementById("file-reader").style.display = "inline"'
    );

    homePage.getFileReaderInput().sendKeys(absolutePath);
    expect(browser.getCurrentUrl()).toEqual(homePage.getFirstSection());

    footerPage.getExportButton().click();
    footerPage.getExportAsXmlButton().click();

    expect(consentPage.isConsentTitlePresent())
      .toBe(false,
        'The consent modal is displayed.');
  });

  it('must be able to see the consent page on his first profile export.', () => {
    personalInfoGeneralPage.getFamilyNameInput().sendKeys('Doe');
    personalInfoGeneralPage.getFirstNameInput().sendKeys('John');

    footerPage.getExportButton().click();
    footerPage.getExportAsXmlButton().click();

    expect(consentPage.isConsentTitlePresent())
      .toBe(true,
        'The consent modal is not displayed.');
  });

});
