import {HomePage} from '../pages/home.po';
import * as path from 'path';
import {ExpectationsPage} from '../pages/expectations.po';
import {HeaderPage} from '../pages/header.po';
import {browser} from 'protractor';

describe('A user on the expectations page', function() {
  let headerPage: HeaderPage;
  let homePage: HomePage;
  let expectationsPage: ExpectationsPage;

  beforeAll(() => {
    headerPage = new HeaderPage();
    homePage = new HomePage();
    expectationsPage = new ExpectationsPage();
  });

  it('must be able to see some expectations after importing his profile', () => {
    homePage.navigateTo();
    // path of the file
    const fileToUpload = '../resources/import_profile_expectations_freez.xml';
    const absolutePath = path.resolve(__dirname, fileToUpload);

    // unhide input (not working in firefox otherwise)
    browser.executeScript(
      'document.getElementById("file-reader").style.visibility = "visible"; document.getElementById("file-reader").style.display = "inline"'
    );

    homePage.getFileReaderInput().sendKeys(absolutePath);
    expect(browser.getCurrentUrl()).toEqual(expectationsPage.getFirstSection());

    headerPage.getExpectationsButton().click();

    expect(expectationsPage.getAllExpectationsTitle().count()).toEqual(1);

    expectationsPage.getActiveRadioButton(0).then(elements => {
      const radioIsChecked = [true, false, false, false, false];
      let index = 0;
      for (let element of elements) {
        expect(element.isSelected())
          .toBe(radioIsChecked[index], 'Error with the radio button number ' + index);
        index++;
      }
    });
    expect(expectationsPage.getContentDopdown(0).getText()).toContain('×French');
  });

});
