import {HomePage} from '../pages/home.po';
import * as path from 'path';
import {PersonalInfoGeneralPage} from '../pages/personal-info.general.po';
import {OutcomeStrengthsPage} from '../pages/outcome.strengths.po';
import {OutcomeRecommendationsPage} from '../pages/outcome.recommendations.po';
import {HeaderPage} from '../pages/header.po';
import {browser} from 'protractor';

describe('A user on the recommendations page', function () {
  let headerPage: HeaderPage;
  let homePage: HomePage;
  let personalInfoGeneralPage: PersonalInfoGeneralPage;
  let outcomeStrengthsPage: OutcomeStrengthsPage;
  let outcomeRecommendationsPage: OutcomeRecommendationsPage;

  beforeAll(() => {
    headerPage = new HeaderPage();
    homePage = new HomePage();
    personalInfoGeneralPage = new PersonalInfoGeneralPage();
    outcomeStrengthsPage = new OutcomeStrengthsPage();
    outcomeRecommendationsPage = new OutcomeRecommendationsPage();
  });

  it('must be able to load a profile without freezing the app', () => {
    homePage.navigateTo();
    // path of the file
    const fileToUpload = '../resources/import_profile_expectations_freez.xml';
    const absolutePath = path.resolve(__dirname, fileToUpload);

    // unhide input (not working in firefox otherwise)
    browser.executeScript(
      'document.getElementById("file-reader").style.visibility = "visible"; document.getElementById("file-reader").style.display = "inline"'
    );

    homePage.getFileReaderInput().sendKeys(absolutePath);
    expect(browser.getCurrentUrl()).toEqual(outcomeRecommendationsPage.getFirstSection());

    headerPage.getOutcomeButton().click();
    expect(browser.getCurrentUrl()).toEqual(browser.baseUrl + outcomeStrengthsPage.url());

    headerPage.getRecommendationsTabButton().click();
    expect(browser.getCurrentUrl()).toEqual(browser.baseUrl + outcomeRecommendationsPage.url());

    headerPage.getPersonalInformationButton().click();
    expect(browser.getCurrentUrl()).toEqual(browser.baseUrl + personalInfoGeneralPage.url());

    expect(personalInfoGeneralPage.getFamilyAndFirstName().getText()).toEqual('Doe \nJohn ');
    expect(personalInfoGeneralPage.getFamilyNameInput().getAttribute('value')).toEqual('Doe');
    expect(personalInfoGeneralPage.getFirstNameInput().getAttribute('value')).toEqual('John');
  });

});
