import {browser} from 'protractor';
import {SkillsIdentificationProfessionalSkillsPage} from '../pages/skills-identification.professional-skills.po';
import {PersonalInfoGeneralPage} from '../pages/personal-info.general.po';
import {PersonalInfoContactPage} from '../pages/personal-info.contact.po';
import {PersonalInfoMigrationPage} from '../pages/personal-info.migration.po';
import {ExpectationsPage} from '../pages/expectations.po';
import {SkillsIdentificationLanguageSkillsPage} from '../pages/skills-identification.language.po';
import {SkillsIdentificationEducationAndTrainingSkillsPage} from '../pages/skills-identification.education-and-training.po';
import {SkillsIdentificationLiteracySkillsPage} from '../pages/skills-identification.literacy.po';
import {SkillsIdentificationNumeracySkillsPage} from '../pages/skills-identification.numeracy.po';
import {SkillsIdentificationDigitalSkillsPage} from '../pages/skills-identification.digital.po';
import {SkillsIdentificationAcquiredOutsideSkillsPage} from '../pages/skills-identification.acquired-outside.po';
import {SkillsIdentificationOtherBasicTransversalSkillsPage} from '../pages/skills-identification.other-basic-transversal.po';
import {SkillsIdentificationDrivingSkillsPage} from '../pages/skills-identification.driving.po';
import {OutcomeStrengthsPage} from '../pages/outcome.strengths.po';
import {OutcomeRecognitionPage} from '../pages/outcome.recognition.po';
import {OutcomeValidationPage} from '../pages/outcome.validation.po';
import {OutcomeEducationOrTrainingPage} from '../pages/outcome.education-or-training.po';
import {OutcomeEmploymentBusinessPage} from '../pages/outcome.employment-business.po';
import {OutcomeFurtherInformationPage} from '../pages/outcome.further-information.po';
import {OutcomeIssuingOrganisationPage} from '../pages/outcome.issuing-organisation.po';
import {OutcomeCoursesPage} from '../pages/outcome.courses.po';
import {OutcomeRecommendationsPage} from '../pages/outcome.recommendations.po';
import {SummaryPage} from '../pages/summary/summary.po';
import {AbstractPage} from '../pages/abstract.po';

describe('A user not on the site', function() {

  describe('must be able to directly access to the', () => {

    [
      ['general information', new PersonalInfoGeneralPage(), browser.baseUrl + '#/profile/personal-info/general'],
      ['contact information', new PersonalInfoContactPage(), browser.baseUrl + '#/profile/personal-info/contact'],
      ['migration information', new PersonalInfoMigrationPage(), browser.baseUrl + '#/profile/personal-info/migration'],
      ['expectations', new ExpectationsPage(), browser.baseUrl + '#/profile/expectations'],
      ['language', new SkillsIdentificationLanguageSkillsPage(), browser.baseUrl + '#/profile/skills-identification/languages'],
      ['education and training', new SkillsIdentificationEducationAndTrainingSkillsPage(), browser.baseUrl + '#/profile/skills-identification/education-and-training'],
      ['literacy skills', new SkillsIdentificationLiteracySkillsPage(), browser.baseUrl + '#/profile/skills-identification/literacy'],
      ['numeracy skills', new SkillsIdentificationNumeracySkillsPage(), browser.baseUrl + '#/profile/skills-identification/numeracy'],
      ['digital skills', new SkillsIdentificationDigitalSkillsPage(), browser.baseUrl + '#/profile/skills-identification/digital'],
      ['professional skills', new SkillsIdentificationProfessionalSkillsPage(), browser.baseUrl + '#/profile/skills-identification/professional'],
      ['skills acquired outside the workplace', new SkillsIdentificationAcquiredOutsideSkillsPage(), browser.baseUrl + '#/profile/skills-identification/acquired-outside'],
      ['other basic and transversal skills', new SkillsIdentificationOtherBasicTransversalSkillsPage(), browser.baseUrl + '#/profile/skills-identification/other-basic-transversal'],
      ['driving skills', new SkillsIdentificationDrivingSkillsPage(), browser.baseUrl + '#/profile/skills-identification/driving'],
      ['strengths', new OutcomeStrengthsPage(), browser.baseUrl + '#/profile/outcome/key-skills'],
      ['recognition', new OutcomeRecognitionPage(), browser.baseUrl + '#/profile/outcome/recognition'],
      ['validation', new OutcomeValidationPage(), browser.baseUrl + '#/profile/outcome/validation'],
      ['training', new OutcomeEducationOrTrainingPage(), browser.baseUrl + '#/profile/outcome/education-or-training'],
      ['work', new OutcomeEmploymentBusinessPage(), browser.baseUrl + '#/profile/outcome/employment-business'],
      ['guidance', new OutcomeFurtherInformationPage(), browser.baseUrl + '#/profile/outcome/further-information'],
      ['organisation', new OutcomeIssuingOrganisationPage(), browser.baseUrl + '#/profile/outcome/issuing-organisation'],
      ['courses', new OutcomeCoursesPage(), browser.baseUrl + '#/profile/outcome/mooc-search'],
      ['recommendation', new OutcomeRecommendationsPage(), browser.baseUrl + '#/profile/outcome/mooc-recommended'],
      ['summary', new SummaryPage(), browser.baseUrl + '#/profile/summary']
    ].forEach(([pageName, page, expectedUrl]) => {
      it(pageName + ' page', () => {
        (page as AbstractPage).navigateTo();
        expect(browser.getCurrentUrl()).toEqual(expectedUrl);
      });
    });
  });

});
