import {HomePage} from '../pages/home.po';
import {SkillsIdentificationProfessionalSkillsPage} from '../pages/skills-identification.professional-skills.po';
import {HeaderPage} from '../pages/header.po';
import {browser, protractor} from 'protractor';

describe('A user on the professional skills page', function () {
  let headerPage: HeaderPage;
  let homePage: HomePage;
  let skillsIdentificationProfessionalSkillsPage: SkillsIdentificationProfessionalSkillsPage;

  beforeAll(() => {
    headerPage = new HeaderPage();
    homePage = new HomePage();
    skillsIdentificationProfessionalSkillsPage = new SkillsIdentificationProfessionalSkillsPage();

    homePage.navigateTo();
    homePage.getCreateProfileButton().click();
    headerPage.getChangeSecondaryLanguageDropDownOption('fr').click();
    headerPage.getSkillsIdentificationButton().click();
    headerPage.getProfessionalSkillsTabButton().click();
  });

  afterAll(() => {
    homePage.navigateTo();
    browser.switchTo().alert().accept();
  });

  it('must be able to select an occupation', () => {
    skillsIdentificationProfessionalSkillsPage.getProfessionalExperienceRadio().first().click();
    expect(skillsIdentificationProfessionalSkillsPage.getAddExperienceButton().isDisplayed()).toBe(true);
    expect(skillsIdentificationProfessionalSkillsPage.getAddExperienceButton().isEnabled()).toBe(true);

    skillsIdentificationProfessionalSkillsPage.getAddExperienceButton().click();

    skillsIdentificationProfessionalSkillsPage.getOccupationSpan().click();
    skillsIdentificationProfessionalSkillsPage.getOccupationInput().sendKeys('street performer');
    skillsIdentificationProfessionalSkillsPage.getOccupationInput().sendKeys(protractor.Key.ENTER);
    expect(skillsIdentificationProfessionalSkillsPage.getOccupationSpan().getText()).toContain('×street performer / artiste de rue');

    headerPage.getDigitalSkillsTabButton().click();
    headerPage.getProfessionalSkillsTabButton().click();
    expect(skillsIdentificationProfessionalSkillsPage.getOccupationSpan().getText()).toContain('street performer / artiste de rue');
  });
});
