import {HeaderPage} from '../../../pages/header.po';
import {HomePage} from '../../../pages/home.po';
import {SkillsData} from '../../../data/skills-data';
import {SummaryOutsideSkillsValidator} from './validator/summary-outside-skills-validator';
import {SummaryPage} from '../../../pages/summary/summary.po';

describe('A user on the skills acquired outside the workplace part of the summary page', function () {
  let headerPage: HeaderPage;
  let homePage: HomePage;
  let summaryPage: SummaryPage;
  let skillsData: SkillsData;

  let summaryOutsideSkillsValidator: SummaryOutsideSkillsValidator;

  beforeAll(() => {
    headerPage = new HeaderPage();
    homePage = new HomePage();
    summaryPage = new SummaryPage();
    skillsData = new SkillsData();

    summaryOutsideSkillsValidator = new SummaryOutsideSkillsValidator();
  });

  it('must be able to hide empty outside skills information', () => {
    homePage.navigateTo();
    homePage.getCreateProfileButton().click();

    headerPage.getSummaryButton().click();
    summaryOutsideSkillsValidator.checkOutsideSkills(skillsData.emptySkills['outsideSkills']);

    // hide all elements not filled
    summaryPage.getToggleButton().click();
    expect(summaryPage.isSkillsIdentificationExpended())
      .toBe(false, 'The section need to be collapsed');
    summaryPage.getSkillsIdentificationButton().click();

    summaryOutsideSkillsValidator.checkOutsideSkillsPresent(skillsData.emptySkills['outsideSkills']);
  });

});
