import {AbstractValidator} from '../../abstract-validator';
import {SummaryDrivingSkillsPage} from '../../../../pages/summary/skills/summary-driving.po';

export class SummaryDrivingSkillsValidator extends AbstractValidator {
  private summaryDrivingSkillsPage: SummaryDrivingSkillsPage = new SummaryDrivingSkillsPage();

  checkDrivingSkills(drivingSkills: any) {
    expect(this.summaryDrivingSkillsPage.getCarriage().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['carriage']['selected']),
      'Error for the content of carriage');

    expect(this.summaryDrivingSkillsPage.getTwoWheeled().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['twoWheeled']['selected']),
      'Error for the content of two wheeled');

    expect(this.summaryDrivingSkillsPage.getManual().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['manual']['selected']),
      'Error for the content of manual');

    expect(this.summaryDrivingSkillsPage.getAutomatic().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['automatic']['selected']),
      'Error for the content of automatic');

    expect(this.summaryDrivingSkillsPage.getHeavyTruck().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['heavyTruck']['selected']),
      'Error for the content of heavy truck');

    expect(this.summaryDrivingSkillsPage.getBus().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['bus']['selected']),
      'Error for the content of bus');

    expect(this.summaryDrivingSkillsPage.getTram().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['tram']['selected']),
      'Error for the content of tram');

    expect(this.summaryDrivingSkillsPage.getTrain().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['train']['selected']),
      'Error for the content of train');

    expect(this.summaryDrivingSkillsPage.getAgriculturalMachinery().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['machinery']['selected']),
      'Error for the content of agricultural machinery');

    expect(this.summaryDrivingSkillsPage.getVessel().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['vessel']['selected']),
      'Error for the content of vessel');

    expect(this.summaryDrivingSkillsPage.getForkLift().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['forkLift']['selected']),
      'Error for the content of fork lift');

    expect(this.summaryDrivingSkillsPage.getConstructionMachinery().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['constructionMachinery']['selected']),
      'Error for the content of fork construction machinery');

    expect(this.summaryDrivingSkillsPage.getAircraft().getText()).toBe(
      this.getBooleanTranslation(drivingSkills['aircraft']['selected']),
      'Error for the content of aircraft');

    expect(this.summaryDrivingSkillsPage.getOther().getText()).toBe(
      drivingSkills['other']['name'] ? drivingSkills['other']['name'] : '',
      'Error for the content of other');
  }

  checkDrivingSkillsPresent(drivingSkills: any) {
    expect(this.summaryDrivingSkillsPage.isCarriagePresent()).toBe(
      !!drivingSkills['carriage']['selected'],
      'Error for the presence of carriage');

    expect(this.summaryDrivingSkillsPage.isTwoWheeledPresent()).toBe(
      !!drivingSkills['twoWheeled']['selected'],
      'Error for the presence of two wheeled');

    expect(this.summaryDrivingSkillsPage.isManualPresent()).toBe(
      !!drivingSkills['manual']['selected'],
      'Error for the presence of manual');

    expect(this.summaryDrivingSkillsPage.isHeavyTruckPresent()).toBe(
      !!drivingSkills['heavyTruck']['selected'],
      'Error for the presence of heavyTruck');

    expect(this.summaryDrivingSkillsPage.isBusPresent()).toBe(
      !!drivingSkills['bus']['selected'],
      'Error for the presence of bus');

    expect(this.summaryDrivingSkillsPage.isTramPresent()).toBe(
      !!drivingSkills['tram']['selected'],
      'Error for the presence of tram');

    expect(this.summaryDrivingSkillsPage.isTrainPresent()).toBe(
      !!drivingSkills['train']['selected'],
      'Error for the presence of train');

    expect(this.summaryDrivingSkillsPage.isAgriculturalMachineryPresent()).toBe(
      !!drivingSkills['machinery']['selected'],
      'Error for the presence of agricultural machinery');

    expect(this.summaryDrivingSkillsPage.isVesselPresent()).toBe(
      !!drivingSkills['vessel']['selected'],
      'Error for the presence of vessel');

    expect(this.summaryDrivingSkillsPage.isForkLiftPresent()).toBe(
      !!drivingSkills['forkLift']['selected'],
      'Error for the presence of fork lift');

    expect(this.summaryDrivingSkillsPage.isConstructionMachineryPresent()).toBe(
      !!drivingSkills['constructionMachinery']['selected'],
      'Error for the presence of construction machinery');

    expect(this.summaryDrivingSkillsPage.isAircraftPresent()).toBe(
      !!drivingSkills['aircraft']['selected'],
      'Error for the presence of aircraft');

    expect(this.summaryDrivingSkillsPage.isOtherPresent()).toBe(
      !!drivingSkills['other']['name'],
      'Error for the presence of other');
  }
}
