let globalConf = require('./protractor.conf');
let path = require('path');
let fs = require('fs');

let downloadDir = path.resolve(__dirname, './e2e/downloads');
if (!fs.existsSync(downloadDir)){
  fs.mkdirSync(downloadDir);
}

let configuration = globalConf.configuration;

configuration.capabilities = {
  directConnect: true,
  browserName: 'chrome',
  specs: [
    './e2e/tests/*.e2e-spec.ts'
  ],
  exclude: [
    './e2e/tests/outcome.courses.e2e-spec.ts',
    './e2e/tests/export-profile.e2e-spec.ts'
  ],
  chromeOptions: {
    args: ['--window-size=1920,1080', '--no-sandbox', 'allow-file-access-from-files', '--disable-dev-shm-usage'],
    prefs: {
      safebrowsing: {
        enabled: true,
        disable_download_protection: true
      },
      download: {
        prompt_for_download: false,
        directory_upgrade: true,
        default_directory: downloadDir + path.sep
      }
    }
  },
  shardTestFiles: true,
  maxInstances: 1
};

exports.config = configuration;
