import {Component, Input} from '@angular/core';
import {FormGroup} from '@angular/forms';
import {TranslateService} from '../../../service/translate/translate.service';

/**
 * Component to display a form error text in the profile form.
 */
@Component({
  selector: 'app-form-error',
  templateUrl: './form-error.component.html',
  styleUrls: ['./form-error.component.less']
})
export class FormErrorComponent {

  /**
   * The HTML id attribute of the input created by this component.
   */
  @Input()
  htmlId: string;

  /**
   * The FormGroup attribute.
   */
  @Input()
  group: FormGroup;

  /**
   * The control name attribute.
   */
  @Input()
  controlName: string;

  /**
   * The label key used for translating.
   */
  @Input()
  labelKey: string;

  @Input()
  isAlignMiddle = false;

  @Input()
  referToMandatoryQuestion = false;

  constructor(public translateService: TranslateService) { }

}
