import {OnInit} from '@angular/core';
import {ProfileService} from '../profile/profile.service';
import {MenuItem} from '../profile/menu/menu-item';
import {ConfigurationService} from '../../service/configuration/configuration.service';

export abstract class SectionAbstractComponent implements OnInit {

  profileService: ProfileService;
  currentMenu: MenuItem;

  protected constructor(profileService: ProfileService, currentMenu: MenuItem,
                        public configurationService?: ConfigurationService) {
    this.profileService = profileService;
    this.currentMenu = currentMenu;
  }

  ngOnInit() {
  }

  isImageEnabled(questionLabelKey: string, htmlFor: string) {
    return this.configurationService.isImageEnabled(questionLabelKey, htmlFor);
  }

}
