import {Component, OnInit, ViewContainerRef} from '@angular/core';
import {TranslateService} from '../../../service/translate/translate.service';
import {ReportModalComponent} from '../../common/report-modal/report-modal.component';
import {Modal, overlayConfigFactory} from 'angular2-modal';
import {BSModalContext} from 'angular2-modal/plugins/bootstrap';

@Component({
  selector: 'app-custom-footer',
  templateUrl: './custom-footer.component.html',
  styleUrls: ['./custom-footer.component.less']
})
export class CustomFooterComponent implements OnInit {

  joinupUrl: string;

  constructor(public translate: TranslateService,
              private modal: Modal) {
  }

  ngOnInit(): void {
    this.joinupUrl = window['joinupUrl'];
  }

  displayReportModal() {
    this.modal.open(ReportModalComponent, overlayConfigFactory({}, BSModalContext));
  }

}
