import {Component, ElementRef, OnInit, ViewChild} from '@angular/core';
import {setBodyOverflow} from '../../../constants/app-config';
import {LanguageService} from '../../../service/data/language.service';
import {TranslateService} from '../../../service/translate/translate.service';
import {LanguageSelectorOverlayComponent} from './language-selector-overlay/language-selector-overlay.component';

@Component({
  selector: 'app-language-selector',
  templateUrl: './language-selector.component.html',
  styleUrls: ['./language-selector.component.less']
})
export class LanguageSelectorComponent implements OnInit {

  displayLanguageSelector = false;

  fullPrimaryLanguageName = '';

  constructor(public translate: TranslateService,
              private languageService: LanguageService) {}

  ngOnInit() {
    this.setFullPrimaryLanguageName();
  }

  switchLanguageSelectorModalState() {
    this.displayLanguageSelector = !this.displayLanguageSelector;
    setBodyOverflow(this.displayLanguageSelector);
    if (!this.displayLanguageSelector) {
      this.setFullPrimaryLanguageName();
    }
  }

  private setFullPrimaryLanguageName() {
    // for fill the drop down of available languages
    let language = this.languageService.primaryLanguageFullName;
    if (language === undefined) {
      this.languageService.primaryLanguageFullNameNotification.subscribe(lang => this.fullPrimaryLanguageName = lang);
    } else {
      this.fullPrimaryLanguageName = language;
    }
  }

}
