import {Component} from '@angular/core';
import {TranslateService} from '../../../service/translate/translate.service';
import {ProfileService} from '../profile.service';
import {constants} from '../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../common/section-abstract.component';
import {MenuItem} from '../menu/menu-item';
import {ConfigurationService} from '../../../service/configuration/configuration.service';

export let expectations = new MenuItem('step.expectations',
  true, true, 'expectations', false, 'expectations');

@Component({
  selector: 'app-expectations',
  templateUrl: './expectations.component.html',
  styleUrls: ['./expectations.component.less']
})
export class ExpectationsComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  private focusOnNew: boolean;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, expectations);
    this.profile = profileService.profile;
    this.constants = constants;
  }

  add(): void {
    let array = this.profile['expectations'];
    array.push({
      otherImproveLanguage: [],
      otherUndertakeEducationStudyFields: [],
      otherExpectedStudyFields: [],
      otherActivityFields: [],
      otherOccupations: []
    });

    this.profile['outcome']['recommendations']['courseRecommendations'].push({selectedCourses: []});

    this.focusOnNew = true;
  }

  switchFocus(): void {
    this.focusOnNew = false;
  }

  cleanRecommendation(index: number) {
    if (this.profile['outcome']['recommendations']['courseRecommendations'].length !== 0) {
      this.profile['outcome']['recommendations']['courseRecommendations'][index]['selectedCourses'].splice(
        this.profile['outcome']['recommendations']['courseRecommendations'][index].length * -1
      );
    }
  }

  removeRecommendation(index: number) {
    document.getElementById('focusOnRemove-expectations-' + index).focus();
    this.profile['expectations'].splice(index, 1);
    // remove saved courses
    this.profile['outcome']['recommendations']['courseRecommendations'].splice(index, 1);
  }

}
