import {Component, Input, EventEmitter, Output} from '@angular/core';
import {LabelKeyValuePair} from '../label-key-value-pair';
import {TranslateService} from '../../../../service/translate/translate.service';

/**
 * Component to display a checkbox field in the profile form.
 */
@Component({
  selector: 'app-checkbox-group-as-text',
  templateUrl: './checkbox-group-as-text.component.html',
  styleUrls: []
})
export class CheckboxGroupAsTextComponent {

  private selectionInternal: any = {};

  @Output()
  selectionChange = new EventEmitter<string>();

  /**
   * The HTML id attribute of the input created by this component.
   */
  @Input()
  htmlId: string;

  /**
   * The values of the checkbox to display.
   */
  @Input()
  values: LabelKeyValuePair[];

  constructor(private translate: TranslateService) {
  }

  @Input()
  get selection(): any {
    return this.selectionInternal;
  }

  set selection(value) {
    this.selectionInternal = value;
    this.selectionChange.emit(value);
  }

}
