import {Component} from '@angular/core';
import {Observable} from 'rxjs';
import {RefDataAsTextComponent} from '../ref-data-as-text.component';
import {CountryService} from '../../../../service/data/country.service';
import {TranslateService} from '../../../../service/translate/translate.service';


/**
 * Component to display a country as text.
 */
@Component({
  selector: 'app-country-as-text',
  templateUrl: './country-as-text.component.html',
  styleUrls: [],
  inputs : ['htmlId', 'value']
})
export class CountryAsTextComponent extends RefDataAsTextComponent {

  constructor(private countryService: CountryService, translateService: TranslateService) {
    super(translateService);
  }

  protected request(value: any): Observable<any> {
    return this.countryService.getCountryByCode(value);
  }

}
