import {Component} from '@angular/core';
import {Observable} from 'rxjs';
import {EscoRefDataAsTextComponent} from '../esco-ref-data-as-text.component';
import {EscoService} from '../../../../service/data/esco.service';
import {TranslateService} from '../../../../service/translate/translate.service';


/**
 * Component to display a esco as text.
 */
@Component({
  selector: 'app-esco-occupation-as-text',
  templateUrl: './esco-occupation-as-text.component.html',
  styleUrls: [],
  inputs: ['htmlId', 'value']
})
export class EscoOccupationAsTextComponent extends EscoRefDataAsTextComponent {

  constructor(private escoService: EscoService, translateService: TranslateService) {
    super(translateService);
  }

  protected request(value: any): Observable<any> {
    return this.escoService.getEscoById(value, 'OCCUPATION', this.translateService.primaryLanguage,
      this.translateService.secondaryLanguage);
  }

}
