import {RefDataAsTextComponent} from './ref-data-as-text.component';

/**
 * Component to display a esco as text.
 */
export abstract class EscoRefDataAsTextComponent extends RefDataAsTextComponent {

  protected onChange(value: any): void {
    if (value) {
      this.request(value).subscribe(
        (response) => {
          this.serverState = response;
          this.changeText();
        }
      );
    } else {
      this.serverState = undefined;
      this.changeText();
    }
  }

  protected changeText(): void {
    if (this.serverState) {
      if (this.serverState) {
        let lang = this.serverState.preferredLabel[this.translateService.getPrimaryLanguage()];
        if (lang && lang) {
          this.textValue = lang;
        } else {
          lang = this.serverState.preferredLabel[this.translateService.getDefaultLanguage()];
          if (lang && lang) {
            this.textValue = lang;
          } else {
            this.textValue = '';
          }
        }
      }
    } else {
      this.textValue = '';
    }
  }
}
