import {Component, Input} from '@angular/core';
import {AbstractControlValueAccessor, makeProvider} from '../../../common/abstract-control-value-accessor.component';

/**
 * Component to display a textarea field in the profile form.
 */
@Component({
  selector: 'app-free-textarea',
  templateUrl: './free-textarea.component.html',
  styleUrls: ['./free-textarea.component.less'],
  providers: [
    makeProvider(FreeTextareaComponent)
  ]
})
export class FreeTextareaComponent extends AbstractControlValueAccessor {

  /**
   * The HTML id attribute of the textarea created by this component.
   */
  @Input()
  htmlId: string;

  /**
   * The HTML rows attribute of the textarea created by this component.
   */
  @Input()
  htmlRows: string;

  /**
   * The HTML placeholder attribute of the textarea created by this component.
   */
  @Input()
  htmlPlaceholder: string;

  get childValue(): any {
    return this.value;
  }

  set childValue(value) {
    this.value = value;
  }

}
