import {Component} from '@angular/core';
import {Observable} from 'rxjs';
import {RefDataAsTextComponent} from '../ref-data-as-text.component';
import {IscedService} from '../../../../service/data/isced.service';
import {TranslateService} from '../../../../service/translate/translate.service';


/**
 * Component to display a language as text.
 */
@Component({
  selector: 'app-isced-foet-as-text',
  templateUrl: './isced-foet-as-text.component.html',
  styleUrls: [],
  inputs: ['htmlId', 'value']
})
export class IscedFoetAsTextComponent extends RefDataAsTextComponent {

  constructor(private iscedService: IscedService, translateService: TranslateService) {
    super(translateService);
  }

  protected request(value: any): Observable<any> {
    return this.iscedService.getIscedById(value);
  }

}
