import {Component} from '@angular/core';
import {Observable} from 'rxjs';
import {RefDataAsTextComponent} from '../ref-data-as-text.component';
import {LanguageService} from '../../../../service/data/language.service';
import {TranslateService} from '../../../../service/translate/translate.service';


/**
 * Component to display a language as text.
 */
@Component({
  selector: 'app-language-as-text',
  templateUrl: './language-as-text.component.html',
  styleUrls: [],
  inputs: ['htmlId', 'value']
})
export class LanguageAsTextComponent extends RefDataAsTextComponent {

  constructor(private languageService: LanguageService, translateService: TranslateService) {
    super(translateService);
  }

  protected request(value: any): Observable<any> {
    return this.languageService.getLanguageByCode(value);
  }

}
