import {Component, Input, Output} from '@angular/core';
import {EventEmitter} from '@angular/common/src/facade/async';
import {makeProvider} from '../../../common/abstract-control-value-accessor.component';

@Component({
  selector: 'app-multi-country',
  templateUrl: './multi-country.component.html',
  styleUrls: ['./multi-country.component.less'],
  providers: [
    makeProvider(MultiCountryComponent)
  ]
})
export class MultiCountryComponent {

  @Input()
  max: number;

  @Input()
  htmlId: string;

  private selectionInternal = [];

  @Output()
  selectionChange = new EventEmitter<string>();

  /**
   * The HTML placeholder attribute of the textarea created by this component.
   */
  @Input()
  htmlPlaceholder: string;

  @Input()
  autoWidth: boolean;

  private focusOnNew: boolean;

  @Input()
  get selection(): any {
    return this.selectionInternal;
  }

  set selection(value) {
    this.selectionInternal = value;
    this.selectionChange.emit(value);
  }

  add(): void {
    this.selection.push({});
    this.focusOnNew = true;
  }

  switchFocus(): void {
    this.focusOnNew = false;
  }

  del(index: number): void {
    document.getElementById('focusOnRemove-country-' + index).focus();
    this.selection.splice(index, 1);
  }
}
