import {Component, Input, Output} from '@angular/core';
import {EventEmitter} from '@angular/common/src/facade/async';
import {makeProvider} from '../../../common/abstract-control-value-accessor.component';

@Component({
  selector: 'app-multi-esco',
  templateUrl: './multi-esco.component.html',
  styleUrls: ['./multi-esco.component.less'],
  providers: [
    makeProvider(MultiEscoComponent)
  ]
})
export class MultiEscoComponent {

  @Input()
  max: number;

  @Input()
  htmlId: string;

  /**
   * The ESCO classification to filter values that can be selected.
   */
  @Input()
  classification: string;

  private selectionInternal = [];

  @Output()
  selectionChange = new EventEmitter<string>();

  /**
   * The HTML placeholder attribute of the textarea created by this component.
   */
  @Input()
  htmlPlaceholder: string;

  @Input()
  autoWidth: boolean;

  private focusOnNew: boolean;

  /**
   * experience object of which the skills component belongs to.
   */
  @Input()
  experience: any;


  @Input()
  get selection(): any {
    return this.selectionInternal;
  }

  set selection(value) {
    this.selectionInternal = value;
    this.selectionChange.emit(value);
  }

  add(): void {
    this.selection.push({});
    this.focusOnNew = true;
  }

  switchFocus(): void {
    this.focusOnNew = false;
  }

  del(index: number): void {
    document.getElementById('focusOnRemove-esco-' + index).focus();
    this.selection.splice(index, 1);
  }
}
