import {Component, Input, Output} from '@angular/core';
import {EventEmitter} from '@angular/common/src/facade/async';
import {makeProvider} from '../../../common/abstract-control-value-accessor.component';

declare var $: any;

@Component({
  selector: 'app-multi-isced',
  templateUrl: './multi-isced.component.html',
  styleUrls: ['./multi-isced.component.less'],
  providers: [
    makeProvider(MultiIscedComponent)
  ]
})
export class MultiIscedComponent {

  @Input()
  max: number;

  @Input()
  htmlId: string;

  private selectionInternal = [];

  @Output()
  selectionChange = new EventEmitter<string>();

  /**
   * The HTML placeholder attribute of the textarea created by this component.
   */
  @Input()
  htmlPlaceholder: string;

  @Input()
  autoWidth: boolean;

  private focusOnNew: boolean;

  @Input()
  get selection(): any {
    return this.selectionInternal;
  }

  @Output()
  change = new EventEmitter();

  set selection(value) {
    this.selectionInternal = value;
    this.selectionChange.emit(value);
  }

  add() {
    this.selection.push({});
    this.focusOnNew = true;

    this.hasChanged();
  }


  switchFocus(): void {
    this.focusOnNew = false;
  }

  del(index: number): void {
    document.getElementById('focusOnRemove-isced-' + index).focus();
    this.selection.splice(index, 1);

    this.hasChanged();
  }

  hasChanged() {
    this.change.emit();
  }
}
