import {Component, Input, Output} from '@angular/core';
import {EventEmitter} from '@angular/common/src/facade/async';
import {makeProvider} from '../../../common/abstract-control-value-accessor.component';

declare var $: any;

@Component({
  selector: 'app-multi-split-phone-number',
  templateUrl: './multi-split-phone-number.component.html',
  styleUrls: ['./multi-split-phone-number.component.less'],
  providers: [
    makeProvider(MultiSplitPhoneNumberComponent)
  ]
})
export class MultiSplitPhoneNumberComponent {

  @Input()
  htmlId: string;

  @Input()
  max = 3;

  private selectionInternal = [];

  @Output()
  selectionChange = new EventEmitter<any>();

  /**
   * The HTML placeholder attribute of the textarea created by this component.
   */
  @Input()
  htmlPlaceholderPrefix: string;

  @Input()
  htmlPlaceholder: string;

  @Input()
  autoWidth: boolean;

  private focusOnNew: boolean;

  @Input()
  get selection(): any {
    return this.selectionInternal;
  }

  set selection(value) {
    this.selectionInternal = value;
    this.selectionChange.emit(value);
  }

  add() {
    this.selection.push({});
    this.focusOnNew = true;
  }

  switchFocus(): void {
    this.focusOnNew = false;
  }

  del(index: number): void {
    document.getElementById('focusOnRemove-splittedPhoneNumber-' + index).focus();
    this.selection.splice(index, 1);
  }
}

