import {Component} from '@angular/core';
import {Observable} from 'rxjs';
import {NaceService} from '../../../../service/data/nace.service';
import {TranslateService} from '../../../../service/translate/translate.service';
import {RefDataAsTextComponent} from '../ref-data-as-text.component';


/**
 * Component to display a NACE as text.
 */
@Component({
  selector: 'app-nace-as-text',
  templateUrl: './nace-as-text.component.html',
  styleUrls: [],
  inputs: ['htmlId', 'value']
})
export class NaceAsTextComponent extends RefDataAsTextComponent {

  constructor(private naceService: NaceService, translateService: TranslateService) {
    super(translateService);
  }

  protected request(value: any): Observable<any> {
    return this.naceService.getNaceById(value);
  }

}
