import {Component, Input} from '@angular/core';
import {AbstractControlValueAccessor, makeProvider} from '../../../common/abstract-control-value-accessor.component';

/**
 * Component to display a number field in the profile form.
 */
@Component({
  selector: 'app-number',
  templateUrl: './number.component.html',
  styleUrls: ['./number.component.less'],
  providers: [
    makeProvider(NumberComponent)
  ]
})
export class NumberComponent extends AbstractControlValueAccessor {

  /**
   * The HTML id attribute of the input created by this component.
   */
  @Input()
  htmlId: string;

  constructor() {
    super();
    this.childValue = 0;
  }

  get childValue(): any {
    return this.value;
  }

  set childValue(value) {
    this.value = value;
  }

  writeValue(value: any): any {
    if (isNaN(value)) {
      value = 0;
    }
    return super.writeValue(value);
  }


}
