import {Component, EventEmitter, Input, Output} from '@angular/core';
import {constants} from '../../../../constants/profile-label-keys';

/**
 * Component to display a rating field in the Transversal SKills section - Digital of the profile form.
 */
@Component({
  selector: 'app-rating-digital-skills',
  templateUrl: './rating-digital-skills.component.html'
})
export class RatingDigitalSkillsComponent {

  constants: Object;
  private rateInternal: number;

  @Output()
  rateChange = new EventEmitter<number>();

  /**
   * The HTML id attribute of the dropdown input created by this component.
   */
  @Input()
  htmlId: string;

  @Input()
  get rate(): any {
    return this.rateInternal;
  }

  set rate(value) {
    this.rateInternal = value;
    this.rateChange.emit(value);
  }


  constructor() {
    this.constants = constants;
  }
}
