import {Component, OnInit, ViewContainerRef} from '@angular/core';
import {ProfileService} from '../../profile.service';
import {LanguageService} from '../../../../service/data/language.service';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ConfigurationService} from '../../../../service/configuration/configuration.service';
import {Modal} from 'angular2-modal/plugins/bootstrap';

@Component({
  selector: 'app-header-profile',
  templateUrl: './header-profile.component.html',
  styleUrls: ['./header-profile.component.less']
})
export class HeaderProfileComponent implements OnInit {

  profile: Object;
  languages: any;

  constructor(public translate: TranslateService,
              private profileService: ProfileService,
              private languageService: LanguageService,
              private configurationService: ConfigurationService,
              private modal: Modal,
              vcRef: ViewContainerRef) {
    this.profile = profileService.profile;
    this.modal.overlay.defaultViewContainer = vcRef;
  }

  ngOnInit() {
    // for fill the drop down of available languages
    this.languages = this.languageService.supportedLanguages;
    if (this.languages === undefined) {
      this.languageService.languageNotification.subscribe(lang => this.languages = lang);
    }
  }

}
