import {Component, OnInit} from '@angular/core';
import {BSModalContext} from 'angular2-modal/plugins/bootstrap';
import {CloseGuard, DialogRef, ModalComponent} from 'angular2-modal';

export class ClearProfileModalContext extends BSModalContext {
}

@Component({
  selector: 'app-clear-profile-modal',
  templateUrl: './clear-profile-modal.component.html',
  styleUrls: ['./clear-profile-modal.component.less']
})
export class ClearProfileModalComponent implements OnInit, CloseGuard, ModalComponent<ClearProfileModalContext> {

  constructor(public dialog: DialogRef<ClearProfileModalContext>) {
    dialog.setCloseGuard(this);
  }

  ngOnInit() {
  }

  clear() {
    this.dialog.close();
  }

  /**
   * Cancel modal.
   */
  cancel(): void {
    this.dialog.dismiss();
  }

  beforeDismiss(): boolean {
    return false;
  }

  beforeClose(): boolean {
    return false;
  }

}
