import {Component, OnInit} from '@angular/core';
import {BSModalContext} from 'angular2-modal/plugins/bootstrap';
import {CloseGuard, DialogRef, ModalComponent} from 'angular2-modal';
import {ValidationService} from '../../../../service/validation/validation.service';
import {constants} from '../../../../constants/profile-label-keys';

export class ConsentModalContext extends BSModalContext {
}

@Component({
  selector: 'app-consent-modal',
  templateUrl: './consent-modal.component.html',
  styleUrls: ['./consent-modal.component.less']
})
export class ConsentModalComponent implements OnInit, CloseGuard, ModalComponent<ConsentModalContext> {

  constants: Object;

  statistics: any;
  stored: any;

  constructor(public dialog: DialogRef<ConsentModalContext>,
              public validation: ValidationService) {
    this.constants = constants;
    dialog.setCloseGuard(this);
  }

  ngOnInit() {
  }

  send() {
    this.dialog.close({statistics: this.statistics, stored: this.stored});
  }

  /**
   * Cancel modal.
   */
  cancel(): void {
    this.dialog.dismiss();
  }

  beforeDismiss(): boolean {
    return false;
  }

  beforeClose(): boolean {
    return false;
  }

  isCompleted(): boolean {
    return this.isValid(this.statistics) && this.isValid(this.stored);
  }

  private isValid(value): boolean {
    return value === true || value === false || value === 'true' || value === 'false';
  }

}
