import {Component, Input} from '@angular/core';
import {FormGroup} from '@angular/forms';
import {AbstractControlValueAccessor, makeProvider} from '../../../../common/abstract-control-value-accessor.component';
import {LabelKeyValuePair} from '../../../field/label-key-value-pair';
import {ValidationService} from '../../../../../service/validation/validation.service';
import {ProfileService} from '../../../profile.service';
import {TranslateService} from '../../../../../service/translate/translate.service';
import {constants} from '../../../../../constants/profile-label-keys';

declare var $: any;

/**
 * Displays the consent question and the radio buttons
 */
@Component({
  selector: 'app-consent',
  templateUrl: './consent.component.html',
  styleUrls: [
    './consent.component.less'
  ],
  providers: [
    makeProvider(ConsentComponent)
  ]
})

export class ConsentComponent extends AbstractControlValueAccessor  {

  profile: Object;
  constants: Object;

  @Input()
  values: LabelKeyValuePair[];

  @Input()
  htmlId: string;

  @Input()
  labelKey: string;

  @Input()
  controlName: string;

  @Input()
  group: FormGroup;

  constructor(public translateService: TranslateService, profileService: ProfileService, public validation: ValidationService) {
    super();
    this.profile = profileService.profile;
    this.constants = constants;
  }

  get childValue(): any {
    return this.value;
  }

  set childValue(value) {
    this.value = value;
  }

  parseFromModel(value: any): any {
    if (value === true) {
      return 'true';
    } else if (value === false) {
      return 'false';
    }
    return value;
  }

}
