import {Component, OnInit} from '@angular/core';
import {BSModalContext} from 'angular2-modal/plugins/bootstrap';
import {CloseGuard, DialogRef, ModalComponent} from 'angular2-modal';

export class ImportConfigurationModalContext extends BSModalContext {
}

@Component({
  selector: 'app-clear-configuration-modal',
  templateUrl: './import-configuration-modal.component.html',
  styleUrls: ['./import-configuration-modal.component.less']
})
export class ImportConfigurationModalComponent implements OnInit, CloseGuard, ModalComponent<ImportConfigurationModalContext> {

  constructor(public dialog: DialogRef<ImportConfigurationModalContext>) {
    dialog.setCloseGuard(this);
  }

  ngOnInit() {
  }

  clear() {
    this.dialog.close();
  }

  /**
   * Cancel modal.
   */
  cancel(): void {
    this.dialog.dismiss();
  }

  beforeDismiss(): boolean {
    return false;
  }

  beforeClose(): boolean {
    return false;
  }

}
