import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';

export let training = new MenuItem('profile.outcome.education-or-training.section.name',
  true, false, 'education-or-training', false, 'training');

@Component({
  selector: 'app-education-or-training',
  templateUrl: './education-or-training.component.html',
  styleUrls: ['./education-or-training.component.less']
})
export class EducationOrTrainingComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, training);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
