import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {professionalSkills} from '../../skills-identification/professional-skills/professional-skills.component';

export let work = new MenuItem('profile.outcome.employment-business.section.name',
  true, false, 'employment-business', false, 'work');

@Component({
  selector: 'app-employment-business',
  templateUrl: './employment-business.component.html',
  styleUrls: ['./employment-business.component.less']
})
export class EmploymentBusinessComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, professionalSkills);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
