import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {professionalSkills} from '../../skills-identification/professional-skills/professional-skills.component';

export let guidance = new MenuItem('profile.outcome.further-information.section.name',
  true, false, 'further-information', false, 'guidance');

@Component({
  selector: 'app-further-information',
  templateUrl: './further-information.component.html',
  styleUrls: ['./further-information.component.less']
})
export class FurtherInformationComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, professionalSkills);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
