import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {professionalSkills} from '../../skills-identification/professional-skills/professional-skills.component';

export let strengths = new MenuItem('profile.outcome.key_skills.title',
  true, false, 'key-skills', false, 'strengths');

@Component({
  selector: 'app-key-skills',
  templateUrl: './key-skills.component.html',
  styleUrls: ['./key-skills.component.less']
})
export class KeySkillsComponent extends SectionAbstractComponent {

  profile: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, professionalSkills);
    this.profile = profileService.profile;
  }

}
