import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {professionalSkills} from '../../skills-identification/professional-skills/professional-skills.component';

export let recognition = new MenuItem('profile.outcome.recognition.section.name',
  true, false, 'recognition', false, 'recognition');

@Component({
  selector: 'app-recognition-qualifications',
  templateUrl: './recognition-qualifications.component.html',
  styleUrls: ['recognition-qualifications.component.less']
})
export class RecognitionQualificationsComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, professionalSkills);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
