import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {professionalSkills} from '../../skills-identification/professional-skills/professional-skills.component';

export let validationSection = new MenuItem('profile.outcome.validation.section.name',
  true, false, 'validation', false, 'validationSection');

@Component({
  selector: 'app-validation-learning',
  templateUrl: './validation-learning.component.html',
  styleUrls: ['./validation-learning.component.less']
})
export class ValidationLearningComponent  extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, professionalSkills);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
