import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {ValidationService} from '../../../../service/validation/validation.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {ConfigurationService} from '../../../../service/configuration/configuration.service';

export let contactInfo = new MenuItem('profile.contact.section.name',
  true, false, 'contact', false, 'contactInfo');

@Component({
  selector: 'app-contact-information',
  templateUrl: './contact-information.component.html',
  styleUrls: ['./contact-information.component.less']
})
export class ContactInformationComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;
  navigation: string;

  constructor(public translate: TranslateService,
              public profileService: ProfileService,
              public validation: ValidationService) {
    super(profileService, contactInfo);
    this.profile = profileService.profile;
    this.constants = constants;
    this.currentMenu = contactInfo;
  }

}

