import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {ValidationService} from '../../../../service/validation/validation.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';

export let generalInfo = new MenuItem('profile.general.section.name',
  true, false, 'general', true, 'generalInfo');

@Component({
  selector: 'app-general',
  templateUrl: './general.component.html',
  styleUrls: ['./general.component.less']
})
export class GeneralComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService,
              public validation: ValidationService) {
    super(profileService, generalInfo);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
