import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';

export let migrationInfo = new MenuItem('profile.migration.section.name',
  true, false, 'migration', false, 'migrationInfo');

@Component({
  selector: 'app-migration',
  templateUrl: './migration-information.component.html',
  styleUrls: ['./migration-information.component.less']
})
export class MigrationComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;
  currentMenu: MenuItem;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, migrationInfo);
    this.profile = profileService.profile;
    this.constants = constants;
    this.currentMenu = migrationInfo;
  }

}
