import {Component, HostListener, OnInit} from '@angular/core';
import {TranslateService} from '../../service/translate/translate.service';
import {ValidationService} from '../../service/validation/validation.service';

@Component({
  selector: 'app-profile',
  templateUrl: './profile.component.html',
  styleUrls: ['./profile.component.less']
})
export class ProfileComponent implements OnInit {

  constructor(public translate: TranslateService,
              public validation: ValidationService) {
  }

  ngOnInit() {
  }

  @HostListener('window:beforeunload', ['$event'])
  unloadHandler($event) {
    if (this.validation.isTouched()) {
      $event.returnValue = 'Your data will be lost!';
    }
  }

}
