import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {ConfigurationService} from '../../../../service/configuration/configuration.service';

export let outsideSkills = new MenuItem('profile.skills_id.outside_skills.section.name',
  true, false, 'acquired-outside', false, 'outsideSkills');

@Component({
  selector: 'app-acquired-outside',
  templateUrl: './acquired-outside.component.html',
  styleUrls: ['./acquired-outside.component.less']
})
export class AcquiredOutsideComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService, configurationService: ConfigurationService) {
    super(profileService, outsideSkills, configurationService)
    ;
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
