import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {ConfigurationService} from '../../../../service/configuration/configuration.service';

export let digitalSkills = new MenuItem('profile.skills_id.digital_skills.section.name',
  true, false, 'digital', false, 'digitalSkills');

@Component({
  selector: 'app-digital-skills',
  templateUrl: './digital-skills.component.html',
  styleUrls: ['./digital-skills.component.less']
})
export class DigitalSkillsComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService, configurationService: ConfigurationService) {
    super(profileService, digitalSkills, configurationService);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
