import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {ConfigurationService} from '../../../../service/configuration/configuration.service';

export let drivingSkills = new MenuItem('profile.driving.section.name',
  true, false, 'driving', false, 'drivingSkills');

@Component({
  selector: 'app-driving-skills',
  templateUrl: './driving-skills.component.html',
  styleUrls: ['./driving-skills.component.less']
})
export class DrivingSkillsComponent extends SectionAbstractComponent {

  profile: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService,
              public configurationService: ConfigurationService) {
    super(profileService, drivingSkills, configurationService);
    this.profile = profileService.profile;
  }

  isCheckboxEnabled(checkboxLabelKey, checkboxId) {
    return this.configurationService.isQuestionEnabled(checkboxLabelKey, checkboxId);
  }

}
