import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';

declare var $: any;

export let educationAndTraining = new MenuItem('profile.skills_id.education_training.section.name',
  true, false, 'education-and-training', false, 'educationAndTraining');

@Component({
  selector: 'app-education-training-history',
  templateUrl: './education-training-history.component.html',
  styleUrls: ['./education-training-history.component.less']
})
export class EducationTrainingHistoryComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  private focusOnNew: boolean;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, educationAndTraining);
    this.profile = profileService.profile;
    this.constants = constants;
  }

  add() {
    let selection = this.profile['skillsIdentification']['educationTraining']['certificates'];
    selection.push({});
    setTimeout(() => {
      this.scrollIntoViewIfNeeded('education-training-history-certificate-' + (selection.length - 1));
    }, 100);

    this.focusOnNew = true;
  }

  switchFocus(): void {
    this.focusOnNew = false;
  }

  remove(index: number) {
    document.getElementById('focusOnRemove-' + index).focus();
    this.profile['skillsIdentification']['educationTraining']['certificates'].splice(index, 1);
  }

  scrollIntoViewIfNeeded(elementId: string) {
    let top_of_element = $('#' + elementId).offset().top;
    let bottom_of_element = $('#' + elementId).offset().top + $('#' + elementId).outerHeight();
    let bottom_of_screen = ($(window).scrollTop() + window.innerHeight) - 60;
    let top_of_screen = $(window).scrollTop();

    if (!((bottom_of_screen > top_of_element) && (top_of_screen < bottom_of_element))) {
      document.getElementById(elementId).scrollIntoView();
    }
  }

}
