import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';

declare var $: any;

export let langSkills = new MenuItem('profile.languages.section.name',
  true, false, 'languages', false, 'language');

@Component({
  selector: 'app-language-skills',
  templateUrl: './language-skills.component.html',
  styleUrls: ['./language-skills.component.less']
})
export class LanguageSkillsComponent  extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  private focusOnNew: boolean;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, langSkills);
    this.profile = profileService.profile;
    this.constants = constants;
  }

  add(): void {
    let array = this.profile['skillsIdentification']['languageSkills']['otherLanguages'];
    array.push({});

    setTimeout(() => {
      this.scrollIntoViewIfNeeded('language-skills-language-' + (array.length - 1));
    }, 100);

    this.focusOnNew = true;
  }

  switchFocus(): void {
    this.focusOnNew = false;
  }

  remove(index: number) {
    document.getElementById('focusOnRemove-languageSkills-' + index).focus();
    this.profile['skillsIdentification']['languageSkills']['otherLanguages'].splice(index, 1);
  }

  scrollIntoViewIfNeeded(elementId: string) {
    let top_of_element = $('#' + elementId).offset().top;
    let bottom_of_element = $('#' + elementId).offset().top + $('#' + elementId).outerHeight();
    let bottom_of_screen = ($(window).scrollTop() + window.innerHeight) - 60;
    let top_of_screen = $(window).scrollTop();

    if (!((bottom_of_screen > top_of_element) && (top_of_screen < bottom_of_element))) {
      document.getElementById(elementId).scrollIntoView();
    }
  }

}
