import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {ConfigurationService} from '../../../../service/configuration/configuration.service';

export let literacySkills = new MenuItem('profile.literacy.section.name',
  true, false, 'literacy', false, 'literacySkills');

@Component({
  selector: 'app-literacy-skills',
  templateUrl: './literacy-skills.component.html',
  styleUrls: ['./literacy-skills.component.less']
})
export class LiteracySkillsComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService, configurationService: ConfigurationService) {
    super(profileService, literacySkills, configurationService);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
