import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {ConfigurationService} from '../../../../service/configuration/configuration.service';

export let numeracySkills = new MenuItem('profile.numeracy.section.name',
  true, false, 'numeracy', false, 'numeracySkills');

@Component({
  selector: 'app-numeracy',
  templateUrl: './numeracy-skills.component.html',
  styleUrls: ['./numeracy-skills.component.less']
})
export class NumeracySkillsComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService, configurationService: ConfigurationService) {
    super(profileService, numeracySkills, configurationService);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
