import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';
import {ConfigurationService} from '../../../../service/configuration/configuration.service';

export let otherTransversalSkills = new MenuItem('profile.skills_id.other_basic_transversal_skills.section.name',
  true, false, 'other-basic-transversal', false, 'otherTransversalSkills');

@Component({
  selector: 'app-other-basic-transversal',
  templateUrl: './other-basic-transversal.component.html',
  styleUrls: ['./other-basic-transversal.component.less']
})
export class OtherBasicTransversalComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  constructor(public translate: TranslateService,
              public profileService: ProfileService, configurationService: ConfigurationService) {
    super(profileService, otherTransversalSkills, configurationService);
    this.profile = profileService.profile;
    this.constants = constants;
  }

}
