import {Component, Input} from '@angular/core';

/**
 * Component to display a row in the profile form.
 */
@Component({
  selector: 'app-row-footer',
  templateUrl: './row-footer.component.html',
  styleUrls: ['./row-footer.component.less']
})
export class RowFooterComponent {

  /**
   * The HTML id attribute of the input created by this component.
   */
  @Input()
  htmlId: string;

  /**
   * The HTML for attribute of the label tag created by this component.
   */
  @Input()
  htmlFor: string;

  /**
   * The i18n key of the label that will be displayed for this component.
   */
  @Input()
  labelKey: string;

  /**
   * The image url
   */
  @Input()
  image: string;

  /**
   * The alternative text for the image
   */
  @Input()
  alternative: string;
}
