import {Component} from '@angular/core';
import {TranslateService} from '../../../../service/translate/translate.service';
import {ProfileService} from '../../profile.service';
import {constants} from '../../../../constants/profile-label-keys';
import {SectionAbstractComponent} from '../../../common/section-abstract.component';
import {MenuItem} from '../../menu/menu-item';

declare var $: any;

export let professionalSkills = new MenuItem('profile.skills_id.professional_skills.section.name',
  true, false, 'professional', false, 'professionalSkills');

@Component({
  selector: 'app-professional-skills',
  templateUrl: './professional-skills.component.html',
  styleUrls: ['./professional-skills.component.less']
})
export class ProfessionalSkillsComponent extends SectionAbstractComponent {

  profile: Object;
  constants: Object;

  private focusOnNew: boolean;

  constructor(public translate: TranslateService,
              public profileService: ProfileService) {
    super(profileService, professionalSkills);
    this.profile = profileService.profile;
    this.constants = constants;
  }

  radioChange() {
    // if radio button "No" is selected
    if (this.profile['skillsIdentification']['professionalSkills']['experience'] === 'false') {
      this.removeExperiences();
    }
  }

  private removeExperiences() {
    this.profile['skillsIdentification']['professionalSkills']['experiences'] = [];
  }

  add(): void {
    let array = this.profile['skillsIdentification']['professionalSkills']['experiences'];
    array.push({otherSkills: [], otherLanguages: []});

    this.focusOnNew = true;
  }

  switchFocus(): void {
    this.focusOnNew = false;
  }

  remove(index: number) {
    document.getElementById('focusOnRemove-professionalSkills-' + index).focus();
    this.profile['skillsIdentification']['professionalSkills']['experiences'].splice(index, 1);
  }

}
