import {Component, OnInit} from '@angular/core';
import {AbstractSummaryView} from '../../abstract-summary-view.component';
import {ProfileService} from '../../../profile.service';

@Component({
  selector: 'app-overall-appraisal-organisation',
  templateUrl: './overall-appraisal-organisation.component.html',
  styleUrls: ['./overall-appraisal-organisation.component.less']
})
export class OverallAppraisalOrganisationComponent extends AbstractSummaryView implements OnInit {

  organisationOtherPhoneNumbers: any;

  constructor(private profileService: ProfileService) {
    super();
  }

  ngOnInit() {
    this.profileData = this.profileService.profile['outcome'];
    this.organisationOtherPhoneNumbers = [];
    this.profileData['organisations'].forEach(organisation => {
      let subOrganisationOtherPhoneNumbers = [];
      organisation['organisationContactInfo']['phoneNumbers'].forEach(phoneNumber => {
        if (this.profileService.isPhoneNumberValid(phoneNumber['prefix'], phoneNumber['suffix'])) {
          subOrganisationOtherPhoneNumbers.push(phoneNumber['prefix'] + phoneNumber['suffix']);
        }
      });
      this.organisationOtherPhoneNumbers.push(subOrganisationOtherPhoneNumbers);
    });
  }

}
