import {Component, OnInit} from '@angular/core';
import {AbstractSummaryView} from '../abstract-summary-view.component';
import {RouteService} from '../../../../service/navigation/route.service';

@Component({
  selector: 'summary-overall-appraisal',
  templateUrl: './overall-appraisal.component.html',
  styleUrls: ['./overall-appraisal.component.less']
})
export class SummaryOverallAppraisalComponent extends AbstractSummaryView implements OnInit {

  isStrengthsSectionEnable: boolean;
  isRecognitionSectionEnable: boolean;
  isValidationSectionEnable: boolean;
  isTrainingSectionEnable: boolean;
  isWorkSectionEnable: boolean;
  isGuidanceSectionEnable: boolean;
  isOrganisationSectionEnable: boolean;

  constructor(public routeService: RouteService) {
    super();
  }

  ngOnInit(): void {
    this.isStrengthsSectionEnable = this.isMenuEnabled('profile.outcome.key_skills.title');
    this.isRecognitionSectionEnable = this.isMenuEnabled('profile.outcome.recognition.section.name');
    this.isValidationSectionEnable = this.isMenuEnabled('profile.outcome.validation.section.name');
    this.isTrainingSectionEnable = this.isMenuEnabled('profile.outcome.education-or-training.section.name');
    this.isWorkSectionEnable = this.isMenuEnabled('profile.outcome.employment-business.section.name');
    this.isGuidanceSectionEnable = this.isMenuEnabled('profile.outcome.further-information.section.name');
    this.isOrganisationSectionEnable = this.isMenuEnabled('profile.outcome.details_issuing_organisation.title');
  }

  isMenuEnabled(menuIndex: string): boolean {
    return this.routeService.menuList.get(menuIndex).isEnabled;
  }

}
