import {Component, OnInit} from '@angular/core';
import {ProfileService} from '../../../profile.service';
import {AbstractSummaryView} from '../../abstract-summary-view.component';

@Component({
  selector: 'app-personal-information-general',
  templateUrl: './personal-information-general.component.html',
  styleUrls: ['./personal-information-general.component.less']
})
export class PersonalInformationGeneralComponent extends AbstractSummaryView implements OnInit {

  otherFirstNames: any;
  otherNationalities: any;
  otherNationalitiesMapped: any;
  otherMaritalStatuses = [];

  constructor(private profileService: ProfileService) {
    super();
  }

  ngOnInit() {
    this.profileData = this.profileService.profile['personalInfo'];

    this.otherFirstNames = this.profileService.getOtherFirstNames();
    this.otherNationalities = this.profileService.getOtherNationalities();
    this.otherNationalitiesMapped = this.otherNationalities.map(nationality => ({htmlId: 'other-nationalities', value: nationality}));
    this.profileData['otherMaritalStatuses'].forEach(maritalStatus => this.otherMaritalStatuses.push(maritalStatus.name));
  }

}
