import {Component, OnInit} from '@angular/core';
import {AbstractSummaryView} from '../abstract-summary-view.component';
import {RouteService} from '../../../../service/navigation/route.service';

@Component({
  selector: 'summary-personal-information',
  templateUrl: './personal-information.component.html',
  styleUrls: ['./personal-information.component.less']
})
export class SummaryPersonalInformationComponent extends AbstractSummaryView implements OnInit {

  isGeneralSectionEnable: boolean;
  isContactInformationSectionEnable: boolean;
  isMigrationInformationSectionEnable: boolean;

  constructor(public routeService: RouteService) {
    super();
  }

  ngOnInit(): void {
    this.isGeneralSectionEnable = this.isMenuEnabled('profile.general.section.name');
    this.isContactInformationSectionEnable = this.isMenuEnabled('profile.contact.section.name');
    this.isMigrationInformationSectionEnable = this.isMenuEnabled('profile.migration.section.name');
  }

  isMenuEnabled(menuIndex: string): boolean {
    return this.routeService.menuList.get(menuIndex).isEnabled;
  }

}
