import {Component, OnInit} from '@angular/core';
import {AbstractSummaryView} from '../../abstract-summary-view.component';
import {ProfileService} from '../../../profile.service';

@Component({
  selector: 'summary-education-training',
  templateUrl: './education-training.component.html',
  styleUrls: ['./education-training.component.less']
})
export class SummaryEducationTrainingComponent extends AbstractSummaryView implements OnInit {

  otherStudyFieldsMapped: any;

  constructor(private profileService: ProfileService) {
    super();
  }

  ngOnInit() {
    this.profileData = this.profileService.profile['skillsIdentification']['educationTraining'];

    this.otherStudyFieldsMapped = this.profileData['otherStudyFields'].map(studyField => studyField.name);
  }

  isTrue(value: any) {
    return value && (value === true || value === 'true');
  }

  isNotEmptyCertificate(value: any) {
    return value.some(elm => elm['name'] !== undefined && elm['title'] !== undefined && elm['year'] !== undefined);
  }

}
