import {Component, OnInit} from '@angular/core';
import {ProfileService} from '../../../profile.service';
import {AbstractSummaryView} from '../../abstract-summary-view.component';

@Component({
  selector: 'summary-literacy-skills',
  templateUrl: './literacy-skills.component.html',
  styleUrls: ['./literacy-skills.component.less']
})
export class SummaryLiteracySkillsComponent extends AbstractSummaryView implements OnInit {

  isPrimaryEducation: boolean;

  constructor(private profileService: ProfileService) {
    super();
  }

  ngOnInit() {
    this.profileData = this.profileService.profile['skillsIdentification']['literacySkills'];

    this.isPrimaryEducation = !this.profileService.profile['skillsIdentification']['educationTraining']['highestLevel']
      || this.profileService.profile['skillsIdentification']['educationTraining']['highestLevel'] === 'primary_education';
  }

  isTrue(value: any) {
    return value && (value === true || value === 'true');
  }

}
