import {Component, OnInit} from '@angular/core';
import {AbstractSummaryView} from '../abstract-summary-view.component';
import {RouteService} from '../../../../service/navigation/route.service';

@Component({
  selector: 'summary-skills-identification',
  templateUrl: './skills-identification.component.html',
  styleUrls: ['./skills-identification.component.less']
})
export class SummarySkillsIdentificationComponent extends AbstractSummaryView implements OnInit {

  isLanguageSectionEnable: boolean;
  isEducationTrainingSectionEnable: boolean;
  isLiteracySectionEnable: boolean;
  isNumeracySectionEnable: boolean;
  isDigitalSectionEnable: boolean;
  isProfessionalSectionEnable: boolean;
  isAcquireOutsideSectionEnable: boolean;
  isOtherBasicTransversalSectionEnable: boolean;
  isDrivingSectionEnable: boolean;

  constructor(public routeService: RouteService) {
    super();
  }

  ngOnInit(): void {
    this.isLanguageSectionEnable = this.isMenuEnabled('profile.languages.section.name');
    this.isEducationTrainingSectionEnable = this.isMenuEnabled('profile.skills_id.education_training.section.name');
    this.isLiteracySectionEnable = this.isMenuEnabled('profile.literacy.section.name');
    this.isNumeracySectionEnable = this.isMenuEnabled('profile.numeracy.section.name');
    this.isDigitalSectionEnable = this.isMenuEnabled('profile.skills_id.digital_skills.section.name');
    this.isProfessionalSectionEnable = this.isMenuEnabled('profile.skills_id.professional_skills.section.name');
    this.isAcquireOutsideSectionEnable = this.isMenuEnabled('profile.skills_id.outside_skills.section.name');
    this.isOtherBasicTransversalSectionEnable = this.isMenuEnabled('profile.skills_id.other_basic_transversal_skills.section.name');
    this.isDrivingSectionEnable = this.isMenuEnabled('profile.driving.section.name');
  }

  isMenuEnabled(menuIndex: string): boolean {
    return this.routeService.menuList.get(menuIndex).isEnabled;
  }

}
