import {Component, OnInit} from '@angular/core';
import {AbstractSummaryRow} from '../abstract-summary-row.component';
import {ProfileService} from '../../../profile.service';

@Component({
  selector: '[app-summary-row-email]',
  templateUrl: './summary-row-email.component.html',
  styleUrls: ['./summary-row-email.component.less']
})
export class SummaryRowEmailComponent extends AbstractSummaryRow implements OnInit {

  displayEmail: boolean;

  constructor(private profileService: ProfileService) {
    super();
  }

  ngOnInit() {
    this.displayEmail = this.isEmailNotEmpty();
  }

  private isEmailNotEmpty(): boolean {
    return this.profileService.isEmailValid(this.tdValue['prefix'], this.tdValue['suffix']);
  }

}
