import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {AbstractSummaryRow} from './abstract-summary-row.component';
import {ProfileService} from '../../profile.service';

@Component({
  selector: 'app-summary-row',
  templateUrl: './summary-row.component.html',
  styleUrls: ['./summary-row.component.less'],
  host: {
    '[style.display]': '"block"',
    '[style.width.percent]': '100',
  }
})
export class SummaryRowComponent extends AbstractSummaryRow implements OnInit {

  @Input()
  isTitle = false;

  rowNotEmpty: boolean;

  constructor(private profileService: ProfileService) {
    super();
  }

  ngOnInit() {
    this.rowNotEmpty = this.isNotEmpty();
    this.isEmpty.emit(!this.rowNotEmpty);
  }

  private isNotEmpty(): boolean {
    if (this.tdHidden) {
      return true;
    }

    switch (typeof this.tdValue) {
      case 'object':
        return this.tdValue && Object.keys(this.tdValue).length
          && Object.keys(this.tdValue).some(elm => !!this.tdValue[elm]);
      case 'string':
        return this.tdValue && this.tdValue !== 'false';
    }
    return !!this.tdValue;
  }

  isShowEmptyFieldsEnabled(): boolean {
    return this.profileService.showEmpty;
  }

}
