import {AfterViewInit, Component, ElementRef, Input, OnInit, ViewChild} from '@angular/core';

declare var ECL: any;

@Component({
  selector: 'app-summary-section',
  templateUrl: './summary-section.component.html',
  styleUrls: ['./summary-section.component.less']
})
export class SummarySectionComponent implements OnInit, AfterViewInit {

  private eclAccordion;

  @Input()
  title: string;

  @Input()
  accordionId: string;

  isExpended = false;

  @ViewChild('accordion')
  accordion: ElementRef;

  @ViewChild('button')
  button: ElementRef;

  constructor() { }

  ngOnInit() {
  }

  ngAfterViewInit() {
    this.eclAccordion = new ECL.Accordion(this.accordion.nativeElement, {});
    this.eclAccordion.init();
  }

  handleClickOnToggle(expand: boolean) {
    if (expand !== this.isExpended) {
      this.eclAccordion.handleClickOnToggle(this.button.nativeElement);
      this.isExpended = !this.isExpended;
    }
  }

}
