import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {UserListComponent} from './user-list.component';
import {EcasAuthGuard} from '../../service/security/ecas-auth-guard.service';

const routes: Routes = [
  {
    path: 'users',
    component: UserListComponent,
    canActivate: [EcasAuthGuard],
    data: {
      roles: ['ROOT', 'ADMIN']
    }
  }
];

@NgModule({
  imports: [
    RouterModule.forChild(routes)
  ],
  exports: [
    RouterModule
  ]
})
export class UserRoutingModule {
}
