export const navigationLabels = [
  {labelKey: 'step.personal', value: 'personal-info'},
  {labelKey: 'profile.general.section.name', value: 'general'},
  {labelKey: 'profile.contact.section.name', value: 'contact'},
  {labelKey: 'profile.migration.section.name', value: 'migration'},
  {labelKey: 'step.expectations', value: 'expectations'},
  {labelKey: 'step.skills', value: 'skills-identification'},
  {labelKey: 'profile.skills_id.language_skills.section.name', value: 'languages'},
  {labelKey: 'profile.skills_id.education_training.section.name', value: 'education-and-training'},
  {labelKey: 'profile.skills_id.literacy_skills.section.name', value: 'literacy'},
  {labelKey: 'profile.skills_id.numeracy_skills.section.name', value: 'numeracy'},
  {labelKey: 'profile.skills_id.digital_skills.section.name', value: 'digital'},
  {labelKey: 'profile.skills_id.professional_skills.section.name', value: 'professional'},
  {labelKey: 'profile.skills_id.outside_skills.section.name', value: 'acquired-outside'},
  {labelKey: 'profile.skills_id.other_basic_transversal_skills.section.name', value: 'other-basic-transversal'},
  {labelKey: 'profile.skills_id.driving_skills.section.name', value: 'driving'},
  {labelKey: 'step.outcome', value: 'outcome'},
  {labelKey: 'profile.outcome.key_skills.title', value: 'key-skills'},
  {labelKey: 'profile.outcome.recognition.section.name', value: 'recognition'},
  {labelKey: 'profile.outcome.validation.section.name', value: 'validation'},
  {labelKey: 'profile.outcome.education-or-training.section.name', value: 'education-or-training'},
  {labelKey: 'profile.outcome.employment-business.section.name', value: 'employment-business'},
  {labelKey: 'profile.outcome.further-information.section.name', value: 'further-information'},
  {labelKey: 'profile.outcome.details_issuing_organisation.title', value: 'issuing-organisation'},
  {labelKey: 'profile.outcome.courses.section.name', value: 'mooc-search'},
  {labelKey: 'profile.outcome.recommendations.section.name', value: 'mooc-recommended'},
  {labelKey: 'profile.outcome.consent.section.name', value: 'consent'},
  {labelKey: 'step.summary', value: 'summary'}
];

export const workTypes = {
  improveLanguage: 'improve_language',
  followCourse: 'follow_course',
  undertakeEducation: 'undertake_education',
  findWork: 'find_work',
  other: 'other'
};

export const constants = {
  yesNo: [{labelKey: 'common.yes', value: 'true'}, {labelKey: 'common.no', value: 'false'}],
  expectationWorkType: [
    {labelKey: 'profile.expectations.work.employed', value: 'employed'},
    {labelKey: 'profile.expectations.work.self_employed', value: 'self_employed'},
    {labelKey: 'profile.expectations.work.voluntary', value: 'voluntary'}
  ],
  expectationDoNext: [
    {labelKey: 'profile.expectations.improve_language.label', value: workTypes.improveLanguage},
    {labelKey: 'profile.expectations.follow_course.label', value: workTypes.followCourse},
    {labelKey: 'profile.expectations.undertake_education.label', value: workTypes.undertakeEducation},
    {labelKey: 'profile.expectations.find_work.label', value: workTypes.findWork},
    {labelKey: 'profile.expectations.other.label', value: workTypes.other}
  ],
  expectationTimeCommitment: [
    {labelKey: 'profile.expectations.part_time', value: 'part_time'},
    {labelKey: 'profile.expectations.full_time', value: 'full_time'}
  ],
  expectationEducationType: [
    {labelKey: 'profile.expectations.undertake_education.education_type.literacy_course', value: 'literacy_course'},
    {labelKey: 'profile.expectations.undertake_education.education_type.secondary', value: 'secondary'},
    {labelKey: 'profile.expectations.undertake_education.education_type.higher', value: 'higher'},
    {labelKey: 'profile.expectations.undertake_education.education_type.phd', value: 'phd'},
    {labelKey: 'profile.expectations.undertake_education.education_type.other', value: 'other'},
  ],
  educationLevel: [
    {labelKey: 'profile.skills_id.education_training.level.primary_education', value: 'primary_education'},
    {labelKey: 'profile.skills_id.education_training.level.secondary_education', value: 'secondary_education'},
    {labelKey: 'profile.skills_id.education_training.level.higher_education', value: 'higher_education'},
    {labelKey: 'profile.skills_id.education_training.level.phd', value: 'phd'},
    {labelKey: 'profile.skills_id.education_training.level.other', value: 'other'}
  ],
  educationType: [
    {labelKey: 'profile.skills_id.education_training.education_type.school_based', value: 'schoolBased'},
    {labelKey: 'profile.skills_id.education_training.education_type.work_based', value: 'workBased'},
    {labelKey: 'profile.skills_id.education_training.education_type.apprenticeship', value: 'apprenticeship'},
    {labelKey: 'profile.skills_id.education_training.education_type.internship', value: 'internship'},
  ],
  gender: [
    {labelKey: 'profile.general.gender.female', value: 'female'},
    {labelKey: 'profile.general.gender.male', value: 'male'},
    {labelKey: 'profile.general.gender.other', value: 'other'}
  ],
  residenceStatus: [
    {labelKey: 'profile.general.residence.statuses.asylum', value: 'asylum'},
    {labelKey: 'profile.general.residence.statuses.linked', value: 'linked'},
    {labelKey: 'profile.general.residence.statuses.no_asylum', value: 'no_asylum'},
    {labelKey: 'profile.general.residence.statuses.family', value: 'family'},
    {labelKey: 'profile.general.residence.statuses.transit', value: 'transit'},
    {labelKey: 'profile.general.residence.statuses.relocation', value: 'relocation'},
    {labelKey: 'profile.general.residence.statuses.resettlement', value: 'resettlement'},
    {labelKey: 'profile.general.residence.statuses.other', value: 'other'}
  ],
  workPermitStatus: [
    {
      labelKey: 'profile.general.work.permit.not_desired',
      value: 'not_desired'
    }, {
      labelKey: 'profile.general.work.permit.not_demand',
      value: 'not_demand'
    }, {
      labelKey: 'profile.general.work.permit.pending',
      value: 'pending'
    }, {
      labelKey: 'profile.general.work.permit.granted',
      value: 'granted'
    }, {
      labelKey: 'profile.general.work.permit.free',
      value: 'free'
    }
  ],
  maritalStatus: [
    {
      labelKey: 'profile.general.marital.single',
      value: 'single'
    }, {
      labelKey: 'profile.general.marital.married',
      value: 'married'
    }, {
      labelKey: 'profile.general.marital.civil',
      value: 'civil'
    }, {
      labelKey: 'profile.general.marital.separated',
      value: 'separated'
    }, {
      labelKey: 'profile.general.marital.divorced',
      value: 'divorced'
    }, {
      labelKey: 'profile.general.marital.widowed',
      value: 'widowed'
    }, {
      labelKey: 'profile.general.marital.other',
      value: 'other'
    }
  ],
  months: [
    {
      labelKey: 'profile.common.months.january',
      value: '1'
    },
    {
      labelKey: 'profile.common.months.february',
      value: '2'
    },
    {
      labelKey: 'profile.common.months.march',
      value: '3'
    },
    {
      labelKey: 'profile.common.months.april',
      value: '4'
    },
    {
      labelKey: 'profile.common.months.may',
      value: '5'
    },
    {
      labelKey: 'profile.common.months.june',
      value: '6'
    },
    {
      labelKey: 'profile.common.months.july',
      value: '7'
    },
    {
      labelKey: 'profile.common.months.august',
      value: '8'
    },
    {
      labelKey: 'profile.common.months.september',
      value: '9'
    },
    {
      labelKey: 'profile.common.months.october',
      value: '10'
    },
    {
      labelKey: 'profile.common.months.november',
      value: '11'
    },
    {
      labelKey: 'profile.common.months.december',
      value: '12'
    }
  ],
  identificationDoc: [
    {
      labelKey: 'profile.personal.general.identification.document.passport',
      value: 'passport'
    },
    {
      labelKey: 'profile.personal.general.identification.document.identityCard',
      value: 'identityCard'
    },
    {
      labelKey: 'profile.personal.general.identification.document.other',
      value: 'other'
    }

  ],
  languageSkillsLevel: [
    'profile.skills_id.language_skills.level.none',
    'profile.skills_id.language_skills.level.basic',
    'profile.skills_id.language_skills.level.sufficient',
    'profile.skills_id.language_skills.level.good',
    'profile.skills_id.language_skills.level.excellent'
  ],
  otherSkillsLevel: [
    'profile.skills_id.other_skills.proficiency.none',
    'profile.skills_id.other_skills.proficiency.beginner',
    'profile.skills_id.other_skills.proficiency.intermediate',
    'profile.skills_id.other_skills.proficiency.experienced'
  ],
  digitalSkillsLevel: [
    'profile.skills_id.digital_skills.rating.none',
    'profile.skills_id.digital_skills.rating.guidance',
    'profile.skills_id.digital_skills.rating.beginner',
    'profile.skills_id.digital_skills.rating.intermediate',
    'profile.skills_id.digital_skills.rating.expert'
  ],
  literacySkillsReadPaperMediaType: [
    {labelKey: 'profile.skills_id.literacy_skills.paper.letters',  value: 'letters'},
    {labelKey: 'profile.skills_id.literacy_skills.paper.magazines',  value: 'magazines'},
    {labelKey: 'profile.skills_id.literacy_skills.paper.newspapers',  value: 'newspapers'},
    {labelKey: 'profile.skills_id.literacy_skills.paper.books.leisure',  value: 'booksLeisure'},
    {labelKey: 'profile.skills_id.literacy_skills.paper.books.study',  value: 'booksStudy'},
    {labelKey: 'profile.skills_id.literacy_skills.paper.other',  value: 'other'},
  ],
  literacySkillsReadLinerMediaType: [
    {labelKey: 'profile.skills_id.literacy_skills.social.facebook',  value: 'facebook'},
    {labelKey: 'profile.skills_id.literacy_skills.social.linkedin',  value: 'linkedin'},
    {labelKey: 'profile.skills_id.literacy_skills.social.whatsapp',  value: 'whatsapp'},
    {labelKey: 'profile.skills_id.literacy_skills.social.twitter',  value: 'twitter'},
    {labelKey: 'profile.skills_id.literacy_skills.social.other',  value: 'otherSocialMedia'},
    {labelKey: 'profile.skills_id.literacy_skills.digital.newspapers',  value: 'newspapers'},
  ],
  literacySkillsWriteMediaType: [
    {labelKey: 'profile.skills_id.literacy_skills.digital.social_media',  value: 'socialMedia'},
    {labelKey: 'profile.skills_id.literacy_skills.digital.mails',  value: 'mails'},
    {labelKey: 'profile.skills_id.literacy_skills.digital.reports',  value: 'reports'},
    {labelKey: 'profile.skills_id.literacy_skills.digital.memos',  value: 'memos'},
    {labelKey: 'profile.skills_id.literacy_skills.digital.forms',  value: 'forms'},
    {labelKey: 'profile.skills_id.literacy_skills.digital.other',  value: 'otherDigital'},
  ],
  numeracySkillsCalculator: [
    {labelKey: 'profile.skills_id.numeracy_skills.calculator.withCalculator', value: 'with'},
    {labelKey: 'profile.skills_id.numeracy_skills.calculator.withoutCalculator', value: 'without'},
  ],
  numeracySkillsUsage: [
    {labelKey: 'profile.skills_id.numeracy_skills.usage.daily', value: 'daily'},
    {labelKey: 'profile.skills_id.numeracy_skills.usage.university', value: 'university'},
    {labelKey: 'profile.skills_id.numeracy_skills.usage.professionally', value: 'professionally'}
  ],
  professionalSkillsNature: [
    {labelKey: 'profile.skills_id.professional_skills.professional_experience.history.nature.own_business', value: 'own_business'},
    {labelKey: 'profile.skills_id.professional_skills.professional_experience.history.nature.self_employed', value: 'self_employed'},
    {labelKey: 'profile.skills_id.professional_skills.professional_experience.history.nature.employee', value: 'employee'}
  ],
  professionalSkillsSize: [
    {labelKey: 'profile.skills_id.professional_skills.professional_experience.history.size.ten', value: 'ten'},
    {labelKey: 'profile.skills_id.professional_skills.professional_experience.history.size.fifty', value: 'fifty'},
    {labelKey: 'profile.skills_id.professional_skills.professional_experience.history.size.hundred', value: 'hundred'},
    {labelKey: 'profile.skills_id.professional_skills.professional_experience.history.size.two_hundred', value: 'two_hundred'},
    {labelKey: 'profile.skills_id.professional_skills.professional_experience.history.size.more', value: 'more'}
  ],
  outsideSkillsMakingClothingFrequency: [
    {labelKey: 'profile.skills_id.outside_skills.making_clothing.frequency.rarely', value: 'rarely'},
    {labelKey: 'profile.skills_id.outside_skills.making_clothing.frequency.sometimes', value: 'sometimes'},
    {labelKey: 'profile.skills_id.outside_skills.making_clothing.frequency.always', value: 'always'},
  ],
  outsideSkillsPreparingMealsPeople: [
    {labelKey: 'profile.skills_id.outside_skills.preparing_meals.people.five', value: 'five'},
    {labelKey: 'profile.skills_id.outside_skills.preparing_meals.people.ten', value: 'ten'},
    {labelKey: 'profile.skills_id.outside_skills.preparing_meals.people.twenty', value: 'twenty'},
    {labelKey: 'profile.skills_id.outside_skills.preparing_meals.people.more', value: 'more'},
  ],
  outsideSkillsPreparingMealsFrequency: [
    {labelKey: 'profile.skills_id.outside_skills.preparing_meals.frequency.every_day', value: 'every_day'},
    {labelKey: 'profile.skills_id.outside_skills.preparing_meals.frequency.most_days', value: 'most_days'},
    {labelKey: 'profile.skills_id.outside_skills.preparing_meals.frequency.most_weeks', value: 'most_weeks'},
    {labelKey: 'profile.skills_id.outside_skills.preparing_meals.frequency.rarely', value: 'rarely'},
  ],
  userRoles: [
    {labelKey: 'user.roles.ADMIN',  value: 'ADMIN'},
    {labelKey: 'user.roles.INTERVIEWER',  value: 'INTERVIEWER'},
  ],
  organisationTypes: [
    {labelKey: 'profile.outcome.details_issuing_organisation.type.pes',  value: 'pes'},
    {labelKey: 'profile.outcome.details_issuing_organisation.type.reception_integration_centre',  value: 'reception_integration_centre'},
    {labelKey: 'profile.outcome.details_issuing_organisation.type.municipality',  value: 'municipality'},
    {labelKey: 'profile.outcome.details_issuing_organisation.type.edu_auth',  value: 'edu_auth'},
    {labelKey: 'profile.outcome.details_issuing_organisation.type.ngo',  value: 'ngo'},
    {labelKey: 'profile.outcome.details_issuing_organisation.type.school',  value: 'school'},
    {labelKey: 'profile.outcome.details_issuing_organisation.type.vet_inst',  value: 'vet_inst'},
    {labelKey: 'profile.outcome.details_issuing_organisation.type.high_edu_inst',  value: 'high_edu_inst'},
    {labelKey: 'profile.outcome.details_issuing_organisation.type.other',  value: 'other'},
  ],
  report: {
    typeOfRequest: [
      {labelKey: 'report.type.report_bug', value: 'report_bug'},
      {labelKey: 'report.type.suggest_improvement', value: 'suggest_improvement'},
      {labelKey: 'report.type.other', value: 'other'},
    ],
    page: [
      {labelKey: 'profile.general.section.name', value: 'general_information'},
      {labelKey: 'profile.contact.section.name', value: 'contact_information'},
      {labelKey: 'profile.migration.section.name', value: 'migration_information'},
      {labelKey: 'profile.expectations.section.name', value: 'expectations'},
      {labelKey: 'profile.skills_id.language_skills.section.name', value: 'language'},
      {labelKey: 'profile.skills_id.education_training.section.name', value: 'education_and_training'},
      {labelKey: 'profile.skills_id.literacy_skills.section.name', value: 'literacy_skills'},
      {labelKey: 'profile.skills_id.numeracy_skills.section.name', value: 'numeracy_skills'},
      {labelKey: 'profile.skills_id.digital_skills.section.name', value: 'digital_skills'},
      {labelKey: 'profile.skills_id.professional_skills.section.name', value: 'professional_skills'},
      {labelKey: 'profile.skills_id.outside_skills.section.name', value: 'skills_acquired_outside_the_workplace'},
      {labelKey: 'profile.basic.section.name', value: 'other_basic_and_transversal_skills'},
      {labelKey: 'profile.driving.section.name', value: 'driving_skills'},
      {labelKey: 'profile.outcome.key_skills.title', value: 'strengths'},
      {labelKey: 'profile.outcome.recognition.section.name', value: 'recognition'},
      {labelKey: 'profile.outcome.validation.section.name', value: 'validation'},
      {labelKey: 'profile.outcome.education-or-training.section.name', value: 'training'},
      {labelKey: 'profile.outcome.employment-business.section.name', value: 'work'},
      {labelKey: 'profile.outcome.further-information.section.name', value: 'guidance'},
      {labelKey: 'profile.outcome.details_issuing_organisation.title', value: 'organisation'},
      {labelKey: 'profile.outcome.courses.section.name', value: 'courses'},
      {labelKey: 'profile.outcome.recommendations.section.name', value: 'recommendations'},
      {labelKey: 'profile.outcome.consent.section.name', value: 'consent'},
      {labelKey: 'step.summary', value: 'summary'},
      {labelKey: 'profile.configuration.title', value: 'configuration'}
    ]
  }
};
