import {Component, ElementRef, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {SearchFilters} from '../../../service/search/searchfilter/search-filters';
import {Filter} from '../../../service/search/searchfilter/filter/filter';
import {IdTextElement} from '../../../model/id-text-element';
import {ViewChild} from '@angular/core/src/metadata/di';

@Component({
  selector: 'mooc-filter-tags',
  templateUrl: './filter-tags.component.html',
  styleUrls: ['./filter-tags.component.less']
})
export class FilterTagsComponent implements OnInit {

  @Input()
  languages: IdTextElement[] = [];

  @Output() onChange = new EventEmitter();
  @Input() filters: SearchFilters;

  @ViewChild('lastFocus')
  lastFocus: ElementRef;

  constructor() {
  }

  ngOnInit() {
  }

  removeTag(key: string) {
    this.filters.removeProperty(key);
    this.onChange.emit();

    this.lastFocus.nativeElement.focus();
  }

  removeValue(key: string, value: string) {
    let array: any[] = this.filters.getProperty(key);

    if (array.length === 1) {
      this.removeTag(key);
      return;
    }

    this.filters.setProperty(key, array.filter(v => v !== value));

    this.onChange.emit();
  }

  isList(filter: Filter): boolean {
    return filter.valueIsArray();
  }

}
