import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';


@Component({
  selector: 'mooc-pagination',
  templateUrl: './pagination.component.html',
  styleUrls: ['./pagination.component.less']
})
export class PaginationComponent implements OnInit {

  @Output() onChange: EventEmitter<number> = new EventEmitter<number>();

  @Input() currentPage = 0;

  @Input() pagesize;

  @Input() set hits(value: number) {
    this._hits = value;
    this.createPagesArray();
  }

  private _hits = 0;
  public pageCount;
  pages: number[];

  constructor() {
  }

  ngOnInit() {
    this.createPagesArray();
  }

  get change () {
    return this.currentPage;
  }

  changeIt (value: any) {
    this.currentPage = Number(value);
    this.createPagesArray();
    this.onChange.emit(this.currentPage);
  }

  createPagesArray () {
    this.pageCount = Math.ceil(this._hits / this.pagesize);
    this.pages = Array(this.pageCount)
      .fill(0)
      .map((x, i) => i)
      .filter((x) => {
        return  this.pageCount < 6 || x > this.currentPage - 3 && x < this.currentPage + 3;
      });
  }

}
