import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {Subject} from 'rxjs/Subject';
import {SearchFilters} from '../../../service/search/searchfilter/search-filters';

@Component({
  selector: 'mooc-text-search',
  templateUrl: './text-search.component.html',
  styleUrls: ['./text-search.component.css']
})
export class TextSearchComponent implements OnInit {

  @Input() searchFilters: SearchFilters;
  @Output() onChange = new EventEmitter();

  textQuery: string;
  debouncer = new Subject();

  constructor() {
    this.debouncer.debounceTime(400).subscribe(() => {
      this.searchFilters.setProperty('text', this.textQuery);
      this.onChange.emit();
    });

  }

  updateFilter(s: string) {
    this.textQuery = s;
  }

  ngOnInit() {
  }

  keyEvent() {
    this.debouncer.next();
  }

}
