import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {Topics} from '../../../model/Topics';
import {IscedObj} from '../../../model/IscedObj';
import {DigitalSkills} from '../../../model/DigitalSkills';
import {EducationLevels} from '../../../model/EducationLevels';
import {NaceCodes} from '../../../model/NaceCodes';
import {IdTextElement} from '../../../model/id-text-element';

@Component({
  selector: 'mooc-tag',
  templateUrl: './tag.component.html',
  styleUrls: ['./tag.component.css']
})
export class TagComponent implements OnInit {

  @Input()
  value: string;

  @Input()
  languages: IdTextElement[] = [];

  @Output()
  onRemove = new EventEmitter();

  topic = Topics;
  edu = EducationLevels;
  isceds = IscedObj;
  digiSkills = DigitalSkills;
  nace = NaceCodes;

  constructor() { }

  ngOnInit() {
  }

  formatValue(value: string) {
    let label = '';

    if (this.languages !== undefined) {
      for (let lang of this.languages) {
        if (lang['id'] === value) {
          label = lang['text'];
        }
      }
    }

    if (this.topic[value]) {
      label = this.topic[value];
    }

    if (this.edu[value]) {
      label = this.edu[value];
    }

    if (this.isceds[value]) {
      label = this.isceds[value];
    }

    if (this.digiSkills[value]) {
      label = this.digiSkills[value];
    }

    if (this.nace[value]) {
      label = this.nace[value];
    }

    return label ? label : value;
  }

  emitRemove() {
    this.onRemove.emit();
  }
}
