import {Directive, EmbeddedViewRef, Input, TemplateRef, ViewContainerRef} from '@angular/core';

@Directive({
  selector: '[moocTemplateRenderer]'
})
export class TemplateRendererDirective {

  @Input('moocTemplateRenderer')
  private moocTemplateRenderer: TemplateRef<any>;

  private view: EmbeddedViewRef<any>;

  constructor(private container: ViewContainerRef) {}

  ngOnInit(): void {
    this.view = this.container.createEmbeddedView(this.moocTemplateRenderer);
  }

  ngOnDestroy(): void {
    this.view.destroy();
  }

}
