export const IscedObj = {
  'http://data.europa.eu/esco/isced-f/00': 'Generic programmes and qualifications',
  'http://data.europa.eu/esco/isced-f/000': 'Generic programmes and qualifications not further defined',
  'http://data.europa.eu/esco/isced-f/0000': 'Generic programmes and qualifications not further defined',
  'http://data.europa.eu/esco/isced-f/001': 'Basic programmes and qualifications',
  'http://data.europa.eu/esco/isced-f/0011': 'Basic programmes and qualifications',
  'http://data.europa.eu/esco/isced-f/002': 'Literacy and numeracy',
  'http://data.europa.eu/esco/isced-f/0021': 'Literacy and numeracy',
  'http://data.europa.eu/esco/isced-f/003': 'Personal skills and development',
  'http://data.europa.eu/esco/isced-f/0031': 'Personal skills and development',
  'http://data.europa.eu/esco/isced-f/009': 'Generic programmes and qualifications not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/0099': 'Generic programmes and qualifications not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/01': 'Education',
  'http://data.europa.eu/esco/isced-f/011': 'Education',
  'http://data.europa.eu/esco/isced-f/0110': 'Education not further defined',
  'http://data.europa.eu/esco/isced-f/0111': 'Education science',
  'http://data.europa.eu/esco/isced-f/0112': 'Training for pre-school teachers',
  'http://data.europa.eu/esco/isced-f/0113': 'Teacher training without subject specialisation',
  'http://data.europa.eu/esco/isced-f/0114': 'Teacher training with subject specialisation',
  'http://data.europa.eu/esco/isced-f/0119': 'Education not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/018': 'Inter-disciplinary programmes and qualifications involving education',
  'http://data.europa.eu/esco/isced-f/0188': 'Inter-disciplinary programmes and qualifications involving education',
  'http://data.europa.eu/esco/isced-f/02': 'Arts and humanities',
  'http://data.europa.eu/esco/isced-f/020': 'Arts and humanities not further defined',
  'http://data.europa.eu/esco/isced-f/0200': 'Arts and humanities not further defined',
  'http://data.europa.eu/esco/isced-f/021': 'Arts',
  'http://data.europa.eu/esco/isced-f/0210': 'Arts not further defined',
  'http://data.europa.eu/esco/isced-f/0211': 'Audio-visual techniques and media production',
  'http://data.europa.eu/esco/isced-f/0212': 'Fashion, interior and industrial design',
  'http://data.europa.eu/esco/isced-f/0213': 'Fine arts',
  'http://data.europa.eu/esco/isced-f/0214': 'Handicrafts',
  'http://data.europa.eu/esco/isced-f/0215': 'Music and performing arts',
  'http://data.europa.eu/esco/isced-f/0219': 'Arts not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/022': 'Humanities (except languages)',
  'http://data.europa.eu/esco/isced-f/0220': 'Humanities (except languages) not further defined',
  'http://data.europa.eu/esco/isced-f/0221': 'Religion and theology',
  'http://data.europa.eu/esco/isced-f/0222': 'History and archaeology',
  'http://data.europa.eu/esco/isced-f/0223': 'Philosophy and ethics',
  'http://data.europa.eu/esco/isced-f/0228': 'Inter-disciplinary programmes and qualifications involving humanities',
  'http://data.europa.eu/esco/isced-f/0229': 'Humanities (except languages) not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/023': 'Languages',
  'http://data.europa.eu/esco/isced-f/0230': 'Languages not further defined',
  'http://data.europa.eu/esco/isced-f/0231': 'Language acquisition',
  'http://data.europa.eu/esco/isced-f/0232': 'Literature and linguistics',
  'http://data.europa.eu/esco/isced-f/0239': 'Languages not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/028': 'Inter-disciplinary programmes and qualifications involving arts and humanities',
  'http://data.europa.eu/esco/isced-f/0288': 'Inter-disciplinary programmes and qualifications involving arts and humanities',
  'http://data.europa.eu/esco/isced-f/029': 'Arts and humanities not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/0299': 'Arts and humanities not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/03': 'Social sciences, journalism and information',
  'http://data.europa.eu/esco/isced-f/030': 'Social sciences, journalism and information not further defined',
  'http://data.europa.eu/esco/isced-f/0300': 'Social sciences, journalism and information not further defined',
  'http://data.europa.eu/esco/isced-f/031': 'Social and behavioural sciences',
  'http://data.europa.eu/esco/isced-f/0310': 'Social and behavioural sciences not further defined',
  'http://data.europa.eu/esco/isced-f/0311': 'Economics',
  'http://data.europa.eu/esco/isced-f/0312': 'Political sciences and civics',
  'http://data.europa.eu/esco/isced-f/0313': 'Psychology',
  'http://data.europa.eu/esco/isced-f/0314': 'Sociology and cultural studies',
  'http://data.europa.eu/esco/isced-f/0319': 'Social and behavioural sciences not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/032': 'Journalism and information',
  'http://data.europa.eu/esco/isced-f/0320': 'Journalism and information not further defined',
  'http://data.europa.eu/esco/isced-f/0321': 'Journalism and reporting',
  'http://data.europa.eu/esco/isced-f/0322': 'Library, information and archival studies',
  'http://data.europa.eu/esco/isced-f/0329': 'Journalism and information not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/038':
    'Inter-disciplinary programmes and qualifications involving social sciences, journalism and information',
  'http://data.europa.eu/esco/isced-f/0388':
    'Inter-disciplinary programmes and qualifications involving social sciences, journalism and information',
  'http://data.europa.eu/esco/isced-f/039': 'Social sciences, journalism and information not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/0399': 'Social sciences, journalism and information not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/04': 'Business, administration and law',
  'http://data.europa.eu/esco/isced-f/040': 'Business, administration and law not further defined',
  'http://data.europa.eu/esco/isced-f/0400': 'Business, administration and law not further defined',
  'http://data.europa.eu/esco/isced-f/041': 'Business and administration',
  'http://data.europa.eu/esco/isced-f/0410': 'Business and administration not further defined',
  'http://data.europa.eu/esco/isced-f/0411': 'Accounting and taxation',
  'http://data.europa.eu/esco/isced-f/0412': 'Finance, banking and insurance',
  'http://data.europa.eu/esco/isced-f/0413': 'Management and administration',
  'http://data.europa.eu/esco/isced-f/0414': 'Marketing and advertising',
  'http://data.europa.eu/esco/isced-f/0415': 'Secretarial and office work',
  'http://data.europa.eu/esco/isced-f/0416': 'Wholesale and retail sales',
  'http://data.europa.eu/esco/isced-f/0417': 'Work skills',
  'http://data.europa.eu/esco/isced-f/0419': 'Business and administration not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/042': 'Law',
  'http://data.europa.eu/esco/isced-f/0421': 'Law',
  'http://data.europa.eu/esco/isced-f/048': 'Inter-disciplinary programmes and qualifications involving business, administration and law',
  'http://data.europa.eu/esco/isced-f/0488': 'Inter-disciplinary programmes and qualifications involving business, administration and law',
  'http://data.europa.eu/esco/isced-f/049': 'Business, administration and law not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/0499': 'Business, administration and law not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/05': 'Natural sciences, mathematics and statistics',
  'http://data.europa.eu/esco/isced-f/050': 'Natural sciences, mathematics and statistics not further defined',
  'http://data.europa.eu/esco/isced-f/0500': 'Natural sciences, mathematics and statistics not further defined',
  'http://data.europa.eu/esco/isced-f/051': 'Biological and related sciences',
  'http://data.europa.eu/esco/isced-f/0510': 'Biological and related sciences not further defined',
  'http://data.europa.eu/esco/isced-f/0511': 'Biology',
  'http://data.europa.eu/esco/isced-f/0512': 'Biochemistry',
  'http://data.europa.eu/esco/isced-f/0519': 'Biological and related sciences not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/052': 'Environment',
  'http://data.europa.eu/esco/isced-f/0520': 'Environment not further defined',
  'http://data.europa.eu/esco/isced-f/0521': 'Environmental sciences',
  'http://data.europa.eu/esco/isced-f/0522': 'Natural environments and wildlife',
  'http://data.europa.eu/esco/isced-f/0529': 'Environment not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/053': 'Physical sciences',
  'http://data.europa.eu/esco/isced-f/0530': 'Physical sciences not further defined',
  'http://data.europa.eu/esco/isced-f/0531': 'Chemistry',
  'http://data.europa.eu/esco/isced-f/0532': 'Earth sciences',
  'http://data.europa.eu/esco/isced-f/0533': 'Physics',
  'http://data.europa.eu/esco/isced-f/0539': 'Physical sciences not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/054': 'Mathematics and statistics',
  'http://data.europa.eu/esco/isced-f/0540': 'Mathematics and statistics not further defined',
  'http://data.europa.eu/esco/isced-f/0541': 'Mathematics',
  'http://data.europa.eu/esco/isced-f/0542': 'Statistics',
  'http://data.europa.eu/esco/isced-f/058':
    'Inter-disciplinary programmes and qualifications involving natural sciences, mathematics and statistics',
  'http://data.europa.eu/esco/isced-f/0588':
    'Inter-disciplinary programmes and qualifications involving natural sciences, mathematics and statistics',
  'http://data.europa.eu/esco/isced-f/059': 'Natural sciences, mathematics and statistics not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/0599': 'Natural sciences, mathematics and statistics not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/06': 'Information and Communication Technologies (ICTs)',
  'http://data.europa.eu/esco/isced-f/061': 'Information and Communication Technologies (ICTs)',
  'http://data.europa.eu/esco/isced-f/0610': 'Information and Communication Technologies (ICTs) not further defined',
  'http://data.europa.eu/esco/isced-f/0611': 'Computer use',
  'http://data.europa.eu/esco/isced-f/0612': 'Database and network design and administration',
  'http://data.europa.eu/esco/isced-f/0613': 'Software and applications development and analysis',
  'http://data.europa.eu/esco/isced-f/0619': 'Information and communication technologies not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/068':
    'Inter-disciplinary programmes and qualifications involving Information and Communication Technologies (ICTs)',
  'http://data.europa.eu/esco/isced-f/0688':
    'Inter-disciplinary programmes and qualifications involving Information and Communication Technologies (ICTs)',
  'http://data.europa.eu/esco/isced-f/07': 'Engineering, manufacturing and construction',
  'http://data.europa.eu/esco/isced-f/070': 'Engineering, manufacturing and construction not further defined',
  'http://data.europa.eu/esco/isced-f/0700': 'Engineering, manufacturing and construction not further defined',
  'http://data.europa.eu/esco/isced-f/071': 'Engineering and engineering trades',
  'http://data.europa.eu/esco/isced-f/0710': 'Engineering and engineering trades not further defined',
  'http://data.europa.eu/esco/isced-f/0711': 'Chemical engineering and processes',
  'http://data.europa.eu/esco/isced-f/0712': 'Environmental protection technology',
  'http://data.europa.eu/esco/isced-f/0713': 'Electricity and energy',
  'http://data.europa.eu/esco/isced-f/0714': 'Electronics and automation',
  'http://data.europa.eu/esco/isced-f/0715': 'Mechanics and metal trades',
  'http://data.europa.eu/esco/isced-f/0716': 'Motor vehicles, ships and aircraft',
  'http://data.europa.eu/esco/isced-f/0719': 'Engineering and engineering trades not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/072': 'Manufacturing and processing',
  'http://data.europa.eu/esco/isced-f/0720': 'Manufacturing and processing not further defined',
  'http://data.europa.eu/esco/isced-f/0721': 'Food processing',
  'http://data.europa.eu/esco/isced-f/0722': 'Materials (glass, paper, plastic and wood)',
  'http://data.europa.eu/esco/isced-f/0723': 'Textiles (clothes, footwear and leather)',
  'http://data.europa.eu/esco/isced-f/0724': 'Mining and extraction',
  'http://data.europa.eu/esco/isced-f/0729': 'Manufacturing and processing not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/073': 'Architecture and construction',
  'http://data.europa.eu/esco/isced-f/0730': 'Architecture and construction not further defined',
  'http://data.europa.eu/esco/isced-f/0731': 'Architecture and town planning',
  'http://data.europa.eu/esco/isced-f/0732': 'Building and civil engineering',
  'http://data.europa.eu/esco/isced-f/078':
    'Inter-disciplinary programmes and qualifications involving engineering, manufacturing and construction',
  'http://data.europa.eu/esco/isced-f/0788':
    'Inter-disciplinary programmes and qualifications involving engineering, manufacturing and construction',
  'http://data.europa.eu/esco/isced-f/079': 'Engineering, manufacturing and construction not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/0799': 'Engineering, manufacturing and construction not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/08': 'Agriculture, forestry, fisheries and veterinary',
  'http://data.europa.eu/esco/isced-f/080': 'Agriculture, forestry, fisheries and veterinary not further defined',
  'http://data.europa.eu/esco/isced-f/0800': 'Agriculture, forestry, fisheries and veterinary not further defined',
  'http://data.europa.eu/esco/isced-f/081': 'Agriculture',
  'http://data.europa.eu/esco/isced-f/0810': 'Agriculture not further defined',
  'http://data.europa.eu/esco/isced-f/0811': 'Crop and livestock production',
  'http://data.europa.eu/esco/isced-f/0812': 'Horticulture',
  'http://data.europa.eu/esco/isced-f/0819': 'Agriculture not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/082': 'Forestry',
  'http://data.europa.eu/esco/isced-f/0821': 'Forestry',
  'http://data.europa.eu/esco/isced-f/083': 'Fisheries',
  'http://data.europa.eu/esco/isced-f/0831': 'Fisheries',
  'http://data.europa.eu/esco/isced-f/084': 'Veterinary',
  'http://data.europa.eu/esco/isced-f/0841': 'Veterinary',
  'http://data.europa.eu/esco/isced-f/088':
    'Inter-disciplinary programmes and qualifications involving  agriculture, forestry, fisheries and veterinary',
  'http://data.europa.eu/esco/isced-f/0888':
    'Inter-disciplinary programmes and qualifications involving  agriculture, forestry, fisheries and veterinary',
  'http://data.europa.eu/esco/isced-f/089': 'Agriculture, forestry, fisheries and veterinary not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/0899': 'Agriculture, forestry, fisheries and veterinary not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/09': 'Health and welfare',
  'http://data.europa.eu/esco/isced-f/090': 'Health and welfare not further defined',
  'http://data.europa.eu/esco/isced-f/0900': 'Health and welfare not further defined',
  'http://data.europa.eu/esco/isced-f/091': 'Health',
  'http://data.europa.eu/esco/isced-f/0910': 'Health not further defined',
  'http://data.europa.eu/esco/isced-f/0911': 'Dental studies',
  'http://data.europa.eu/esco/isced-f/0912': 'Medicine',
  'http://data.europa.eu/esco/isced-f/0913': 'Nursing and midwifery',
  'http://data.europa.eu/esco/isced-f/0914': 'Medical diagnostic and treatment technology',
  'http://data.europa.eu/esco/isced-f/0915': 'Therapy and rehabilitation',
  'http://data.europa.eu/esco/isced-f/0916': 'Pharmacy',
  'http://data.europa.eu/esco/isced-f/0917': 'Traditional and complementary medicine and therapy',
  'http://data.europa.eu/esco/isced-f/0919': 'Health not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/092': 'Welfare',
  'http://data.europa.eu/esco/isced-f/0920': 'Welfare not further defined',
  'http://data.europa.eu/esco/isced-f/0921': 'Care of the elderly and of disabled adults',
  'http://data.europa.eu/esco/isced-f/0922': 'Child care and youth services',
  'http://data.europa.eu/esco/isced-f/0923': 'Social work and counselling',
  'http://data.europa.eu/esco/isced-f/0929': 'Welfare not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/098': 'Inter-disciplinary programmes and qualifications involving health and welfare',
  'http://data.europa.eu/esco/isced-f/0988': 'Inter-disciplinary programmes and qualifications involving health and welfare',
  'http://data.europa.eu/esco/isced-f/099': 'Health and welfare not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/0999': 'Health and welfare not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/10': 'Services',
  'http://data.europa.eu/esco/isced-f/100': 'Services not further defined',
  'http://data.europa.eu/esco/isced-f/1000': 'Services not further defined',
  'http://data.europa.eu/esco/isced-f/101': 'Personal services',
  'http://data.europa.eu/esco/isced-f/1010': 'Personal services not further defined',
  'http://data.europa.eu/esco/isced-f/1011': 'Domestic services',
  'http://data.europa.eu/esco/isced-f/1012': 'Hair and beauty services',
  'http://data.europa.eu/esco/isced-f/1013': 'Hotel, restaurants and catering',
  'http://data.europa.eu/esco/isced-f/1014': 'Sports',
  'http://data.europa.eu/esco/isced-f/1015': 'Travel, tourism and leisure',
  'http://data.europa.eu/esco/isced-f/1019': 'Personal services not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/102': 'Hygiene and occupational health services',
  'http://data.europa.eu/esco/isced-f/1020': 'Hygiene and occupational health services not further defined',
  'http://data.europa.eu/esco/isced-f/1021': 'Community sanitation',
  'http://data.europa.eu/esco/isced-f/1022': 'Occupational health and safety',
  'http://data.europa.eu/esco/isced-f/1029': 'Hygiene and occupational health services not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/103': 'Security services',
  'http://data.europa.eu/esco/isced-f/1030': 'Security services not further defined',
  'http://data.europa.eu/esco/isced-f/1031': 'Military and defence',
  'http://data.europa.eu/esco/isced-f/1032': 'Protection of persons and property',
  'http://data.europa.eu/esco/isced-f/1039': 'Security services not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/104': 'Transport services',
  'http://data.europa.eu/esco/isced-f/1041': 'Transport services',
  'http://data.europa.eu/esco/isced-f/108': 'Inter-disciplinary programmes and qualifications involving services',
  'http://data.europa.eu/esco/isced-f/1088': 'Inter-disciplinary programmes and qualifications involving services',
  'http://data.europa.eu/esco/isced-f/109': 'Services not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/1099': 'Services not elsewhere classified',
  'http://data.europa.eu/esco/isced-f/99': 'Field unknown',
  'http://data.europa.eu/esco/isced-f/999': 'Field unknown',
  'http://data.europa.eu/esco/isced-f/9999': 'Field unknown'
};


export const iscedHostAppToMooc = {
  '1': ['http://data.europa.eu/esco/isced-f/00',
    'http://data.europa.eu/esco/isced-f/000',
    'http://data.europa.eu/esco/isced-f/0000',
    'http://data.europa.eu/esco/isced-f/001',
    'http://data.europa.eu/esco/isced-f/0011',
    'http://data.europa.eu/esco/isced-f/009',
    'http://data.europa.eu/esco/isced-f/0099'
  ],
  '2': ['http://data.europa.eu/esco/isced-f/00',
    'http://data.europa.eu/esco/isced-f/000',
    'http://data.europa.eu/esco/isced-f/0000',
    'http://data.europa.eu/esco/isced-f/002',
    'http://data.europa.eu/esco/isced-f/0021',
    'http://data.europa.eu/esco/isced-f/009',
    'http://data.europa.eu/esco/isced-f/0099',
  ],
  '3': ['http://data.europa.eu/esco/isced-f/00',
    'http://data.europa.eu/esco/isced-f/000',
    'http://data.europa.eu/esco/isced-f/0000',
    'http://data.europa.eu/esco/isced-f/003',
    'http://data.europa.eu/esco/isced-f/0031',
    'http://data.europa.eu/esco/isced-f/009',
    'http://data.europa.eu/esco/isced-f/0099',
  ],
  '4': [
    'http://data.europa.eu/esco/isced-f/01',
    'http://data.europa.eu/esco/isced-f/011',
    'http://data.europa.eu/esco/isced-f/0110',
    'http://data.europa.eu/esco/isced-f/0111',
    'http://data.europa.eu/esco/isced-f/0112',
    'http://data.europa.eu/esco/isced-f/0113',
    'http://data.europa.eu/esco/isced-f/0114',
    'http://data.europa.eu/esco/isced-f/0119',
    'http://data.europa.eu/esco/isced-f/018',
    'http://data.europa.eu/esco/isced-f/0188',


  ],
  '5': [
    'http://data.europa.eu/esco/isced-f/02',
    'http://data.europa.eu/esco/isced-f/020',
    'http://data.europa.eu/esco/isced-f/0200',
    'http://data.europa.eu/esco/isced-f/021',
    'http://data.europa.eu/esco/isced-f/0210',
    'http://data.europa.eu/esco/isced-f/0211',
    'http://data.europa.eu/esco/isced-f/0212',
    'http://data.europa.eu/esco/isced-f/0213',
    'http://data.europa.eu/esco/isced-f/0214',
    'http://data.europa.eu/esco/isced-f/0215',
    'http://data.europa.eu/esco/isced-f/0219',
    'http://data.europa.eu/esco/isced-f/028',
    'http://data.europa.eu/esco/isced-f/0288',
    'http://data.europa.eu/esco/isced-f/029',
    'http://data.europa.eu/esco/isced-f/0299'


  ],
  '6': [
    'http://data.europa.eu/esco/isced-f/02',
    'http://data.europa.eu/esco/isced-f/020',
    'http://data.europa.eu/esco/isced-f/0200',
    'http://data.europa.eu/esco/isced-f/022',
    'http://data.europa.eu/esco/isced-f/0220',
    'http://data.europa.eu/esco/isced-f/0221',
    'http://data.europa.eu/esco/isced-f/0222',
    'http://data.europa.eu/esco/isced-f/0223',
    'http://data.europa.eu/esco/isced-f/0228',
    'http://data.europa.eu/esco/isced-f/0229',
    'http://data.europa.eu/esco/isced-f/028',
    'http://data.europa.eu/esco/isced-f/0288',
    'http://data.europa.eu/esco/isced-f/029',
    'http://data.europa.eu/esco/isced-f/0299'

  ],
  '7': [
    'http://data.europa.eu/esco/isced-f/02',
    'http://data.europa.eu/esco/isced-f/020',
    'http://data.europa.eu/esco/isced-f/0200',
    'http://data.europa.eu/esco/isced-f/023',
    'http://data.europa.eu/esco/isced-f/0230',
    'http://data.europa.eu/esco/isced-f/0231',
    'http://data.europa.eu/esco/isced-f/0232',
    'http://data.europa.eu/esco/isced-f/0239',
    'http://data.europa.eu/esco/isced-f/028',
    'http://data.europa.eu/esco/isced-f/0288',
    'http://data.europa.eu/esco/isced-f/029',
    'http://data.europa.eu/esco/isced-f/0299',

  ],
  '8': ['http://data.europa.eu/esco/isced-f/03',
    'http://data.europa.eu/esco/isced-f/030',
    'http://data.europa.eu/esco/isced-f/0300',
    'http://data.europa.eu/esco/isced-f/031',
    'http://data.europa.eu/esco/isced-f/0310',
    'http://data.europa.eu/esco/isced-f/0311',
    'http://data.europa.eu/esco/isced-f/0312',
    'http://data.europa.eu/esco/isced-f/0313',
    'http://data.europa.eu/esco/isced-f/0314',
    'http://data.europa.eu/esco/isced-f/0319',
    'http://data.europa.eu/esco/isced-f/038',
    'http://data.europa.eu/esco/isced-f/0388',
    'http://data.europa.eu/esco/isced-f/039',
    'http://data.europa.eu/esco/isced-f/0399',
  ],
  '9': [
    'http://data.europa.eu/esco/isced-f/03',
    'http://data.europa.eu/esco/isced-f/030',
    'http://data.europa.eu/esco/isced-f/0300',
    'http://data.europa.eu/esco/isced-f/032',
    'http://data.europa.eu/esco/isced-f/0320',
    'http://data.europa.eu/esco/isced-f/0321',
    'http://data.europa.eu/esco/isced-f/0322',
    'http://data.europa.eu/esco/isced-f/0329',
    'http://data.europa.eu/esco/isced-f/038',
    'http://data.europa.eu/esco/isced-f/0388',
    'http://data.europa.eu/esco/isced-f/039',
    'http://data.europa.eu/esco/isced-f/0399'

  ],
  '10': [
    'http://data.europa.eu/esco/isced-f/04',
    'http://data.europa.eu/esco/isced-f/040',
    'http://data.europa.eu/esco/isced-f/0400',
    'http://data.europa.eu/esco/isced-f/041',
    'http://data.europa.eu/esco/isced-f/0410',
    'http://data.europa.eu/esco/isced-f/0411',
    'http://data.europa.eu/esco/isced-f/0412',
    'http://data.europa.eu/esco/isced-f/0413',
    'http://data.europa.eu/esco/isced-f/0414',
    'http://data.europa.eu/esco/isced-f/0415',
    'http://data.europa.eu/esco/isced-f/0416',
    'http://data.europa.eu/esco/isced-f/0417',
    'http://data.europa.eu/esco/isced-f/0419',
    'http://data.europa.eu/esco/isced-f/048',
    'http://data.europa.eu/esco/isced-f/0488',
    'http://data.europa.eu/esco/isced-f/049',
    'http://data.europa.eu/esco/isced-f/0499'

  ],
  '11': [
    'http://data.europa.eu/esco/isced-f/04',
    'http://data.europa.eu/esco/isced-f/040',
    'http://data.europa.eu/esco/isced-f/042',
    'http://data.europa.eu/esco/isced-f/0421',
    'http://data.europa.eu/esco/isced-f/048',
    'http://data.europa.eu/esco/isced-f/0488',
    'http://data.europa.eu/esco/isced-f/049',
    'http://data.europa.eu/esco/isced-f/0499'

  ],
  '12': [
    'http://data.europa.eu/esco/isced-f/05',
    'http://data.europa.eu/esco/isced-f/050',
    'http://data.europa.eu/esco/isced-f/0500',
    'http://data.europa.eu/esco/isced-f/051',
    'http://data.europa.eu/esco/isced-f/0510',
    'http://data.europa.eu/esco/isced-f/0511',
    'http://data.europa.eu/esco/isced-f/0512',
    'http://data.europa.eu/esco/isced-f/0519',
    'http://data.europa.eu/esco/isced-f/058',
    'http://data.europa.eu/esco/isced-f/0588',
    'http://data.europa.eu/esco/isced-f/059',
    'http://data.europa.eu/esco/isced-f/0599'
  ],
  '13': [
    'http://data.europa.eu/esco/isced-f/05',
    'http://data.europa.eu/esco/isced-f/050',
    'http://data.europa.eu/esco/isced-f/0500',
    'http://data.europa.eu/esco/isced-f/052',
    'http://data.europa.eu/esco/isced-f/0520',
    'http://data.europa.eu/esco/isced-f/0521',
    'http://data.europa.eu/esco/isced-f/0522',
    'http://data.europa.eu/esco/isced-f/0529',
    'http://data.europa.eu/esco/isced-f/058',
    'http://data.europa.eu/esco/isced-f/0588',
    'http://data.europa.eu/esco/isced-f/059',
    'http://data.europa.eu/esco/isced-f/0599'
  ],
  '14': [
    'http://data.europa.eu/esco/isced-f/05',
    'http://data.europa.eu/esco/isced-f/050',
    'http://data.europa.eu/esco/isced-f/0500',
    'http://data.europa.eu/esco/isced-f/053',
    'http://data.europa.eu/esco/isced-f/0530',
    'http://data.europa.eu/esco/isced-f/0531',
    'http://data.europa.eu/esco/isced-f/0532',
    'http://data.europa.eu/esco/isced-f/0533',
    'http://data.europa.eu/esco/isced-f/0539',
    'http://data.europa.eu/esco/isced-f/058',
    'http://data.europa.eu/esco/isced-f/0588',
    'http://data.europa.eu/esco/isced-f/059',
    'http://data.europa.eu/esco/isced-f/0599'

  ],
  '15': [
    'http://data.europa.eu/esco/isced-f/05',
    'http://data.europa.eu/esco/isced-f/050',
    'http://data.europa.eu/esco/isced-f/0500',
    'http://data.europa.eu/esco/isced-f/054',
    'http://data.europa.eu/esco/isced-f/0540',
    'http://data.europa.eu/esco/isced-f/0541',
    'http://data.europa.eu/esco/isced-f/0542',
    'http://data.europa.eu/esco/isced-f/058',
    'http://data.europa.eu/esco/isced-f/0588',
    'http://data.europa.eu/esco/isced-f/059',
    'http://data.europa.eu/esco/isced-f/0599'

  ],
  '16': [
    'http://data.europa.eu/esco/isced-f/06',
    'http://data.europa.eu/esco/isced-f/061',
    'http://data.europa.eu/esco/isced-f/0610',
    'http://data.europa.eu/esco/isced-f/0611',
    'http://data.europa.eu/esco/isced-f/0612',
    'http://data.europa.eu/esco/isced-f/0613',
    'http://data.europa.eu/esco/isced-f/0619',
    'http://data.europa.eu/esco/isced-f/068',
    'http://data.europa.eu/esco/isced-f/0688'

  ],
  '17': [
    'http://data.europa.eu/esco/isced-f/07',
    'http://data.europa.eu/esco/isced-f/070',
    'http://data.europa.eu/esco/isced-f/0700',
    'http://data.europa.eu/esco/isced-f/071',
    'http://data.europa.eu/esco/isced-f/0710',
    'http://data.europa.eu/esco/isced-f/0711',
    'http://data.europa.eu/esco/isced-f/0712',
    'http://data.europa.eu/esco/isced-f/0713',
    'http://data.europa.eu/esco/isced-f/0714',
    'http://data.europa.eu/esco/isced-f/0715',
    'http://data.europa.eu/esco/isced-f/0716',
    'http://data.europa.eu/esco/isced-f/0719',
    'http://data.europa.eu/esco/isced-f/078',
    'http://data.europa.eu/esco/isced-f/0788',
    'http://data.europa.eu/esco/isced-f/079',
    'http://data.europa.eu/esco/isced-f/0799'

  ],
  '18': [
    'http://data.europa.eu/esco/isced-f/07',
    'http://data.europa.eu/esco/isced-f/070',
    'http://data.europa.eu/esco/isced-f/0700',
    'http://data.europa.eu/esco/isced-f/072',
    'http://data.europa.eu/esco/isced-f/0720',
    'http://data.europa.eu/esco/isced-f/0721',
    'http://data.europa.eu/esco/isced-f/0722',
    'http://data.europa.eu/esco/isced-f/0723',
    'http://data.europa.eu/esco/isced-f/0724',
    'http://data.europa.eu/esco/isced-f/0729',
    'http://data.europa.eu/esco/isced-f/078',
    'http://data.europa.eu/esco/isced-f/0788',
    'http://data.europa.eu/esco/isced-f/079',
    'http://data.europa.eu/esco/isced-f/0799'


  ],
  '19': [
    'http://data.europa.eu/esco/isced-f/07',
    'http://data.europa.eu/esco/isced-f/070',
    'http://data.europa.eu/esco/isced-f/0700',
    'http://data.europa.eu/esco/isced-f/073',
    'http://data.europa.eu/esco/isced-f/0730',
    'http://data.europa.eu/esco/isced-f/0731',
    'http://data.europa.eu/esco/isced-f/0732',
    'http://data.europa.eu/esco/isced-f/078',
    'http://data.europa.eu/esco/isced-f/0788',
    'http://data.europa.eu/esco/isced-f/079',
    'http://data.europa.eu/esco/isced-f/0799'

  ],
  '20': [
    'http://data.europa.eu/esco/isced-f/08',
    'http://data.europa.eu/esco/isced-f/080',
    'http://data.europa.eu/esco/isced-f/0800',
    'http://data.europa.eu/esco/isced-f/081',
    'http://data.europa.eu/esco/isced-f/0810',
    'http://data.europa.eu/esco/isced-f/0811',
    'http://data.europa.eu/esco/isced-f/0812',
    'http://data.europa.eu/esco/isced-f/0819',
    'http://data.europa.eu/esco/isced-f/088',
    'http://data.europa.eu/esco/isced-f/0888',
    'http://data.europa.eu/esco/isced-f/089',
    'http://data.europa.eu/esco/isced-f/0899'


  ],
  '21': [
    'http://data.europa.eu/esco/isced-f/08',
    'http://data.europa.eu/esco/isced-f/080',
    'http://data.europa.eu/esco/isced-f/0800',
    'http://data.europa.eu/esco/isced-f/082',
    'http://data.europa.eu/esco/isced-f/0821',
    'http://data.europa.eu/esco/isced-f/088',
    'http://data.europa.eu/esco/isced-f/0888',
    'http://data.europa.eu/esco/isced-f/089',
    'http://data.europa.eu/esco/isced-f/0899'

  ],
  '22': [
    'http://data.europa.eu/esco/isced-f/08',
    'http://data.europa.eu/esco/isced-f/080',
    'http://data.europa.eu/esco/isced-f/0800',
    'http://data.europa.eu/esco/isced-f/083',
    'http://data.europa.eu/esco/isced-f/0831',
    'http://data.europa.eu/esco/isced-f/088',
    'http://data.europa.eu/esco/isced-f/0888',
    'http://data.europa.eu/esco/isced-f/089',
    'http://data.europa.eu/esco/isced-f/0899'


  ],
  '23': [
    'http://data.europa.eu/esco/isced-f/08',
    'http://data.europa.eu/esco/isced-f/080',
    'http://data.europa.eu/esco/isced-f/0800',
    'http://data.europa.eu/esco/isced-f/084',
    'http://data.europa.eu/esco/isced-f/0841',
    'http://data.europa.eu/esco/isced-f/088',
    'http://data.europa.eu/esco/isced-f/0888',
    'http://data.europa.eu/esco/isced-f/089',
    'http://data.europa.eu/esco/isced-f/0899'

  ],
  '24': [
    'http://data.europa.eu/esco/isced-f/09',
    'http://data.europa.eu/esco/isced-f/090',
    'http://data.europa.eu/esco/isced-f/0900',
    'http://data.europa.eu/esco/isced-f/091',
    'http://data.europa.eu/esco/isced-f/0910',
    'http://data.europa.eu/esco/isced-f/0911',
    'http://data.europa.eu/esco/isced-f/0912',
    'http://data.europa.eu/esco/isced-f/0913',
    'http://data.europa.eu/esco/isced-f/0914',
    'http://data.europa.eu/esco/isced-f/0915',
    'http://data.europa.eu/esco/isced-f/0916',
    'http://data.europa.eu/esco/isced-f/0917',
    'http://data.europa.eu/esco/isced-f/0919',
    'http://data.europa.eu/esco/isced-f/098',
    'http://data.europa.eu/esco/isced-f/0988',
    'http://data.europa.eu/esco/isced-f/099',
    'http://data.europa.eu/esco/isced-f/0999'

  ],
  '25': [
    'http://data.europa.eu/esco/isced-f/09',
    'http://data.europa.eu/esco/isced-f/090',
    'http://data.europa.eu/esco/isced-f/0900',
    'http://data.europa.eu/esco/isced-f/092',
    'http://data.europa.eu/esco/isced-f/0920',
    'http://data.europa.eu/esco/isced-f/0921',
    'http://data.europa.eu/esco/isced-f/0922',
    'http://data.europa.eu/esco/isced-f/0923',
    'http://data.europa.eu/esco/isced-f/0929',
    'http://data.europa.eu/esco/isced-f/098',
    'http://data.europa.eu/esco/isced-f/0988',
    'http://data.europa.eu/esco/isced-f/099',
    'http://data.europa.eu/esco/isced-f/0999'


  ],
  '26': [
    'http://data.europa.eu/esco/isced-f/10',
    'http://data.europa.eu/esco/isced-f/100',
    'http://data.europa.eu/esco/isced-f/1000',
    'http://data.europa.eu/esco/isced-f/101',
    'http://data.europa.eu/esco/isced-f/1010',
    'http://data.europa.eu/esco/isced-f/1011',
    'http://data.europa.eu/esco/isced-f/1012',
    'http://data.europa.eu/esco/isced-f/1013',
    'http://data.europa.eu/esco/isced-f/1014',
    'http://data.europa.eu/esco/isced-f/1015',
    'http://data.europa.eu/esco/isced-f/1019',
    'http://data.europa.eu/esco/isced-f/108',
    'http://data.europa.eu/esco/isced-f/1088',
    'http://data.europa.eu/esco/isced-f/109',
    'http://data.europa.eu/esco/isced-f/1099'
  ],
  '27': [
    'http://data.europa.eu/esco/isced-f/10',
    'http://data.europa.eu/esco/isced-f/100',
    'http://data.europa.eu/esco/isced-f/1000',
    'http://data.europa.eu/esco/isced-f/102',
    'http://data.europa.eu/esco/isced-f/1020',
    'http://data.europa.eu/esco/isced-f/1021',
    'http://data.europa.eu/esco/isced-f/1022',
    'http://data.europa.eu/esco/isced-f/1029',
    'http://data.europa.eu/esco/isced-f/108',
    'http://data.europa.eu/esco/isced-f/1088',
    'http://data.europa.eu/esco/isced-f/109',
    'http://data.europa.eu/esco/isced-f/1099'

  ],
  '28': [
    'http://data.europa.eu/esco/isced-f/10',
    'http://data.europa.eu/esco/isced-f/100',
    'http://data.europa.eu/esco/isced-f/1000',
    'http://data.europa.eu/esco/isced-f/103',
    'http://data.europa.eu/esco/isced-f/1030',
    'http://data.europa.eu/esco/isced-f/1031',
    'http://data.europa.eu/esco/isced-f/1032',
    'http://data.europa.eu/esco/isced-f/1039',
    'http://data.europa.eu/esco/isced-f/108',
    'http://data.europa.eu/esco/isced-f/1088',
    'http://data.europa.eu/esco/isced-f/109',
    'http://data.europa.eu/esco/isced-f/1099'

  ],
  '29': [
    'http://data.europa.eu/esco/isced-f/10',
    'http://data.europa.eu/esco/isced-f/100',
    'http://data.europa.eu/esco/isced-f/1000',
    'http://data.europa.eu/esco/isced-f/104',
    'http://data.europa.eu/esco/isced-f/1041',
    'http://data.europa.eu/esco/isced-f/108',
    'http://data.europa.eu/esco/isced-f/1088',
    'http://data.europa.eu/esco/isced-f/109',
    'http://data.europa.eu/esco/isced-f/1099'

  ]


};

export const idToTopNode = {
 'http://data.europa.eu/esco/isced-f/001': iscedHostAppToMooc['1'],
  'http://data.europa.eu/esco/isced-f/002': iscedHostAppToMooc['2'],
  'http://data.europa.eu/esco/isced-f/003': iscedHostAppToMooc['3'],
  'http://data.europa.eu/esco/isced-f/01': iscedHostAppToMooc['4'],
  'http://data.europa.eu/esco/isced-f/021': iscedHostAppToMooc['5'],
  'http://data.europa.eu/esco/isced-f/022': iscedHostAppToMooc['6'],
  'http://data.europa.eu/esco/isced-f/023': iscedHostAppToMooc['7'],
  'http://data.europa.eu/esco/isced-f/031': iscedHostAppToMooc['8'],
  'http://data.europa.eu/esco/isced-f/032': iscedHostAppToMooc['9'],
  'http://data.europa.eu/esco/isced-f/041': iscedHostAppToMooc['10'],
  'http://data.europa.eu/esco/isced-f/042': iscedHostAppToMooc['11'],
  'http://data.europa.eu/esco/isced-f/051': iscedHostAppToMooc['12'],
  'http://data.europa.eu/esco/isced-f/052': iscedHostAppToMooc['13'],
  'http://data.europa.eu/esco/isced-f/053': iscedHostAppToMooc['14'],
  'http://data.europa.eu/esco/isced-f/054': iscedHostAppToMooc['15'],
  'http://data.europa.eu/esco/isced-f/06': iscedHostAppToMooc['16'],
  'http://data.europa.eu/esco/isced-f/071': iscedHostAppToMooc['17'],
  'http://data.europa.eu/esco/isced-f/072': iscedHostAppToMooc['18'],
  'http://data.europa.eu/esco/isced-f/073': iscedHostAppToMooc['19'],
  'http://data.europa.eu/esco/isced-f/081': iscedHostAppToMooc['20'],
  'http://data.europa.eu/esco/isced-f/082': iscedHostAppToMooc['21'],
  'http://data.europa.eu/esco/isced-f/083': iscedHostAppToMooc['22'],
  'http://data.europa.eu/esco/isced-f/084': iscedHostAppToMooc['23'],
  'http://data.europa.eu/esco/isced-f/091': iscedHostAppToMooc['24'],
  'http://data.europa.eu/esco/isced-f/092': iscedHostAppToMooc['25'],
  'http://data.europa.eu/esco/isced-f/101': iscedHostAppToMooc['26'],
  'http://data.europa.eu/esco/isced-f/102': iscedHostAppToMooc['27'],
  'http://data.europa.eu/esco/isced-f/103': iscedHostAppToMooc['28'],
  'http://data.europa.eu/esco/isced-f/1041': iscedHostAppToMooc['29']
};




