export const NaceCodes = {
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01': 'Crop and animal production, hunting and related service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.1': 'Growing of non-perennial crops',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.11': 'Growing of cereals (except rice), leguminous crops and oil seeds',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.12': 'Growing of rice',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.13': 'Growing of vegetables and melons, roots and tubers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.14': 'Growing of sugar cane',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.15': 'Growing of tobacco',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.16': 'Growing of fibre crops',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.19': 'Growing of other non-perennial crops',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.2': 'Growing of perennial crops',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.21': 'Growing of grapes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.22': 'Growing of tropical and subtropical fruits',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.23': 'Growing of citrus fruits',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.24': 'Growing of pome fruits and stone fruits',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.25': 'Growing of other tree and bush fruits and nuts',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.26': 'Growing of oleaginous fruits',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.27': 'Growing of beverage crops',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.28': 'Growing of spices, aromatic, drug and pharmaceutical crops',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.29': 'Growing of other perennial crops',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.3': 'Plant propagation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.30': 'Plant propagation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.4': 'Animal production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.41': 'Raising of dairy cattle',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.42': 'Raising of other cattle and buffaloes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.43': 'Raising of horses and other equines',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.44': 'Raising of camels and camelids',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.45': 'Raising of sheep and goats',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.46': 'Raising of swine/pigs',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.47': 'Raising of poultry',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.49': 'Raising of other animals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.5': 'Mixed farming',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.50': 'Mixed farming',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.6': 'Support activities to agriculture and post-harvest crop activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.61': 'Support activities for crop production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.62': 'Support activities for animal production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.63': 'Post-harvest crop activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.64': 'Seed processing for propagation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.7': 'Hunting, trapping and related service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.01.70': 'Hunting, trapping and related service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.02': 'Forestry and logging',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.02.1': 'Silviculture and other forestry activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.02.10': 'Silviculture and other forestry activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.02.2': 'Logging',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.02.20': 'Logging',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.02.3': 'Gathering of wild growing non-wood products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.02.30': 'Gathering of wild growing non-wood products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.02.4': 'Support services to forestry',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.02.40': 'Support services to forestry',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.03': 'Fishing and aquaculture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.03.1': 'Fishing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.03.11': 'Marine fishing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.03.12': 'Freshwater fishing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.03.2': 'Aquaculture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.03.21': 'Marine aquaculture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.03.22': 'Freshwater aquaculture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.05': 'Mining of coal and lignite',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.05.1': 'Mining of hard coal',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.05.10': 'Mining of hard coal',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.05.2': 'Mining of lignite',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.05.20': 'Mining of lignite',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.06': 'Extraction of crude petroleum and natural gas',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.06.1': 'Extraction of crude petroleum',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.06.10': 'Extraction of crude petroleum',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.06.2': 'Extraction of natural gas',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.06.20': 'Extraction of natural gas',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.07': 'Mining of metal ores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.07.1': 'Mining of iron ores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.07.10': 'Mining of iron ores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.07.2': 'Mining of non-ferrous metal ores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.07.21': 'Mining of uranium and thorium ores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.07.29': 'Mining of other non-ferrous metal ores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.08': 'Other mining and quarrying',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.08.1':
    'Quarrying of stone, sand and clay',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.08.11':
    'Quarrying of ornamental and building stone, limestone, gypsum, chalk and slate',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.08.12': 'Operation of gravel and sand pits; mining of clays and kaolin',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.08.9': 'Mining and quarrying n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.08.91': 'Mining of chemical and fertiliser minerals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.08.92': 'Extraction of peat',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.08.93': 'Extraction of salt',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.08.99': 'Other mining and quarrying n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.09': 'Mining support service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.09.1': 'Support activities for petroleum and natural gas extraction',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.09.10': 'Support activities for petroleum and natural gas extraction',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.09.9': 'Support activities for other mining and quarrying',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.09.90': 'Support activities for other mining and quarrying',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10': 'Manufacture of food products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.1': 'Processing and preserving of meat and production of meat products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.11': 'Processing and preserving of meat',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.12': 'Processing and preserving of poultry meat',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.13': 'Production of meat and poultry meat products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.2': 'Processing and preserving of fish, crustaceans and molluscs',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.20': 'Processing and preserving of fish, crustaceans and molluscs',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.3': 'Processing and preserving of fruit and vegetables',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.31': 'Processing and preserving of potatoes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.32': 'Manufacture of fruit and vegetable juice',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.39': 'Other processing and preserving of fruit and vegetables',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.4': 'Manufacture of vegetable and animal oils and fats',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.41': 'Manufacture of oils and fats',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.42': 'Manufacture of margarine and similar edible fats',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.5': 'Manufacture of dairy products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.51': 'Operation of dairies and cheese making',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.52': 'Manufacture of ice cream',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.6': 'Manufacture of grain mill products, starches and starch products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.61': 'Manufacture of grain mill products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.62': 'Manufacture of starches and starch products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.7': 'Manufacture of bakery and farinaceous products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.71':

    'Manufacture of bread; manufacture of fresh pastry goods and cakes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.72':
    'Manufacture of rusks and biscuits; manufacture of preserved pastry goods and cakes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.73':
    'Manufacture of macaroni, noodles, couscous and similar farinaceous products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.8':
    'Manufacture of other food products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.81': 'Manufacture of sugar',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.82': 'Manufacture of cocoa, chocolate and sugar confectionery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.83': 'Processing of tea and coffee',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.84': 'Manufacture of condiments and seasonings',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.85': 'Manufacture of prepared meals and dishes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.86': 'Manufacture of homogenised food preparations and dietetic food',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.89': 'Manufacture of other food products n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.9': 'Manufacture of prepared animal feeds',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.91': 'Manufacture of prepared feeds for farm animals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.10.92': 'Manufacture of prepared pet foods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.11': 'Manufacture of beverages',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.11.0': 'Manufacture of beverages',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.11.01': 'Distilling, rectifying and blending of spirits',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.11.02': 'Manufacture of wine from grape',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.11.03': 'Manufacture of cider and other fruit wines',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.11.04': 'Manufacture of other non-distilled fermented beverages',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.11.05': 'Manufacture of beer',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.11.06':
    'Manufacture of malt',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.11.07':
    'Manufacture of soft drinks; production of mineral waters and other bottled waters',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.12': 'Manufacture of tobacco products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.12.0':
    'Manufacture of tobacco products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.12.00':
    'Manufacture of tobacco products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13': 'Manufacture of textiles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.1': 'Preparation and spinning of textile fibres',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.10': 'Preparation and spinning of textile fibres',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.2': 'Weaving of textiles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.20': 'Weaving of textiles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.3': 'Finishing of textiles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.30': 'Finishing of textiles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.9': 'Manufacture of other textiles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.91': 'Manufacture of knitted and crocheted fabrics',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.92': 'Manufacture of made-up textile articles, except apparel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.93': 'Manufacture of carpets and rugs',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.94': 'Manufacture of cordage, rope, twine and netting',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.95':
    'Manufacture of non-wovens and articles made from non-wovens, except apparel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.96': 'Manufacture of other technical and industrial textiles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.13.99': 'Manufacture of other textiles n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14': 'Manufacture of wearing apparel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.1': 'Manufacture of wearing apparel, except fur apparel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.11': 'Manufacture of leather clothes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.12': 'Manufacture of workwear',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.13': 'Manufacture of other outerwear',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.14': 'Manufacture of underwear',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.19': 'Manufacture of other wearing apparel and accessories',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.2': 'Manufacture of articles of fur',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.20': 'Manufacture of articles of fur',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.3': 'Manufacture of knitted and crocheted apparel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.31': 'Manufacture of knitted and crocheted hosiery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.14.39': 'Manufacture of other knitted and crocheted apparel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.15': 'Manufacture of leather and related products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.15.1':
    'Tanning and dressing of leather; manufacture of luggage, handbags, saddlery and harness; dressing and dyeing of fur',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.15.11': 'Tanning and dressing of leather; dressing and dyeing of fur',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.15.12': 'Manufacture of luggage, handbags and the like, saddlery and harness',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.15.2': 'Manufacture of footwear',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.15.20': 'Manufacture of footwear',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.16':
    'Manufacture of wood and of products of wood and cork, except furniture; manufacture of articles of straw and plaiting materials',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.16.1': 'Sawmilling and planing of wood',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.16.10': 'Sawmilling and planing of wood',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.16.2': 'Manufacture of products of wood, cork, straw and plaiting materials',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.16.21': 'Manufacture of veneer sheets and wood-based panels',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.16.22': 'Manufacture of assembled parquet floors',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.16.23': 'Manufacture of other builders\' carpentry and joinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.16.24': 'Manufacture of wooden containers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.16.29':
    'Manufacture of other products of wood; manufacture of articles of cork, straw and plaiting materials',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17': 'Manufacture of paper and paper products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17.1': 'Manufacture of pulp, paper and paperboard',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17.11': 'Manufacture of pulp',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17.12': 'Manufacture of paper and paperboard',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17.2': 'Manufacture of articles of paper and paperboard',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17.21':
    'Manufacture of corrugated paper and paperboard and of containers of paper and paperboard',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17.22': 'Manufacture of household and sanitary goods and of toilet requisites',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17.23': 'Manufacture of paper stationery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17.24': 'Manufacture of wallpaper',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.17.29': 'Manufacture of other articles of paper and paperboard',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.18': 'Printing and reproduction of recorded media',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.18.1': 'Printing and service activities related to printing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.18.11': 'Printing of newspapers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.18.12': 'Other printing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.18.13': 'Pre-press and pre-media services',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.18.14': 'Binding and related services',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.18.2': 'Reproduction of recorded media',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.18.20': 'Reproduction of recorded media',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.19': 'Manufacture of coke and refined petroleum products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.19.1': 'Manufacture of coke oven products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.19.10': 'Manufacture of coke oven products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.19.2': 'Manufacture of refined petroleum products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.19.20': 'Manufacture of refined petroleum products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20': 'Manufacture of chemicals and chemical products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.1':
    'Manufacture of basic chemicals, fertilisers and nitrogen compounds, plastics and synthetic rubber in primary forms',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.11': 'Manufacture of industrial gases',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.12': 'Manufacture of dyes and pigments',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.13': 'Manufacture of other inorganic basic chemicals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.14': 'Manufacture of other organic basic chemicals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.15': 'Manufacture of fertilisers and nitrogen compounds',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.16': 'Manufacture of plastics in primary forms',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.17': 'Manufacture of synthetic rubber in primary forms',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.2': 'Manufacture of pesticides and other agrochemical products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.20':
    'Manufacture of pesticides and other agrochemical products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.3':
    'Manufacture of paints, varnishes and similar coatings, printing ink and mastics',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.30':
    'Manufacture of paints, varnishes and similar coatings, printing ink and mastics',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.4':
    'Manufacture of soap and detergents, cleaning and polishing preparations, perfumes and toilet preparations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.41': 'Manufacture of soap and detergents, cleaning and polishing preparations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.42': 'Manufacture of perfumes and toilet preparations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.5': 'Manufacture of other chemical products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.51': 'Manufacture of explosives',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.52': 'Manufacture of glues',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.53': 'Manufacture of essential oils',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.59': 'Manufacture of other chemical products n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.6': 'Manufacture of man-made fibres',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.20.60': 'Manufacture of man-made fibres',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.21': 'Manufacture of basic pharmaceutical products and pharmaceutical preparations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.21.1': 'Manufacture of basic pharmaceutical products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.21.10': 'Manufacture of basic pharmaceutical products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.21.2': 'Manufacture of pharmaceutical preparations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.21.20': 'Manufacture of pharmaceutical preparations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.22': 'Manufacture of rubber and plastic products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.22.1': 'Manufacture of rubber products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.22.11':
    'Manufacture of rubber tyres and tubes; retreading and rebuilding of rubber tyres',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.22.19': 'Manufacture of other rubber products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.22.2': 'Manufacture of plastic products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.22.21': 'Manufacture of plastic plates, sheets, tubes and profiles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.22.22': 'Manufacture of plastic packing goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.22.23': 'Manufacture of builders’ ware of plastic',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.22.29': 'Manufacture of other plastic products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23': 'Manufacture of other non-metallic mineral products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.1': 'Manufacture of glass and glass products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.11': 'Manufacture of flat glass',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.12': 'Shaping and processing of flat glass',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.13': 'Manufacture of hollow glass',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.14': 'Manufacture of glass fibres',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.19': 'Manufacture and processing of other glass, including technical glassware',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.2': 'Manufacture of refractory products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.20': 'Manufacture of refractory products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.3': 'Manufacture of clay building materials',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.31': 'Manufacture of ceramic tiles and flags',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.32': 'Manufacture of bricks, tiles and construction products, in baked clay',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.4': 'Manufacture of other porcelain and ceramic products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.41': 'Manufacture of ceramic household and ornamental articles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.42': 'Manufacture of ceramic sanitary fixtures',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.43': 'Manufacture of ceramic insulators and insulating fittings',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.44': 'Manufacture of other technical ceramic products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.49': 'Manufacture of other ceramic products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.5': 'Manufacture of cement, lime and plaster',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.51': 'Manufacture of cement',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.52': 'Manufacture of lime and plaster',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.6': 'Manufacture of articles of concrete, cement and plaster',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.61': 'Manufacture of concrete products for construction purposes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.62': 'Manufacture of plaster products for construction purposes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.63': 'Manufacture of ready-mixed concrete',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.64': 'Manufacture of mortars',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.65': 'Manufacture of fibre cement',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.69': 'Manufacture of other articles of concrete, plaster and cement',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.7': 'Cutting, shaping and finishing of stone',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.70': 'Cutting, shaping and finishing of stone',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.9': 'Manufacture of abrasive products and non-metallic mineral products n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.91': 'Production of abrasive products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.23.99': 'Manufacture of other non-metallic mineral products n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24': 'Manufacture of basic metals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.1': 'Manufacture of basic iron and steel and of ferro-alloys',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.10': 'Manufacture of basic iron and steel and of ferro-alloys',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.2':
    'Manufacture of tubes, pipes, hollow profiles and related fittings, of steel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.20':
    'Manufacture of tubes, pipes, hollow profiles and related fittings, of steel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.3': 'Manufacture of other products of first processing of steel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.31': 'Cold drawing of bars',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.32': 'Cold rolling of narrow strip',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.33': 'Cold forming or folding',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.34': 'Cold drawing of wire',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.4': 'Manufacture of basic precious and other non-ferrous metals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.41': 'Precious metals production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.42': 'Aluminium production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.43': 'Lead, zinc and tin production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.44': 'Copper production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.45': 'Other non-ferrous metal production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.46': 'Processing of nuclear fuel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.5': 'Casting of metals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.51': 'Casting of iron',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.52': 'Casting of steel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.53': 'Casting of light metals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.24.54': 'Casting of other non-ferrous metals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25': 'Manufacture of fabricated metal products, except machinery and equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.1': 'Manufacture of structural metal products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.11': 'Manufacture of metal structures and parts of structures',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.12': 'Manufacture of doors and windows of metal',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.2': 'Manufacture of tanks, reservoirs and containers of metal',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.21': 'Manufacture of central heating radiators and boilers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.29': 'Manufacture of other tanks, reservoirs and containers of metal',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.3': 'Manufacture of steam generators, except central heating hot water boilers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.30': 'Manufacture of steam generators, except central heating hot water boilers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.4': 'Manufacture of weapons and ammunition',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.40': 'Manufacture of weapons and ammunition',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.5': 'Forging, pressing, stamping and roll-forming of metal; powder metallurgy',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.50': 'Forging, pressing, stamping and roll-forming of metal; powder metallurgy',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.6': 'Treatment and coating of metals; machining',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.61': 'Treatment and coating of metals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.62': 'Machining',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.7': 'Manufacture of cutlery, tools and general hardware',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.71': 'Manufacture of cutlery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.72': 'Manufacture of locks and hinges',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.73': 'Manufacture of tools',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.9': 'Manufacture of other fabricated metal products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.91': 'Manufacture of steel drums and similar containers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.92': 'Manufacture of light metal packaging',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.93': 'Manufacture of wire products, chain and springs',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.94': 'Manufacture of fasteners and screw machine products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.25.99': 'Manufacture of other fabricated metal products n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26': 'Manufacture of computer, electronic and optical products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.1': 'Manufacture of electronic components and boards',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.11': 'Manufacture of electronic components',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.12': 'Manufacture of loaded electronic boards',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.2': 'Manufacture of computers and peripheral equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.20': 'Manufacture of computers and peripheral equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.3': 'Manufacture of communication equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.30': 'Manufacture of communication equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.4': 'Manufacture of consumer electronics',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.40': 'Manufacture of consumer electronics',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.5':
    'Manufacture of instruments and appliances for measuring, testing and navigation; watches and clocks',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.51':
    'Manufacture of instruments and appliances for measuring, testing and navigation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.52': 'Manufacture of watches and clocks',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.6':
    'Manufacture of irradiation, electromedical and electrotherapeutic equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.60':
    'Manufacture of irradiation, electromedical and electrotherapeutic equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.7':
    'Manufacture of optical instruments and photographic equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.70': 'Manufacture of optical instruments and photographic equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.8': 'Manufacture of magnetic and optical media',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.26.80': 'Manufacture of magnetic and optical media',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27': 'Manufacture of electrical equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.1':
    'Manufacture of electric motors, generators, transformers and electricity distribution and control apparatus',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.11': 'Manufacture of electric motors, generators and transformers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.12': 'Manufacture of electricity distribution and control apparatus',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.2': 'Manufacture of batteries and accumulators',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.20': 'Manufacture of batteries and accumulators',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.3': 'Manufacture of wiring and wiring devices',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.31': 'Manufacture of fibre optic cables',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.32': 'Manufacture of other electronic and electric wires and cables',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.33': 'Manufacture of wiring devices',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.4': 'Manufacture of electric lighting equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.40': 'Manufacture of electric lighting equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.5': 'Manufacture of domestic appliances',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.51': 'Manufacture of electric domestic appliances',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.52': 'Manufacture of non-electric domestic appliances',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.9': 'Manufacture of other electrical equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.27.90': 'Manufacture of other electrical equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28': 'Manufacture of machinery and equipment n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.1': 'Manufacture of general-purpose machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.11':
    'Manufacture of engines and turbines, except aircraft, vehicle and cycle engines',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.12': 'Manufacture of fluid power equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.13': 'Manufacture of other pumps and compressors',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.14': 'Manufacture of other taps and valves',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.15': 'Manufacture of bearings, gears, gearing and driving elements',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.2': 'Manufacture of other general-purpose machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.21': 'Manufacture of ovens, furnaces and furnace burners',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.22': 'Manufacture of lifting and handling equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.23':
    'Manufacture of office machinery and equipment (except computers and peripheral equipment)',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.24': 'Manufacture of power-driven hand tools',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.25': 'Manufacture of non-domestic cooling and ventilation equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.29': 'Manufacture of other general-purpose machinery n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.3': 'Manufacture of agricultural and forestry machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.30': 'Manufacture of agricultural and forestry machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.4': 'Manufacture of metal forming machinery and machine tools',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.41': 'Manufacture of metal forming machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.49': 'Manufacture of other machine tools',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.9': 'Manufacture of other special-purpose machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.91': 'Manufacture of machinery for metallurgy',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.92': 'Manufacture of machinery for mining, quarrying and construction',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.93': 'Manufacture of machinery for food, beverage and tobacco processing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.94': 'Manufacture of machinery for textile, apparel and leather production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.95': 'Manufacture of machinery for paper and paperboard production',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.96': 'Manufacture of plastics and rubber machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.28.99': 'Manufacture of other special-purpose machinery n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.29': 'Manufacture of motor vehicles, trailers and semi-trailers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.29.1': 'Manufacture of motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.29.10': 'Manufacture of motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.29.2':
    'Manufacture of bodies (coachwork) for motor vehicles; manufacture of trailers and semi-trailers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.29.20':
    'Manufacture of bodies (coachwork) for motor vehicles; manufacture of trailers and semi-trailers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.29.3': 'Manufacture of parts and accessories for motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.29.31': 'Manufacture of electrical and electronic equipment for motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.29.32': 'Manufacture of other parts and accessories for motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30': 'Manufacture of other transport equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.1': 'Building of ships and boats',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.11': 'Building of ships and floating structures',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.12': 'Building of pleasure and sporting boats',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.2': 'Manufacture of railway locomotives and rolling stock',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.20': 'Manufacture of railway locomotives and rolling stock',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.3': 'Manufacture of air and spacecraft and related machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.30': 'Manufacture of air and spacecraft and related machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.4': 'Manufacture of military fighting vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.40': 'Manufacture of military fighting vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.9': 'Manufacture of transport equipment n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.91': 'Manufacture of motorcycles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.92': 'Manufacture of bicycles and invalid carriages',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.30.99': 'Manufacture of other transport equipment n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.31': 'Manufacture of furniture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.31.0': 'Manufacture of furniture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.31.01': 'Manufacture of office and shop furniture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.31.02': 'Manufacture of kitchen furniture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.31.03': 'Manufacture of mattresses',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.31.09': 'Manufacture of other furniture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32': 'Other manufacturing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.1': 'Manufacture of jewellery, bijouterie and related articles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.11': 'Striking of coins',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.12': 'Manufacture of jewellery and related articles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.13': 'Manufacture of imitation jewellery and related articles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.2': 'Manufacture of musical instruments',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.20': 'Manufacture of musical instruments',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.3': 'Manufacture of sports goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.30': 'Manufacture of sports goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.4': 'Manufacture of games and toys',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.40': 'Manufacture of games and toys',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.5': 'Manufacture of medical and dental instruments and supplies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.50': 'Manufacture of medical and dental instruments and supplies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.9': 'Manufacturing n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.91': 'Manufacture of brooms and brushes',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.32.99': 'Other manufacturing n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33': 'Repair and installation of machinery and equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.1': 'Repair of fabricated metal products, machinery and equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.11': 'Repair of fabricated metal products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.12': 'Repair of machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.13': 'Repair of electronic and optical equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.14': 'Repair of electrical equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.15': 'Repair and maintenance of ships and boats',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.16': 'Repair and maintenance of aircraft and spacecraft',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.17': 'Repair and maintenance of other transport equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.19': 'Repair of other equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.2': 'Installation of industrial machinery and equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.33.20': 'Installation of industrial machinery and equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35': 'Electricity, gas, steam and air conditioning supply',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.1': 'Electric power generation, transmission and distribution',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.11': 'Production of electricity',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.12': 'Transmission of electricity',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.13': 'Distribution of electricity',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.14': 'Trade of electricity',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.2': 'Manufacture of gas; distribution of gaseous fuels through mains',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.21': 'Manufacture of gas',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.22': 'Distribution of gaseous fuels through mains',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.23': 'Trade of gas through mains',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.3': 'Steam and air conditioning supply',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.35.30': 'Steam and air conditioning supply',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.36': 'Water collection, treatment and supply',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.36.0': 'Water collection, treatment and supply',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.36.00': 'Water collection, treatment and supply',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.37': 'Sewerage',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.37.0': 'Sewerage',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.37.00': 'Sewerage',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38': 'Waste collection, treatment and disposal activities; materials recovery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38.1': 'Waste collection',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38.11': 'Collection of non-hazardous waste',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38.12': 'Collection of hazardous waste',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38.2': 'Waste treatment and disposal',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38.21': 'Treatment and disposal of non-hazardous waste',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38.22': 'Treatment and disposal of hazardous waste',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38.3': 'Materials recovery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38.31': 'Dismantling of wrecks',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.38.32': 'Recovery of sorted materials',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.39': 'Remediation activities and other waste management services',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.39.0': 'Remediation activities and other waste management services',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.39.00': 'Remediation activities and other waste management services',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.41': 'Construction of buildings',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.41.1': 'Development of building projects',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.41.10': 'Development of building projects',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.41.2': 'Construction of residential and non-residential buildings',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.41.20': 'Construction of residential and non-residential buildings',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42': 'Civil engineering',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.1': 'Construction of roads and railways',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.11': 'Construction of roads and motorways',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.12': 'Construction of railways and underground railways',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.13': 'Construction of bridges and tunnels',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.2': 'Construction of utility projects',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.21': 'Construction of utility projects for fluids',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.22': 'Construction of utility projects for electricity and telecommunications',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.9': 'Construction of other civil engineering projects',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.91': 'Construction of water projects',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.42.99': 'Construction of other civil engineering projects n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43': 'Specialised construction activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.1': 'Demolition and site preparation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.11': 'Demolition',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.12': 'Site preparation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.13': 'Test drilling and boring',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.2': 'Electrical, plumbing and other construction installation activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.21': 'Electrical installation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.22': 'Plumbing, heat and air-conditioning installation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.29': 'Other construction installation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.3': 'Building completion and finishing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.31': 'Plastering',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.32': 'Joinery installation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.33': 'Floor and wall covering',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.34': 'Painting and glazing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.39': 'Other building completion and finishing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.9': 'Other specialised construction activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.91': 'Roofing activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.43.99': 'Other specialised construction activities n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45': 'Wholesale and retail trade and repair of motor vehicles and motorcycles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.1': 'Sale of motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.11': 'Sale of cars and light motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.19': 'Sale of other motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.2': 'Maintenance and repair of motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.20': 'Maintenance and repair of motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.3': 'Sale of motor vehicle parts and accessories',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.31': 'Wholesale trade of motor vehicle parts and accessories',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.32': 'Retail trade of motor vehicle parts and accessories',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.4':
    'Sale, maintenance and repair of motorcycles and related parts and accessories',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.45.40':
    'Sale, maintenance and repair of motorcycles and related parts and accessories',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46': 'Wholesale trade, except of motor vehicles and motorcycles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.1': 'Wholesale on a fee or contract basis',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.11':
    'Agents involved in the sale of agricultural raw materials, live animals, textile raw materials and semi-finished goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.12':
    'Agents involved in the sale of fuels, ores, metals and industrial chemicals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.13':
    'Agents involved in the sale of timber and building materials',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.14':
    'Agents involved in the sale of machinery, industrial equipment, ships and aircraft',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.15':
    'Agents involved in the sale of furniture, household goods, hardware and ironmongery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.16':
    'Agents involved in the sale of textiles, clothing, fur, footwear and leather goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.17': 'Agents involved in the sale of food, beverages and tobacco',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.18': 'Agents specialised in the sale of other particular products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.19': 'Agents involved in the sale of a variety of goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.2': 'Wholesale of agricultural raw materials and live animals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.21': 'Wholesale of grain, unmanufactured tobacco, seeds and animal feeds',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.22': 'Wholesale of flowers and plants',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.23': 'Wholesale of live animals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.24': 'Wholesale of hides, skins and leather',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.3': 'Wholesale of food, beverages and tobacco',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.31': 'Wholesale of fruit and vegetables',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.32': 'Wholesale of meat and meat products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.33': 'Wholesale of dairy products, eggs and edible oils and fats',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.34': 'Wholesale of beverages',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.35': 'Wholesale of tobacco products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.36': 'Wholesale of sugar and chocolate and sugar confectionery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.37': 'Wholesale of coffee, tea, cocoa and spices',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.38': 'Wholesale of other food, including fish, crustaceans and molluscs',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.39': 'Non-specialised wholesale of food, beverages and tobacco',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.4': 'Wholesale of household goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.41': 'Wholesale of textiles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.42': 'Wholesale of clothing and footwear',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.43': 'Wholesale of electrical household appliances',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.44': 'Wholesale of china and glassware and cleaning materials',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.45': 'Wholesale of perfume and cosmetics',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.46': 'Wholesale of pharmaceutical goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.47': 'Wholesale of furniture, carpets and lighting equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.48': 'Wholesale of watches and jewellery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.49': 'Wholesale of other household goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.5': 'Wholesale of information and communication equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.51': 'Wholesale of computers, computer peripheral equipment and software',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.52': 'Wholesale of electronic and telecommunications equipment and parts',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.6': 'Wholesale of other machinery, equipment and supplies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.61': 'Wholesale of agricultural machinery, equipment and supplies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.62': 'Wholesale of machine tools',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.63': 'Wholesale of mining, construction and civil engineering machinery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.64':
    'Wholesale of machinery for the textile industry and of sewing and knitting machines',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.65': 'Wholesale of office furniture',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.66': 'Wholesale of other office machinery and equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.69': 'Wholesale of other machinery and equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.7': 'Other specialised wholesale',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.71': 'Wholesale of solid, liquid and gaseous fuels and related products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.72': 'Wholesale of metals and metal ores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.73': 'Wholesale of wood, construction materials and sanitary equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.74': 'Wholesale of hardware, plumbing and heating equipment and supplies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.75': 'Wholesale of chemical products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.76': 'Wholesale of other intermediate products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.77': 'Wholesale of waste and scrap',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.9': 'Non-specialised wholesale trade',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.46.90': 'Non-specialised wholesale trade',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47': 'Retail trade, except of motor vehicles and motorcycles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.1': 'Retail sale in non-specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.11':
    'Retail sale in non-specialised stores with food, beverages or tobacco predominating',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.19': 'Other retail sale in non-specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.2': 'Retail sale of food, beverages and tobacco in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.21': 'Retail sale of fruit and vegetables in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.22': 'Retail sale of meat and meat products in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.23': 'Retail sale of fish, crustaceans and molluscs in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.24':
    'Retail sale of bread, cakes, flour confectionery and sugar confectionery in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.25': 'Retail sale of beverages in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.26': 'Retail sale of tobacco products in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.29': 'Other retail sale of food in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.3': 'Retail sale of automotive fuel in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.30': 'Retail sale of automotive fuel in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.4':
    'Retail sale of information and communication equipment in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.41':
    'Retail sale of computers, peripheral units and software in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.42':
    'Retail sale of telecommunications equipment in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.43': 'Retail sale of audio and video equipment in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.5': 'Retail sale of other household equipment in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.51': 'Retail sale of textiles in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.52': 'Retail sale of hardware, paints and glass in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.53':
    'Retail sale of carpets, rugs, wall and floor coverings in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.54': 'Retail sale of electrical household appliances in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.59':
    'Retail sale of furniture, lighting equipment and other household articles in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.6': 'Retail sale of cultural and recreation goods in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.61': 'Retail sale of books in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.62': 'Retail sale of newspapers and stationery in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.63': 'Retail sale of music and video recordings in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.64': 'Retail sale of sporting equipment in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.65': 'Retail sale of games and toys in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.7': 'Retail sale of other goods in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.71': 'Retail sale of clothing in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.72': 'Retail sale of footwear and leather goods in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.73': 'Dispensing chemist in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.74': 'Retail sale of medical and orthopaedic goods in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.75':
    'Retail sale of cosmetic and toilet articles in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.76':
    'Retail sale of flowers, plants, seeds, fertilisers, pet animals and pet food in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.77': 'Retail sale of watches and jewellery in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.78': 'Other retail sale of new goods in specialised stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.79': 'Retail sale of second-hand goods in stores',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.8': 'Retail sale via stalls and markets',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.81': 'Retail sale via stalls and markets of food, beverages and tobacco products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.82': 'Retail sale via stalls and markets of textiles, clothing and footwear',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.89': 'Retail sale via stalls and markets of other goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.9': 'Retail trade not in stores, stalls or markets',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.91': 'Retail sale via mail order houses or via Internet',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.47.99': 'Other retail sale not in stores, stalls or markets',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49': 'Land transport and transport via pipelines',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.1': 'Passenger rail transport, interurban',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.10': 'Passenger rail transport, interurban',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.2': 'Freight rail transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.20': 'Freight rail transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.3': 'Other passenger land transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.31': 'Urban and suburban passenger land transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.32': 'Taxi operation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.39': 'Other passenger land transport n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.4': 'Freight transport by road and removal services',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.41': 'Freight transport by road',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.42': 'Removal services',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.5': 'Transport via pipeline',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.49.50': 'Transport via pipeline',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.50': 'Water transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.50.1': 'Sea and coastal passenger water transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.50.10': 'Sea and coastal passenger water transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.50.2': 'Sea and coastal freight water transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.50.20': 'Sea and coastal freight water transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.50.3': 'Inland passenger water transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.50.30': 'Inland passenger water transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.50.4': 'Inland freight water transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.50.40': 'Inland freight water transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.51': 'Air transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.51.1': 'Passenger air transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.51.10': 'Passenger air transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.51.2': 'Freight air transport and space transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.51.21': 'Freight air transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.51.22': 'Space transport',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.52': 'Warehousing and support activities for transportation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.52.1': 'Warehousing and storage',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.52.10': 'Warehousing and storage',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.52.2': 'Support activities for transportation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.52.21': 'Service activities incidental to land transportation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.52.22': 'Service activities incidental to water transportation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.52.23': 'Service activities incidental to air transportation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.52.24': 'Cargo handling',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.52.29': 'Other transportation support activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.53': 'Postal and courier activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.53.1': 'Postal activities under universal service obligation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.53.10': 'Postal activities under universal service obligation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.53.2': 'Other postal and courier activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.53.20': 'Other postal and courier activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.55': 'Accommodation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.55.1': 'Hotels and similar accommodation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.55.10': 'Hotels and similar accommodation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.55.2': 'Holiday and other short-stay accommodation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.55.20': 'Holiday and other short-stay accommodation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.55.3': 'Camping grounds, recreational vehicle parks and trailer parks',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.55.30': 'Camping grounds, recreational vehicle parks and trailer parks',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.55.9': 'Other accommodation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.55.90': 'Other accommodation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.56': 'Food and beverage service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.56.1': 'Restaurants and mobile food service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.56.10': 'Restaurants and mobile food service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.56.2': 'Event catering and other food service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.56.21': 'Event catering activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.56.29': 'Other food service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.56.3': 'Beverage serving activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.56.30': 'Beverage serving activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58': 'Publishing activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58.1': 'Publishing of books, periodicals and other publishing activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58.11': 'Book publishing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58.12': 'Publishing of directories and mailing lists',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58.13': 'Publishing of newspapers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58.14': 'Publishing of journals and periodicals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58.19': 'Other publishing activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58.2': 'Software publishing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58.21': 'Publishing of computer games',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.58.29': 'Other software publishing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.59':
    'Motion picture, video and television programme production, sound recording and music publishing activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.59.1': 'Motion picture, video and television programme activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.59.11': 'Motion picture, video and television programme production activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.59.12': 'Motion picture, video and television programme post-production activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.59.13': 'Motion picture, video and television programme distribution activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.59.14': 'Motion picture projection activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.59.2': 'Sound recording and music publishing activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.59.20': 'Sound recording and music publishing activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.60': 'Programming and broadcasting activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.60.1': 'Radio broadcasting',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.60.10': 'Radio broadcasting',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.60.2': 'Television programming and broadcasting activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.60.20': 'Television programming and broadcasting activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.61': 'Telecommunications',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.61.1': 'Wired telecommunications activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.61.10': 'Wired telecommunications activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.61.2': 'Wireless telecommunications activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.61.20': 'Wireless telecommunications activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.61.3': 'Satellite telecommunications activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.61.30': 'Satellite telecommunications activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.61.9': 'Other telecommunications activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.61.90': 'Other telecommunications activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.62': 'Computer programming, consultancy and related activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.62.0': 'Computer programming, consultancy and related activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.62.01': 'Computer programming activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.62.02': 'Computer consultancy activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.62.03': 'Computer facilities management activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.62.09': 'Other information technology and computer service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.63': 'Information service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.63.1': 'Data processing, hosting and related activities; web portals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.63.11': 'Data processing, hosting and related activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.63.12': 'Web portals',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.63.9': 'Other information service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.63.91': 'News agency activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.63.99': 'Other information service activities n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64': 'Financial service activities, except insurance and pension funding',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.1': 'Monetary intermediation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.11': 'Central banking',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.19': 'Other monetary intermediation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.2': 'Activities of holding companies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.20': 'Activities of holding companies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.3': 'Trusts, funds and similar financial entities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.30': 'Trusts, funds and similar financial entities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.9': 'Other financial service activities, except insurance and pension funding',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.91': 'Financial leasing',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.92': 'Other credit granting',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.64.99':
    'Other financial service activities, except insurance and pension funding n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.65':
    'Insurance, reinsurance and pension funding, except compulsory social security',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.65.1': 'Insurance',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.65.11': 'Life insurance',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.65.12': 'Non-life insurance',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.65.2': 'Reinsurance',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.65.20': 'Reinsurance',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.65.3': 'Pension funding',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.65.30': 'Pension funding',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66': 'Activities auxiliary to financial services and insurance activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.1':
    'Activities auxiliary to financial services, except insurance and pension funding',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.11': 'Administration of financial markets',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.12': 'Security and commodity contracts brokerage',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.19':
    'Other activities auxiliary to financial services, except insurance and pension funding',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.2': 'Activities auxiliary to insurance and pension funding',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.21': 'Risk and damage evaluation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.22': 'Activities of insurance agents and brokers',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.29': 'Other activities auxiliary to insurance and pension funding',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.3': 'Fund management activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.66.30': 'Fund management activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.68': 'Real estate activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.68.1': 'Buying and selling of own real estate',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.68.10': 'Buying and selling of own real estate',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.68.2': 'Rental and operating of own or leased real estate',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.68.20': 'Rental and operating of own or leased real estate',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.68.3': 'Real estate activities on a fee or contract basis',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.68.31': 'Real estate agencies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.68.32': 'Management of real estate on a fee or contract basis',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.69': 'Legal and accounting activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.69.1': 'Legal activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.69.10': 'Legal activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.69.2': 'Accounting, bookkeeping and auditing activities; tax consultancy',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.69.20': 'Accounting, bookkeeping and auditing activities; tax consultancy',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.70': 'Activities of head offices; management consultancy activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.70.1': 'Activities of head offices',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.70.10': 'Activities of head offices',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.70.2': 'Management consultancy activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.70.21': 'Public relations and communication activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.70.22': 'Business and other management consultancy activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.71': 'Architectural and engineering activities; technical testing and analysis',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.71.1': 'Architectural and engineering activities and related technical consultancy',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.71.11': 'Architectural activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.71.12': 'Engineering activities and related technical consultancy',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.71.2': 'Technical testing and analysis',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.71.20': 'Technical testing and analysis',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.72': 'Scientific research and development',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.72.1':
    'Research and experimental development on natural sciences and engineering',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.72.11': 'Research and experimental development on biotechnology',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.72.19':
    'Other research and experimental development on natural sciences and engineering',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.72.2':
    'Research and experimental development on social sciences and humanities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.72.20': 'Research and experimental development on social sciences and humanities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.73': 'Advertising and market research',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.73.1': 'Advertising',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.73.11': 'Advertising agencies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.73.12': 'Media representation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.73.2': 'Market research and public opinion polling',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.73.20': 'Market research and public opinion polling',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.74': 'Other professional, scientific and technical activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.74.1': 'Specialised design activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.74.10': 'Specialised design activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.74.2': 'Photographic activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.74.20': 'Photographic activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.74.3': 'Translation and interpretation activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.74.30': 'Translation and interpretation activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.74.9': 'Other professional, scientific and technical activities n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.74.90': 'Other professional, scientific and technical activities n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.75': 'Veterinary activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.75.0': 'Veterinary activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.75.00': 'Veterinary activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77': 'Rental and leasing activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.1': 'Rental and leasing of motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.11': 'Rental and leasing of cars and light motor vehicles',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.12': 'Rental and leasing of trucks',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.2': 'Rental and leasing of personal and household goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.21': 'Rental and leasing of recreational and sports goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.22': 'Rental of video tapes and disks',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.29': 'Rental and leasing of other personal and household goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.3': 'Rental and leasing of other machinery, equipment and tangible goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.31': 'Rental and leasing of agricultural machinery and equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.32':
    'Rental and leasing of construction and civil engineering machinery and equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.33':
    'Rental and leasing of office machinery and equipment (including computers)',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.34': 'Rental and leasing of water transport equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.35': 'Rental and leasing of air transport equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.39': 'Rental and leasing of other machinery, equipment and tangible goods n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.4':
    'Leasing of intellectual property and similar products, except copyrighted works',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.77.40':
    'Leasing of intellectual property and similar products, except copyrighted works',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.78': 'Employment activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.78.1': 'Activities of employment placement agencies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.78.10': 'Activities of employment placement agencies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.78.2': 'Temporary employment agency activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.78.20': 'Temporary employment agency activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.78.3': 'Other human resources provision',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.78.30': 'Other human resources provision',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.79':
    'Travel agency, tour operator and other reservation service and related activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.79.1': 'Travel agency and tour operator activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.79.11': 'Travel agency activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.79.12': 'Tour operator activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.79.9': 'Other reservation service and related activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.79.90': 'Other reservation service and related activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.80': 'Security and investigation activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.80.1': 'Private security activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.80.10': 'Private security activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.80.2': 'Security systems service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.80.20': 'Security systems service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.80.3': 'Investigation activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.80.30': 'Investigation activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.81': 'Services to buildings and landscape activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.81.1': 'Combined facilities support activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.81.10': 'Combined facilities support activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.81.2': 'Cleaning activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.81.21': 'General cleaning of buildings',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.81.22': 'Other building and industrial cleaning activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.81.29': 'Other cleaning activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.81.3': 'Landscape service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.81.30': 'Landscape service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82': 'Office administrative, office support and other business support activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.1': 'Office administrative and support activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.11':
    'Combined office administrative service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.19':
    'Photocopying, document preparation and other specialised office support activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.2': 'Activities of call centres',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.20': 'Activities of call centres',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.3': 'Organisation of conventions and trade shows',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.30': 'Organisation of conventions and trade shows',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.9': 'Business support service activities n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.91': 'Activities of collection agencies and credit bureaus',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.92': 'Packaging activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.82.99': 'Other business support service activities n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84': 'Public administration and defence; compulsory social security',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.1':
    'Administration of the State and the economic and social policy of the community',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.11':
    'General public administration activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.12':
    'Regulation of the activities of providing health care, education, cultural services and ' +
    'other social services, excluding social security',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.13': 'Regulation of and contribution to more efficient operation of businesses',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.2': 'Provision of services to the community as a whole',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.21': 'Foreign affairs',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.22': 'Defence activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.23': 'Justice and judicial activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.24': 'Public order and safety activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.25': 'Fire service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.3': 'Compulsory social security activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.84.30': 'Compulsory social security activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85': 'Education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.1': 'Pre-primary education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.10': 'Pre-primary education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.2': 'Primary education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.20': 'Primary education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.3': 'Secondary education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.31': 'General secondary education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.32': 'Technical and vocational secondary education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.4': 'Higher education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.41': 'Post-secondary non-tertiary education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.42': 'Tertiary education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.5': 'Other education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.51': 'Sports and recreation education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.52': 'Cultural education',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.53': 'Driving school activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.59': 'Other education n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.6': 'Educational support activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.85.60': 'Educational support activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.86': 'Human health activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.86.1': 'Hospital activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.86.10': 'Hospital activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.86.2': 'Medical and dental practice activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.86.21': 'General medical practice activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.86.22': 'Specialist medical practice activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.86.23': 'Dental practice activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.86.9': 'Other human health activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.86.90': 'Other human health activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.87': 'Residential care activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.87.1': 'Residential nursing care activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.87.10': 'Residential nursing care activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.87.2':
    'Residential care activities for mental retardation, mental health and substance abuse',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.87.20':
    'Residential care activities for mental retardation, mental health and substance abuse',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.87.3': 'Residential care activities for the elderly and disabled',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.87.30': 'Residential care activities for the elderly and disabled',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.87.9': 'Other residential care activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.87.90': 'Other residential care activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.88': 'Social work activities without accommodation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.88.1': 'Social work activities without accommodation for the elderly and disabled',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.88.10': 'Social work activities without accommodation for the elderly and disabled',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.88.9': 'Other social work activities without accommodation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.88.91': 'Child day-care activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.88.99': 'Other social work activities without accommodation n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.90': 'Creative, arts and entertainment activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.90.0': 'Creative, arts and entertainment activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.90.01': 'Performing arts',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.90.02': 'Support activities to performing arts',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.90.03': 'Artistic creation',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.90.04': 'Operation of arts facilities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.91': 'Libraries, archives, museums and other cultural activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.91.0': 'Libraries, archives, museums and other cultural activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.91.01': 'Library and archives activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.91.02': 'Museums activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.91.03':
    'Operation of historical sites and buildings and similar visitor attractions',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.91.04': 'Botanical and zoological gardens and nature reserves activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.92': 'Gambling and betting activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.92.0': 'Gambling and betting activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.92.00': 'Gambling and betting activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.93': 'Sports activities and amusement and recreation activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.93.1': 'Sports activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.93.11': 'Operation of sports facilities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.93.12': 'Activities of sports clubs',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.93.13': 'Fitness facilities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.93.19': 'Other sports activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.93.2': 'Amusement and recreation activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.93.21': 'Activities of amusement parks and theme parks',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.93.29': 'Other amusement and recreation activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94': 'Activities of membership organisations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94.1': 'Activities of business, employers and professional membership organisations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94.11': 'Activities of business and employers membership organisations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94.12': 'Activities of professional membership organisations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94.2': 'Activities of trade unions',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94.20': 'Activities of trade unions',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94.9': 'Activities of other membership organisations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94.91': 'Activities of religious organisations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94.92': 'Activities of political organisations',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.94.99': 'Activities of other membership organisations n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95': 'Repair of computers and personal and household goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.1': 'Repair of computers and communication equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.11': 'Repair of computers and peripheral equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.12': 'Repair of communication equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.2': 'Repair of personal and household goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.21': 'Repair of consumer electronics',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.22': 'Repair of household appliances and home and garden equipment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.23': 'Repair of footwear and leather goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.24': 'Repair of furniture and home furnishings',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.25': 'Repair of watches, clocks and jewellery',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.95.29': 'Repair of other personal and household goods',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.96': 'Other personal service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.96.0': 'Other personal service activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.96.01': 'Washing and (dry-)cleaning of textile and fur products',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.96.02': 'Hairdressing and other beauty treatment',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.96.03': 'Funeral and related activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.96.04': 'Physical well-being activities',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.96.09': 'Other personal service activities n.e.c.',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.97': 'Activities of households as employers of domestic personnel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.97.0': 'Activities of households as employers of domestic personnel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.97.00': 'Activities of households as employers of domestic personnel',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.98':
    'Undifferentiated goods- and services-producing activities of private households for own use',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.98.1':
    'Undifferentiated goods-producing activities of private households for own use',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.98.10':
    'Undifferentiated goods-producing activities of private households for own use',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.98.2':
    'Undifferentiated service-producing activities of private households for own use',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.98.20':
    'Undifferentiated service-producing activities of private households for own use',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.99': 'Activities of extraterritorial organisations and bodies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.99.0': 'Activities of extraterritorial organisations and bodies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.99.00': 'Activities of extraterritorial organisations and bodies',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.A': 'AGRICULTURE, FORESTRY AND FISHING',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.B': 'MINING AND QUARRYING',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.C': 'MANUFACTURING',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.D': 'ELECTRICITY, GAS, STEAM AND AIR CONDITIONING SUPPLY',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.E': 'WATER SUPPLY; SEWERAGE, WASTE MANAGEMENT AND REMEDIATION ACTIVITIES',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.F': 'CONSTRUCTION',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.G': 'WHOLESALE AND RETAIL TRADE; REPAIR OF MOTOR VEHICLES AND MOTORCYCLES',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.H': 'TRANSPORTATION AND STORAGE',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.I': 'ACCOMMODATION AND FOOD SERVICE ACTIVITIES',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.J': 'INFORMATION AND COMMUNICATION',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.K': 'FINANCIAL AND INSURANCE ACTIVITIES',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.L': 'REAL ESTATE ACTIVITIES',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.M': 'PROFESSIONAL, SCIENTIFIC AND TECHNICAL ACTIVITIES',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.N': 'ADMINISTRATIVE AND SUPPORT SERVICE ACTIVITIES',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.O': 'PUBLIC ADMINISTRATION AND DEFENCE; COMPULSORY SOCIAL SECURITY',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.P': 'EDUCATION',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.Q': 'HUMAN HEALTH AND SOCIAL WORK ACTIVITIES',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.R': 'ARTS, ENTERTAINMENT AND RECREATION',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.S': 'OTHER SERVICE ACTIVITIES',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.T':
    'ACTIVITIES OF HOUSEHOLDS AS EMPLOYERS; U0NDIFFERENTIATED GOODS- AND SERVICES-PRODUCING ACTIVITIES OF HOUSEHOLDS FOR OWN USE',
  'http://data.europa.eu/esco/ConceptScheme/NACErev2/c.U': 'ACTIVITIES OF EXTRATERRITORIAL ORGANISATIONS AND BODIES'
};
