import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {CoursesViewComponent} from './components/courses-view/courses-view.component';
import {RestCallService} from './service/rest-call.service';
import {ElasticSearchService} from './service/elastic-search.service';
import {FormsModule} from '@angular/forms';
import {CourseCardComponent} from './components/shared/course-card/course-card.component';
import {SharedModule} from '../shared.module';
import {RecommendedCoursesComponent} from './components/recommended-courses/recommended-courses.component';
import {PaginationComponent} from './components/courses-view/pagination/pagination.component';
import {CourseFieldComponent} from './components/shared/course-card/course-field/course-field.component';
import {Select2Component} from './components/courses-view/course-filter/select2/select2.component';
import {CourseFilterComponent} from './components/courses-view/course-filter/course-filter.component';
import {TextSearchComponent} from './components/courses-view/text-search/text-search.component';
import {FilterTagsComponent} from './components/courses-view/filter-tags/filter-tags.component';
import {EmailSelectComponent} from './components/shared/email/email-select/email-select.component';
import {SelectedCoursesComponent} from './components/shared/email/selected-courses/selected-courses.component';
import {ShortenTextPipe} from './pipes/shorten-text.pipe';
import {EmailComponent} from './components/shared/email/email.component';
import {RecommendationComponent} from './components/recommended-courses/recommendation/recommendation.component';
import {DefaultSpinnerComponent} from './components/default-spinner/default-spinner.component';
import {TemplateRendererDirective} from './directive/template-renderer.directive';
import {RecommendationLabelsService} from './components/recommended-courses/service/recommendation-labels.service';
import {RecommendationCoursesService} from './components/recommended-courses/service/recommendation-courses.service';
import { TagComponent } from './components/shared/tag/tag.component';


@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    SharedModule
  ],
  exports: [
    CoursesViewComponent
  ],
  declarations: [CoursesViewComponent,
    CourseCardComponent, RecommendedCoursesComponent,
    PaginationComponent, CourseFieldComponent, Select2Component,
    CourseFilterComponent, TextSearchComponent, FilterTagsComponent,
    EmailSelectComponent, ShortenTextPipe,
    SelectedCoursesComponent,
    EmailComponent, RecommendationComponent, DefaultSpinnerComponent, TemplateRendererDirective, TagComponent],
  providers: [RestCallService, ElasticSearchService, RecommendationCoursesService, RecommendationLabelsService]
})
export class MoocModule {
}
