import {Pipe, PipeTransform} from '@angular/core';

@Pipe({
  name: 'shortenText'
})
export class ShortenTextPipe implements PipeTransform {

  transform (value: any, limit: number): string {
    if (value && value.length > limit) {
      const shortened = value.substr(0, limit);
      const trimmed = shortened.substr(0, Math.min(shortened.length, shortened.lastIndexOf(' '))) + '...';
      return trimmed;
    }
    return value;
  }

}
