import {Injectable} from '@angular/core';
import {Http, Response} from '@angular/http';
import {Observable} from 'rxjs/Observable';
import {RestCall} from './rest-call';
import {Preconditions} from '../util/preconditions';

@Injectable()
export class RestCallService {

  constructor(public http: Http) {}

  public get(call: RestCall): Observable<Response> {
    Preconditions.checkNotNull(call);
    return this.http.get(call.url, {headers: call.headers, search: call.parameters});
  }

  public post(call: RestCall): Observable<Response> {
    Preconditions.checkNotNull(call);
    return this.http.post(call.url,  call.body, {headers: call.headers, search: call.parameters});
  }
}
