import {AbstractFilter} from './abstract-filter';
import {ElasticQueryJson} from '../elastic-query-json';

export class MatchFilter extends AbstractFilter {

  boost: number;

  constructor (queryKey: string, value?: any, filterKey?: string, boost = 1) {

    super(null, queryKey, value, filterKey);

    this.boost = boost;
  }

  public addFilterToQuery (query: ElasticQueryJson): void {
    if (this.isActive()) {
      query.query.bool.should.push(this.toElasticFilter());

    }

  }

  protected toElasticFilter() {
    const inner = {query: this.getValue(), fuzziness: 'auto', boost: this.boost};
    const outer = {match : {}};
    outer.match[this.getQueryKey()] = inner;
    return outer;
  }

  public valueIsArray() {
    return false;
  }

}
