import {AbstractFilter} from './abstract-filter';
import {ElasticQueryJson} from '../elastic-query-json';

export class TermFilter extends AbstractFilter {

  public addFilterToQuery (query: ElasticQueryJson): void {
    if (this.isActive()) {
      query.query.bool.filter.push(this.toElasticFilter());
    }
  }

  private toElasticFilter() {
    const inner = {};
    inner[this.getQueryKey() + '.keyword'] = this.getValue();
    const outer = {};
    outer['term'] = inner;
    return outer;
  }

 public valueIsArray() {
    return false;
  }
}

