import {Injectable} from '@angular/core';
import {Http, ConnectionBackend, RequestOptions, Request, RequestOptionsArgs, Response} from '@angular/http';
import {Observable} from 'rxjs';
import {AuthService} from '../service/security/auth.service';
import {AuthStateService} from '../service/security/auth-state.service';

@Injectable()
export class CustomHttp extends Http {

  constructor(backend: ConnectionBackend,
              defaultOptions: RequestOptions,
              private authStateService: AuthStateService) {
    super(backend, defaultOptions);
  }


  request(url: string|Request, options?: RequestOptionsArgs): Observable<Response> {
    return super.request(url, options).catch(error => {

      if (error.status === 401) {
        this.authStateService.authenticated = false;
      }

      return Observable.throw(error);
    });
  }
}
