import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';
import {Attachment} from './attachment';
import {Http, Headers, RequestOptions} from '@angular/http';

@Injectable()
export class AttachmentService {

  private attachmentUrl = 'api/attachment';

  constructor(private http: Http) { }

  save(file: File): Observable<Attachment> {

    let formData = new FormData();
    formData.append('file', file);

    let headers = new Headers({}); // this will default to multipart/form-data with boundary
    let requestOptions = new RequestOptions({headers: headers});

    return this.http.post(this.attachmentUrl, formData, requestOptions)
      .map(response => <Attachment>response.json());
  }

  saveBlob(blob: Blob): Observable<Attachment> {

    let formData = new FormData();
    formData.append('file', blob, 'blob.jpg');

    let headers = new Headers({}); // this will default to multipart/form-data with boundary
    let requestOptions = new RequestOptions({headers: headers});

    return this.http.post(this.attachmentUrl, formData, requestOptions)
      .map(response => <Attachment>response.json());
  }

}
