import {Injectable} from '@angular/core';
import {Headers, Http, URLSearchParams} from '@angular/http';
import './../../rxjs-extensions';
import {Observable} from 'rxjs';

@Injectable()
export class EscoService {

  private headers = new Headers({'Content-Type': 'application/json'});

  constructor(private http: Http) { }

  getEscoById(id, classification, primaryLanguage: string, secondaryLanguage: string): Observable<any> {
    let url = window['escoApiEndpoint'] + '/resource';
    if (classification) {
      url += '/' + classification.toLowerCase();
    }
    let params: URLSearchParams = new URLSearchParams();
    params.set('uri', id);

    return this.http.get(url, { search: params })
      .map(response => response.json());
  }

}
