import {Injectable} from '@angular/core';
import {Headers, Http} from '@angular/http';
import './../../rxjs-extensions';
import {Observable} from 'rxjs';
import {TranslateService} from '../translate/translate.service';

@Injectable()
export class ReportService {

  private reportUrl = 'api/report/sendMail';

  constructor(private http: Http,
              public translate: TranslateService) { }

  sendMail(typeOfRequest: string, page: string, message: string, attachments: string[], contactEmail: string): Observable<boolean> {
    let data = {
      'typeOfRequest': typeOfRequest,
      'page': page,
      'primaryLanguage': this.translate.getPrimaryLanguage(),
      'secondaryLanguage': this.translate.getSecondaryLanguage(),
      'date': new Date().toLocaleString(),
      'message': message,
      'attachments': attachments,
      'contactEmail': contactEmail
    };

    let headers = new Headers({
      'Content-Type': 'application/json'
    });

    return this.http.post(this.reportUrl, JSON.stringify(data), {headers : headers})
      .map(response => response.ok);
  }

}
