import {Injectable} from '@angular/core';
import {Http} from '@angular/http';
import './../../rxjs-extensions';
import {Observable} from 'rxjs';
import {Version} from './version';

@Injectable()
export class VersionService {

  private url = 'info';

  private version: Observable<Version>;

  private _version: Version;

  constructor(private http: Http) {

    this.version = Observable.create(subscriber => {
      if (this._version) {
        subscriber.next(this._version);
        subscriber.complete();
      } else {
        this.getVersionFile().subscribe(
          data => {
            this._version = new Version();
            this._version.version = data.app.version;
            this._version.date = data.app.date;
            subscriber.next(this._version);
            subscriber.complete();
          }
        );
      }
    });
  }

  private getVersionFile(): Observable<any> {
    return this.http.get(this.url).map(response => response.json());
  }

  getVersion(): Observable<Version> {
    return this.version;
  }

}
