import {Injectable} from '@angular/core';
import {ToasterService} from 'angular2-toaster';
import {Response} from '@angular/http';
import {TranslateService} from '../translate/translate.service';

@Injectable()
export class HttpErrorService {

  constructor(private toasterService: ToasterService,
              private translate: TranslateService) {
  }

  public handleError(response: Response) {
    if (!response.ok) {
      let json = response.json();

      if (json.errors && json.errors[0] && json.errors[0].id) {
        this.displayErrorMessage(json.errors[0].id);
      }
    }
  }

  public displayErrorMessage(errorId: string) {
    if (errorId) {
      this.translate.translate('error.api.' + errorId + '.title', this.translate.getPrimaryLanguage())
        .combineLatest(this.translate.translate('error.api.' + errorId + '.description', this.translate.getPrimaryLanguage()))
        .subscribe(([title, description]) => {
          this.toasterService.popAsync('error', title, description);
        });
    }
  }
}
