import { Injectable } from '@angular/core';
import {Observable} from 'rxjs/Rx';
import {ResponseContentType} from '@angular/http/src/enums';
import {Http} from '@angular/http';
import {TranslateService} from '../translate/translate.service';
import {ProfileService} from '../../component/profile/profile.service';

@Injectable()
export class ExportService {

  constructor(private http: Http,
              private translate: TranslateService,
              private profileService: ProfileService) { }

  exportAs(format: string): Observable<any> {
    let url = './api/export/' + format
      + '?lang=' + this.translate.getPrimaryLanguage()
      + '&_csrf=' + this.getCookie('XSRF-TOKEN')
      + '&DL-TOKEN=' + Date.now();

    let body = JSON.stringify(this.profileService.profile, function(key, value) {
      if (typeof value === 'string') {
        value = value.replace(/'/g, '&#39;');
      }
      return value;
    });

    return this.http.post(url, body, { responseType: ResponseContentType.ArrayBuffer });
  }

  private getCookie(name: string): string {
    let value = '; ' + document.cookie;
    let parts = value.split('; ' + name + '=');
    if (parts.length === 2) {
      return parts.pop().split(';').shift();
    }
    return undefined;
  }

}
