import {Injectable} from '@angular/core';

@Injectable()
export class LocalStorageService {

  private storageKey = 'SkillsProfileToolApp';

  constructor() { }

  public save(key: string, data: any) {
    let localData = localStorage.getItem(this.storageKey);
    localData = localData ? JSON.parse(localData) : {};
    localData[key] = data;

    localStorage.setItem(this.storageKey, JSON.stringify(localData));
  }

  public get(key: string) {
    let data = JSON.parse(localStorage.getItem(this.storageKey));

    if (!data) {
      return undefined;
    }

    if (key) {
      return data[key] ? data[key] : undefined;
    }

    return data;
  }
}
