import {TranslateStaticLoader, TranslateLoader, TranslateService} from './translate.service';
import {Http, HttpModule} from '@angular/http';
import {ModuleWithProviders, NgModule} from '@angular/core';
import {TranslateParser, DefaultTranslateParser} from './translate.parser';


export function translateLoaderFactory(http: Http) {
  return new TranslateStaticLoader(http);
}

@NgModule({
  imports: [HttpModule]
})
export class TranslateModule {
  static forRoot(providedLoader: any = {
    provide: TranslateLoader,
    useFactory: translateLoaderFactory,
    deps: [Http]
  }): ModuleWithProviders {
    return {
      ngModule: TranslateModule,
      providers: [providedLoader, TranslateService, { provide: TranslateParser, useClass: DefaultTranslateParser }
      ]
    };
  }
}
